#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QtGui>
#include <sys/types.h>

class CaptureImage;

using namespace urbi;

class ConnectAibo : public QWidget
{
    Q_OBJECT

      public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotI;
      CaptureImage *pere;
      UCallbackAction command(const UMessage &);
      UCallbackAction recupx(const UMessage &);
      UCallbackAction recupy(const UMessage &);

      unsigned char* buffer;
      unsigned char* bufferRGB; 
      int capture;
      int traitementEnCours;

      int visible;
      double posx;
      double posy;

      QImage imageQT;
      QImage imageQT2;

      virtual bool event(QEvent *ev);
      QEvent *e1;


};

#endif
