#include "tele.h"

Telecommande::Telecommande(QWidget *parent)
        : QMainWindow(parent)
{
        ui.setupUi(this);

        starttime=0;
        over=false;
        totalsize=0;
}


///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_lineEdit_returnPressed()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Bandwidth", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

    }


    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1());

    if (!urbiTele.robotC->error())
    {
       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

       setlocale(LC_NUMERIC,"C");
       urbiTele.pere=pointeur;

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       ui.textBrowser->insertPlainText( "requesting raw images from server to test bandwidth...\n" ) ; 

       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::bw),"bw");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::bw),"be");

       starttime=urbiTele.robotC->getCurrentTime();
       urbiTele.robotC->send( " for (i=0;i<9;i++) bw:camera.raw|be:camera.raw;" );

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }


}


///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_pushButton_2_clicked()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Bandwidth", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

    }


    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1());

    if (!urbiTele.robotC->error())
    {
       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

       setlocale(LC_NUMERIC,"C");
       urbiTele.pere=pointeur;

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       ui.textBrowser->insertPlainText( "requesting raw images from server to test bandwidth...\n" ) ; 

       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::bw),"bw");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::bw),"be");

       starttime=urbiTele.robotC->getCurrentTime();
       urbiTele.robotC->send( " for (i=0;i<9;i++) bw:camera.raw|be:camera.raw;" );

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }

}
