#ifndef CAPTUREIMAGE_H
#define CAPTUREIMAGE_H

#include "ui_captureimage.h"
#include "urbi.h"
#include <QWidget>
#include <QtGui>

class CaptureImage : public QMainWindow
{
    Q_OBJECT

public:
    ConnectAibo urbiImage;
    CaptureImage(QWidget *parent = 0);
    CaptureImage *pointeur;

    Ui::CaptureImage ui;

    int headPan_init;
    int headPan_final;
    int headPan_delta;
    int headTilt_init;
    int headTilt_final;
    int headTilt_delta;
    QString lieu;


private slots:
    void on_pushButton_clicked();
    void on_lineEdit_returnPressed(); 
    void on_pushButton_2_clicked();
    void on_pushButton_3_clicked();

};

#endif
