; Le nom du programme d'installation
Name "Aibo Capture Images"

; Le nom du programme d'installation  creer
OutFile "Install Aibo Capture Images.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Aibo Capture Images"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Aibo Capture Images (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\Aibo Capture Images"
  CreateShortCut "$SMPROGRAMS\URBI\Aibo Capture Images\Aibo Capture Images.lnk" "$INSTDIR\Aibo Capture Images.exe" "" "$INSTDIR\Aibo Capture Images.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Aibo Capture Images\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd


Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Aibo Capture Images.lnk" "$INSTDIR\Aibo Capture Images.exe" "" "$INSTDIR\Aibo Capture Images.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Aibo Capture Images\*.*"
  Delete "$DESKTOP\Aibo Capture Images.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Aibo Capture Images"
  RMDir "$INSTDIR"

SectionEnd
