#ifndef URBI_H
#define URBI_H

#include "urbi/uclient.hh"
#include <QWidget>
#include <QtGui>

class Telecommande;
using namespace urbi;

class ConnectAibo : public QWidget
{
    Q_OBJECT

public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotC; // communication des commandes
      UClient *robotI; // transfert des images
      UClient *robotM; // transfert de la position des moteurs

      int widthImage;
      int HeightImage;

      // lien pour acceder aux objets de telecommande
      Telecommande *pere;

      // les evenements servent pour l'affichage a l'ecran
      virtual bool event(QEvent *ev);
      QEvent *e1;
      QEvent *e2;
      QEvent *e3;
      QEvent *e4;
      QEvent *e5;

      // les lignes qui stockent le code a afficher
      QString *lignes;
      int compteurligne;


      // sert pour la page 3
      int devCount;
      char ** devices;
      UCallbackAction returnvaluemotor(const UMessage &);
      int value1;
      int value2;  
      int value3;
      int value4;    
      int value5;
      int value6;    
      int value7;
      int value8;  
      int value9;
      int value10;  
      int value11;
      int value12;    
      int value13;
      int value14;    
      int value15;
      int value16;    
      int value17;
      int value18;    
      int compteurvalue;

      // sert pour la page 4
      int devCountLed;
      char ** devicesLeds;
      UCallbackAction returnvalueled(const UMessage &); 
      int valueled1;
      int valueled2;  
      int valueled3;
      int valueled4;    
      int valueled5;
      int valueled6;    
      int valueled7;
      int valueled8;  
      int valueled9;
      int valueled10;  
      int valueled11;
      int valueled12;    
      int valueled13;
      int valueled14;    
      int valueled15;
      int valueled16;    
      int valueled17;
      int valueled18;    
      int valueled19;    
      int valueled20;    
      int valueled21;    
      int valueled22;    
      int valueled23;    
      int valueled24;    
      int valueled25;    
      int compteurvalueled;

      // sert pour la page 6
      unsigned char* buffer;
      unsigned char* bufferRGB; 
      int traitementEnCours;
      QImage imageQT;
      QImage imageQT2;
      int captureImage;

      // sert pour la page 7
      UCallbackAction allrecup(const UMessage &); 
      UCallbackAction allrecupimg(const UMessage &); 
      QString texteServeur;
      int musiqueEnCours; // sert pour le nom de stockage des musiques
      int imageEnCours; // sert pour le nom de stockage des images
      unsigned char* buffer2; // stockage image en 24 bits
      unsigned char* buffer2RGB; // stockage image en 32 bits
      QImage image_textbrowser;

};

#endif

