#include "captureimage.h"

/////////////////////////////////////////////////
// Creation de l'objet
CaptureImage::CaptureImage(QWidget *parent)
        : QMainWindow(parent)
{
        ui.setupUi(this);

        // configuration de la couleur 1
        color1.configure(0, 255, 120, 190, 140, 230,"Pink"); // rose
        color3.configure(0, 255, 90, 160, 40, 80,"Green"); // vert
}

/////////////////////////////////////////////////
// Connexion au robot
void CaptureImage::on_pushButton_clicked()
{
    QString robotName = ui.lineEdit->text();
    QString robotName2 = ui.lineEdit_2->text();
// sauvegarde du nom du robot
   QSettings settings("AiboCamera", "GOSTAI");
   settings.setValue("robotname", robotName);
   settings.setValue("robotname2", robotName2);
   settings.sync ();

    if( urbiImage.robotI != NULL)
    {
        // fermeture de la session
          urbiImage.robotI->send(";;;; quit;");
          urbiImage.robotI->send(";;;; noop;");
          urbiImage.robotI->send(";;;; noop;");
          delete urbiImage.robotI;
    }
    urbiImage.robotI = NULL;

    if( urbiImage.robotI2 != NULL)
    {
        // fermeture de la session
          urbiImage.robotI2->send(";;;; quit;");
          urbiImage.robotI2->send(";;;; noop;");
          urbiImage.robotI2->send(";;;; noop;");
          delete urbiImage.robotI2;
    }
    urbiImage.robotI2 = NULL;

    urbiImage.robotI =new UClient(robotName.toLatin1());
    urbiImage.robotI2 =new UClient(robotName2.toLatin1());

    urbiImage.pere=pointeur;
    color1.pere=pointeur;
    color3.pere=pointeur;


    if (!urbiImage.robotI->error() && !urbiImage.robotI2->error())
    {
       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);  
      ui.pushButton_18->setPalette(couleur);  
       QColor couleurR ( 127, 127, 127 ); 
      ui.pushButton_19->setPalette(couleurR);  
      ui.pushButton_20->setPalette(couleurR);  

    urbiImage.robotI->send(";;;; noop;");
    urbiImage.robotI->send(";;;; stop uimg;");
    urbiImage.robotI->send(";;;; stop uimg2;");
    urbiImage.robotI->send(";;;; stop uimg3;");
    urbiImage.robotI->send(";;;; stop uimg4;");

    urbiImage.robotI2->send(";;;; noop;");
    urbiImage.robotI2->send(";;;; stop uimg;");
    urbiImage.robotI2->send(";;;; stop uimg2;");
    urbiImage.robotI2->send(";;;; stop uimg3;");
    urbiImage.robotI2->send(";;;; stop uimg4;");

    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::command2), "uimg");
    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::command), "uimg3");
    urbiImage.robotI2->setCallback(callback(urbiImage,&ConnectAibo::command), "uimg3");

    urbiImage.robotI->send(";;;; uimg:camera2.val;");
    urbiImage.robotI->send(";;;; wait(500ms);");
    urbiImage.robotI->send(";;;; uimg2:every(100ms){ uimg:camera2.val},");

    }
    else // pas de connexion
    {
        if (!urbiImage.robotI->error())
        {
            // fermeture de la session
              urbiImage.robotI->send(";;;; quit;");
              urbiImage.robotI->send(";;;; noop;");
              urbiImage.robotI->send(";;;; noop;");
              delete urbiImage.robotI;
        }
        if (!urbiImage.robotI2->error())
        {
            // fermeture de la session
              urbiImage.robotI2->send(";;;; quit;");
              urbiImage.robotI2->send(";;;; noop;");
              urbiImage.robotI2->send(";;;; noop;");
              delete urbiImage.robotI2;
        }

         urbiImage.robotI = NULL;
         urbiImage.robotI2 = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);         
    }

}

/////////////////////////////////////////////////
// Connexion au robot
void CaptureImage::on_lineEdit_returnPressed()
{
    QString robotName = ui.lineEdit->text();
    QString robotName2 = ui.lineEdit_2->text();
// sauvegarde du nom du robot
   QSettings settings("AiboCamera", "GOSTAI");
   settings.setValue("robotname", robotName);
   settings.setValue("robotname2", robotName2);
   settings.sync ();

    if( urbiImage.robotI != NULL)
    {
        // fermeture de la session
          urbiImage.robotI->send(";;;; quit;");
          urbiImage.robotI->send(";;;; noop;");
          urbiImage.robotI->send(";;;; noop;");
          delete urbiImage.robotI;
    }
    urbiImage.robotI = NULL;

    if( urbiImage.robotI2 != NULL)
    {
        // fermeture de la session
          urbiImage.robotI2->send(";;;; quit;");
          urbiImage.robotI2->send(";;;; noop;");
          urbiImage.robotI2->send(";;;; noop;");
          delete urbiImage.robotI2;
    }
    urbiImage.robotI2 = NULL;

    urbiImage.robotI =new UClient(robotName.toLatin1());
    urbiImage.robotI2 =new UClient(robotName2.toLatin1());

    urbiImage.pere=pointeur;
    color1.pere=pointeur;
    color3.pere=pointeur;


    if (!urbiImage.robotI->error() && !urbiImage.robotI2->error())
    {
       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);  
      ui.pushButton_18->setPalette(couleur);  
       QColor couleurR ( 127, 127, 127 ); 
      ui.pushButton_19->setPalette(couleurR);  
      ui.pushButton_20->setPalette(couleurR);  

    urbiImage.robotI->send(";;;; noop;");
    urbiImage.robotI->send(";;;; stop uimg;");
    urbiImage.robotI->send(";;;; stop uimg2;");
    urbiImage.robotI->send(";;;; stop uimg3;");
    urbiImage.robotI->send(";;;; stop uimg4;");

    urbiImage.robotI2->send(";;;; noop;");
    urbiImage.robotI2->send(";;;; stop uimg;");
    urbiImage.robotI2->send(";;;; stop uimg2;");
    urbiImage.robotI2->send(";;;; stop uimg3;");
    urbiImage.robotI2->send(";;;; stop uimg4;");

    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::command2), "uimg");
    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::command), "uimg3");
    urbiImage.robotI2->setCallback(callback(urbiImage,&ConnectAibo::command), "uimg3");

    urbiImage.robotI->send(";;;; uimg:camera2.val;");
    urbiImage.robotI->send(";;;; wait(500ms);");
    urbiImage.robotI->send(";;;; uimg2:every(100ms){ uimg:camera2.val},");

    }
    else // pas de connexion
    {
        if (!urbiImage.robotI->error())
        {
            // fermeture de la session
              urbiImage.robotI->send(";;;; quit;");
              urbiImage.robotI->send(";;;; noop;");
              urbiImage.robotI->send(";;;; noop;");
              delete urbiImage.robotI;
        }
        if (!urbiImage.robotI2->error())
        {
            // fermeture de la session
              urbiImage.robotI2->send(";;;; quit;");
              urbiImage.robotI2->send(";;;; noop;");
              urbiImage.robotI2->send(";;;; noop;");
              delete urbiImage.robotI2;
        }

         urbiImage.robotI = NULL;
         urbiImage.robotI2 = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);         
    }

}


/////////////////////////////////////////////////
// Selection de la couleur 1
void CaptureImage::on_pushButton_2_clicked()
{
     color1.show();
}


/////////////////////////////////////////////////
// Selection de la couleur 3
void CaptureImage::on_pushButton_4_clicked()
{
     color3.show();
}


/////////////////////////////////////////////////
// contraste bas
void CaptureImage::on_pushButton_8_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;camera.gain=1;");
        urbiImage.robotI2->send(";;;;camera.gain=1;");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_8->setPalette(couleurV);               
       ui.pushButton_9->setPalette(couleurR);  
       ui.pushButton_10->setPalette(couleurR);  

    }

}

/////////////////////////////////////////////////
// contraste moyen
void CaptureImage::on_pushButton_9_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;camera.gain=2;");
        urbiImage.robotI2->send(";;;;camera.gain=2;");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_8->setPalette(couleurR);               
       ui.pushButton_9->setPalette(couleurV);  
       ui.pushButton_10->setPalette(couleurR);  

    }
}

/////////////////////////////////////////////////
// contraste eleve
void CaptureImage::on_pushButton_10_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;camera.gain=3;");
        urbiImage.robotI2->send(";;;;camera.gain=3;");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_8->setPalette(couleurR);               
       ui.pushButton_9->setPalette(couleurR);  
       ui.pushButton_10->setPalette(couleurV);  

    }
}

// shutter bas
void CaptureImage::on_pushButton_11_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;camera.shutter=1;");
        urbiImage.robotI2->send(";;;;camera.shutter=1;");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_11->setPalette(couleurV);               
       ui.pushButton_12->setPalette(couleurR);  
       ui.pushButton_13->setPalette(couleurR);  

    }
}

/////////////////////////////////////////////////
// shutter moyen
void CaptureImage::on_pushButton_12_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;camera.shutter=2;");
        urbiImage.robotI2->send(";;;;camera.shutter=2;");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_11->setPalette(couleurR);               
       ui.pushButton_12->setPalette(couleurV);  
       ui.pushButton_13->setPalette(couleurR);  

    }
}

/////////////////////////////////////////////////
// shutter eleve
void CaptureImage::on_pushButton_13_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;camera.shutter=3;");
        urbiImage.robotI2->send(";;;;camera.shutter=3;");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_11->setPalette(couleurR);               
       ui.pushButton_12->setPalette(couleurR);  
       ui.pushButton_13->setPalette(couleurV);  

    }
}

// wb bas
void CaptureImage::on_pushButton_14_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;camera.wb=1;");
        urbiImage.robotI2->send(";;;;camera.wb=1;");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_14->setPalette(couleurV);               
       ui.pushButton_15->setPalette(couleurR);  
       ui.pushButton_16->setPalette(couleurR);  

    }
}

/////////////////////////////////////////////////
// wb moyen
void CaptureImage::on_pushButton_15_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;camera.wb=2;");
        urbiImage.robotI2->send(";;;;camera.wb=2;");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_14->setPalette(couleurR);               
       ui.pushButton_15->setPalette(couleurV);  
       ui.pushButton_16->setPalette(couleurR);  

    }
}

/////////////////////////////////////////////////
// wb eleve
void CaptureImage::on_pushButton_16_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;camera.wb=3;");
        urbiImage.robotI2->send(";;;;camera.wb=3;");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_14->setPalette(couleurR);               
       ui.pushButton_15->setPalette(couleurR);  
       ui.pushButton_16->setPalette(couleurV);  

    }
}



/////////////////////////////////////////////////
// update
void CaptureImage::on_pushButton_17_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        // callback parametres camera
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "gain");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "shutter");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "wb");

        // callback couleur rose
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "rymin");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "rymax");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "rcbmin");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "rcbmax");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "rcrmin");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "rcrmax");

        // callback couleur vert
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "vymin");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "vymax");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "vcbmin");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "vcbmax");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "vcrmin");
        urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::values), "vcrmax");

        urbiImage.robotI->send("gain: camera.gain;");
        urbiImage.robotI->send("shutter: camera.shutter;");
        urbiImage.robotI->send("wb: camera.wb;");

        urbiImage.robotI->send("rymin: ball.ymin;");
        urbiImage.robotI->send("rymax: ball.ymax;");
        urbiImage.robotI->send("rcbmin: ball.cbmin;");
        urbiImage.robotI->send("rcbmax: ball.cbmax;");
        urbiImage.robotI->send("rcrmin: ball.crmin;");
        urbiImage.robotI->send("rcrmax: ball.crmax;");

        urbiImage.robotI->send("vymin: greenmarker.ymin;");
        urbiImage.robotI->send("vymax: greenmarker.ymax;");
        urbiImage.robotI->send("vcbmin: greenmarker.cbmin;");
        urbiImage.robotI->send("vcbmax: greenmarker.cbmax;");
        urbiImage.robotI->send("vcrmin: greenmarker.crmin;");
        urbiImage.robotI->send("vcrmax: greenmarker.crmax;");


    }
}



/////////////////////////////////////////////////
// camera2.val
void CaptureImage::on_pushButton_18_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;stop uimg;");
        urbiImage.robotI->send(";;;;stop uimg2;");
        urbiImage.robotI->send(";;;;stop uimg3;");
        urbiImage.robotI->send(";;;;stop uimg4;");
        urbiImage.robotI2->send(";;;;stop uimg;");
        urbiImage.robotI2->send(";;;;stop uimg2;");
        urbiImage.robotI2->send(";;;;stop uimg3;");
        urbiImage.robotI2->send(";;;;stop uimg4;");
        urbiImage.robotI->send(";;;;uimg:camera2.val;");
        urbiImage.robotI->send(";;;; wait(500ms);");
        urbiImage.robotI->send(";;;;uimg2:every(100ms){ uimg:camera2.val},");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_18->setPalette(couleurV);               
       ui.pushButton_19->setPalette(couleurR);  
       ui.pushButton_20->setPalette(couleurR);  
    }
}


/////////////////////////////////////////////////
// camera.val brice
void CaptureImage::on_pushButton_19_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;stop uimg;");
        urbiImage.robotI->send(";;;;stop uimg2;");
        urbiImage.robotI->send(";;;;stop uimg3;");
        urbiImage.robotI->send(";;;;stop uimg4;");
        urbiImage.robotI2->send(";;;;stop uimg;");
        urbiImage.robotI2->send(";;;;stop uimg2;");
        urbiImage.robotI2->send(";;;;stop uimg3;");
        urbiImage.robotI2->send(";;;;stop uimg4;");
        urbiImage.robotI->send(";;;; wait(500ms);");
        urbiImage.robotI->send(";;;;uimg4:every(100ms){ uimg3:camera.val},");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_18->setPalette(couleurR);               
       ui.pushButton_19->setPalette(couleurV);  
       ui.pushButton_20->setPalette(couleurR);  
    }
}


/////////////////////////////////////////////////
// camera.val willis
void CaptureImage::on_pushButton_20_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        urbiImage.robotI->send(";;;;stop uimg;");
        urbiImage.robotI->send(";;;;stop uimg2;");
        urbiImage.robotI->send(";;;;stop uimg3;");
        urbiImage.robotI->send(";;;;stop uimg4;");
        urbiImage.robotI2->send(";;;;stop uimg;");
        urbiImage.robotI2->send(";;;;stop uimg2;");
        urbiImage.robotI2->send(";;;;stop uimg3;");
        urbiImage.robotI2->send(";;;;stop uimg4;");
        urbiImage.robotI->send(";;;; wait(500ms);");
        urbiImage.robotI2->send(";;;;uimg4:every(100ms){ uimg3:camera.val},");

       // creation de la couleur rouge
       QColor couleurR ( 127, 127, 127 ); 
       // creation de la couleur verte
       QColor couleurV ( 0, 255, 0 ); 

       ui.pushButton_18->setPalette(couleurR);               
       ui.pushButton_19->setPalette(couleurR);  
       ui.pushButton_20->setPalette(couleurV);  

    }
}
