#ifndef CAPTUREIMAGE_H
#define CAPTUREIMAGE_H

#include "ui_captureimage.h"
#include "couleur.h"
#include "urbi.h"
#include <QWidget>
#include <QtGui>


class CaptureImage : public QMainWindow
{
    Q_OBJECT

public:
    CaptureImage(QWidget *parent = 0);
    CaptureImage *pointeur;

    ConnectAibo urbiImage;

    // creation des 6 couleurs
    Couleur color1;
    Couleur color3;

    Ui::CaptureImage ui;


private slots:
    void on_lineEdit_returnPressed(); 
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();
    void on_pushButton_4_clicked();

    // gain
    void on_pushButton_8_clicked();
    void on_pushButton_9_clicked();
    void on_pushButton_10_clicked();

    // shutter
    void on_pushButton_11_clicked();
    void on_pushButton_12_clicked();
    void on_pushButton_13_clicked();

    // white balance
    void on_pushButton_14_clicked();
    void on_pushButton_15_clicked();
    void on_pushButton_16_clicked();

    // update
    void on_pushButton_17_clicked();

    // changement de la source video
    void on_pushButton_18_clicked();
    void on_pushButton_19_clicked();
    void on_pushButton_20_clicked();

};

#endif
