#ifndef COULEUR_H
#define COULEUR_H

#include "ui_couleur.h"
#include <urbi/uclient.hh>

#include <QWidget>
#include <QtGui>

class CaptureImage;
using namespace urbi;

class Couleur : public QDialog
{
    Q_OBJECT

public:
    Couleur(QWidget *parent = 0);

    CaptureImage *pere;
    Ui::Couleur ui;

    QString nameColor;

    int Ymin;
    int Ymax;
    int Cbmin;
    int Cbmax;
    int Crmin;
    int Crmax;

    int Ymoy;
    int Cbmoy;
    int Crmoy;

    int R;
    int G;
    int B;

    int nbTotal;
    int posX;
    int posY;

    void configure(int Y_min, int Y_max, int Cb_min, int Cb_max, int Cr_min, int Cr_max, QString nameColor);

private slots:
    void on_spinBox_valueChanged ( int i );
    void on_spinBox_2_valueChanged ( int i );
    void on_spinBox_3_valueChanged ( int i );
    void on_spinBox_4_valueChanged ( int i );
    void on_spinBox_5_valueChanged ( int i );
    void on_spinBox_6_valueChanged ( int i );


};

#endif
