; Le nom du programme d'installation
Name "Futuroscope Show"

; Le nom du programme d'installation  creer
OutFile "Install Futuroscope Show.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Futuroscope Show"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Futuroscope Show (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\GOSTAI\Futuroscope Show"
  CreateShortCut "$SMPROGRAMS\GOSTAI\Futuroscope Show\Futuroscope Show.lnk" "$INSTDIR\Futuroscope Show.exe" "" "$INSTDIR\Futuroscope Show.exe" 0
  CreateShortCut "$SMPROGRAMS\GOSTAI\Futuroscope Show\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Futuroscope Show.lnk" "$INSTDIR\Futuroscope Show.exe" "" "$INSTDIR\Futuroscope Show.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\GOSTAI\Futuroscope Show\*.*"
  Delete "$DESKTOP\Futuroscope Show.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\GOSTAI\Futuroscope Show"
  RMDir "$INSTDIR"

SectionEnd
