#qmake option
CONFIG += release
CONFIG += qt
CONFIG += static

MOC_DIR      = moc
OBJECTS_DIR  = obj
DESTDIR      = release
UI_DIR       = ui

TEMPLATE = app

TARGET = "ObjectPosition"

########################################
#CONFIGURATION QWT
INCLUDEPATH += ./qwt/include/
DEPENDPATH  += ./qwt/include/
QMAKE_LIBS_QWT += -L./qwt/lib-mac/ -lqwt
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_QWT
########################################


########################################
#CONFIGURATION URBI
INCLUDEPATH += ./liburbi-cpp/include/
QMAKE_LIBS_URBI += -L./liburbi-cpp/lib-mac/ -lurbi \
                   -ljpeg
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

FORMS = couleur2.ui
HEADERS = couleur.h plot.h urbi.h 
SOURCES = main.cpp couleur.cpp plot.cpp urbi.cpp 