#ifndef PLOT_H
#define PLOT_H

#include <qwt_plot.h>
#include <qwt_plot_marker.h>
#include <qwt_plot_curve.h>
#include <qwt_legend.h>
#include <qwt_data.h>
#include <qwt_text.h>

class Plot : public QwtPlot
{

 public:
    Plot();

////////////////////////////////////////////////////////////////////////
// vue de profil

    void initWindows1();

    void onPlot(double X1, double X2, double X3, double X4,double Y1, double Y2, double Y3, double Y4,double Z1, double Z2, double Z3, double Z4);

    // creation des courbes
    QwtPlotCurve *courbe1;
    QwtPlotCurve *courbe2;
    QwtPlotCurve *courbe3;

    // creation des tableaux de stockage
    double *dataCourbe1Y;
    double *dataCourbe1Z;
    double *dataCourbe2Y;
    double *dataCourbe2Z;
    double *dataCourbe3Y;
    double *dataCourbe3Z;
////////////////////////////////////////////////////////////////////////



////////////////////////////////////////////////////////////////////////
// vue de dessus

    void initWindows2();

    void onPlot2(double X1, double X2, double X3, double X4,double Y1, double Y2, double Y3, double Y4,double Z1, double Z2, double Z3, double Z4);

    // creation des courbes
    QwtPlotCurve *courbe12;
    QwtPlotCurve *courbe22;
    QwtPlotCurve *courbe32;

    // creation des tableaux de stockage
    double *dataCourbe12X;
    double *dataCourbe12Z;
    double *dataCourbe22X;
    double *dataCourbe22Z;
    double *dataCourbe32X;
    double *dataCourbe32Z;
////////////////////////////////////////////////////////////////////////



};

#endif

