#qmake option
CONFIG += release
CONFIG += qt
CONFIG += static

MOC_DIR      = moc
OBJECTS_DIR  = obj
DESTDIR      = release
UI_DIR       = ui

TEMPLATE = app

TARGET = "Aibo_Robopolis"

########################################
#Ajout du plugin jpeg en static
QTPLUGIN     += qjpeg
##########################################

########################################
#CONFIGURATION FMOD
INCLUDEPATH += ./fmod/include/
QMAKE_LIBS_FMOD += -L./fmod/lib-mac/ -lfmodex
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_FMOD
##########################################

########################################
#CONFIGURATION URBI
INCLUDEPATH += ./liburbi-cpp/include/
QMAKE_LIBS_URBI += -L./liburbi-cpp/lib-mac/ -lurbi -lws2_32 
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

RESOURCES   = resources/urbidev.qrc
FORMS = telecommande.ui
HEADERS = tele.h urbi.h 
SOURCES = main.cpp tele.cpp tele_page1.cpp tele_page2.cpp tele_page3.cpp tele_page4.cpp urbi.cpp