
///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_pushButton_2_clicked()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Robopolis", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

//////////////////////////////////////////////
// commandes 

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotC->error())
    {
       urbiTele.pere=pointeur;
       neRienFaireAvecLesMoteurs = 0;
       neRienFaireAvecLaCamera = 0;

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

        // allume les moteurs
        urbiTele.robotC->send("motors on;");

         // recuperation de l'information d'energie
         urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::allrecupenergie), "totoenergie");
        urbiTele.robotC->send("totoenergie:power();");
        urbiTele.robotC->send("totoenergie:every(60s) { totoenergie:power() };");

    }
    else // pas de connexion
    {
       urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
      return;
    }




    if( urbiTele.robotI != NULL)
    {
        // fermeture de la session
          urbiTele.robotI->send(";;;; quit;");
          urbiTele.robotI->send("stop totouimg;");
          urbiTele.robotI->send("noop;");
          urbiTele.robotI->send("noop;");
          delete urbiTele.robotI;

          // reinitialisation des parametres
          urbiTele.traitementEnCours=0;
    }
    urbiTele.robotI = NULL;
    urbiTele.robotI =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotI->error())
    {
         // recuperation de tout ce qui est envoye par le serveur
         urbiTele.robotI->setCallback(callback(urbiTele,&ConnectAibo::allrecupimg), "totouimg");

          urbiTele.robotI->send("stop totouimg;");
          QString delaycamera = ui.lineEdit_5->text();
          QString priseimages = "totouimg:every(" + delaycamera + "ms){ totouimg: camera.val },";
          urbiTele.robotI->send("%s", (const char *) priseimages.toLatin1());              
    }
    else
    {
          urbiTele.robotI = NULL;
    }




    if( urbiTele.robotS != NULL)
    {
        // fermeture de la session
          urbiTele.robotS->send(";;;; quit;");
          urbiTele.robotS->send("stop usoundFMOD;");
          urbiTele.robotS->send("noop;");
          urbiTele.robotS->send("noop;");
          delete urbiTele.robotS;

          // reinitialisation des parametres
          urbiTele.traitementEnCours=0;
    }
    urbiTele.robotS = NULL;
    urbiTele.robotS =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotS->error())
    {
       // on met en place les callback
       urbiTele.robotS->setCallback(callback(urbiTele,&ConnectAibo::getSoundFMOD), "usoundFMOD" );
    }
    else
    {
          urbiTele.robotI = NULL;
    }

}






///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_lineEdit_returnPressed()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Robopolis", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

//////////////////////////////////////////////
// commandes 

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotC->error())
    {
       urbiTele.pere=pointeur;
       neRienFaireAvecLesMoteurs = 0;
       neRienFaireAvecLaCamera = 0;

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

        // allume les moteurs
        urbiTele.robotC->send("motors on;");

         // recuperation de l'information d'energie
         urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::allrecupenergie), "totoenergie");
        urbiTele.robotC->send("totoenergie:power();");
        urbiTele.robotC->send("totoenergie:every(60s) { totoenergie:power() };");

    }
    else // pas de connexion
    {
       urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
      return;
    }




    if( urbiTele.robotI != NULL)
    {
        // fermeture de la session
          urbiTele.robotI->send(";;;; quit;");
          urbiTele.robotI->send("stop totouimg;");
          urbiTele.robotI->send("noop;");
          urbiTele.robotI->send("noop;");
          delete urbiTele.robotI;

          // reinitialisation des parametres
          urbiTele.traitementEnCours=0;
    }
    urbiTele.robotI = NULL;
    urbiTele.robotI =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotI->error())
    {
         // recuperation de tout ce qui est envoye par le serveur
         urbiTele.robotI->setCallback(callback(urbiTele,&ConnectAibo::allrecupimg), "totouimg");

          urbiTele.robotI->send("stop totouimg;");
          QString delaycamera = ui.lineEdit_5->text();
          QString priseimages = "totouimg:every(" + delaycamera + "ms){ totouimg: camera.val },";
          urbiTele.robotI->send("%s", (const char *) priseimages.toLatin1());          
    }
    else
    {
          urbiTele.robotI = NULL;
    }




    if( urbiTele.robotS != NULL)
    {
        // fermeture de la session
          urbiTele.robotS->send(";;;; quit;");
          urbiTele.robotS->send("stop usoundFMOD;");
          urbiTele.robotS->send("noop;");
          urbiTele.robotS->send("noop;");
          delete urbiTele.robotS;

          // reinitialisation des parametres
          urbiTele.traitementEnCours=0;
    }
    urbiTele.robotS = NULL;
    urbiTele.robotS =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotS->error())
    {
       // on met en place les callback
       urbiTele.robotS->setCallback(callback(urbiTele,&ConnectAibo::getSoundFMOD), "usoundFMOD" );
    }
    else
    {
          urbiTele.robotI = NULL;
    }

}



