#include "tele.h"

Telecommande::Telecommande(QWidget *parent)
        : QMainWindow(parent)
{
        ui.setupUi(this);
}

///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_pushButton_2_clicked()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Sound", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("stop usound;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() );


    if (!urbiTele.robotC->error())
    {
       setlocale(LC_NUMERIC,"C");
       urbiTele.pere=pointeur;

       // on met en place les callback
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::getSound), "usound" );
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::endProgram), "end" );

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

      ui.pushButton->setPalette(couleur);

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }
}

///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_lineEdit_returnPressed()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Sound", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("stop usound;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() );


    if (!urbiTele.robotC->error())
    {
       setlocale(LC_NUMERIC,"C");
       urbiTele.pere=pointeur;

       // on met en place les callback
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::getSound), "usound" );
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::endProgram), "end" );

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

      ui.pushButton->setPalette(couleur);

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }
}


///////////////////////////////////////////
// enregistrer le fichier
void Telecommande::on_pushButton_clicked()
{

    if( urbiTele.robotC != NULL)
    {
       // creation de la couleur orange
       QColor couleur ( 255, 128, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);    

     // initialisation du fichier d'enregistrement
       urbiTele.file.setFileName(ui.lineEdit_2->text());  // ouverture du fichier
       fileNameWav = ui.lineEdit_2->text();
       urbiTele.file.open(QIODevice::WriteOnly );
       urbiTele.outfile = new  QDataStream(&urbiTele.file);
       urbiTele.initialized = false;

       // envoie de la commande au serveur URBI
       urbiTele.robotC->send("speaker.play(\"beep.wav\");");
       duree = ui.spinBox->value();
       QString commande = "timeout(" +  QString::number(ui.spinBox->value()) + "s) loop usound: " + ui.lineEdit_3->text() +" ;";
       urbiTele.robotC->send("%s", (const char *) commande.toLatin1());
       urbiTele.robotC->send("end:ping ;");
       urbiTele.robotC->send("speaker.play(\"beep.wav\");");
    }

    else
    {
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);      
    }

}

