#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QWidget>
#include <QtGui>

class Telecommande;
using namespace urbi;

class ConnectAibo : public QWidget
{
    Q_OBJECT

public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotC;

      Telecommande *pere;

      UCallbackAction getSound(const UMessage &);
      UCallbackAction endProgram(const UMessage &);

      USound out;
      bool initialized;
      int totallength;

      // les evenements servent pour changer la couleur du bouton
      virtual bool event(QEvent *ev);
      QEvent *e1;

      QFile file;
      QDataStream *outfile;

};

#endif
