#ifndef PLOT_H
#define PLOT_H

#include <qwt_plot.h>
#include <qwt_plot_marker.h>
#include <qwt_plot_curve.h>
#include <qwt_legend.h>
#include <qwt_data.h>
#include <qwt_text.h>

#include <qmainwindow.h>
#include <qwt_counter.h>
#include <qtoolbar.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qwt_plot.h>
#include <stdlib.h>
#include <qwt_painter.h>
#include <qwt_plot_canvas.h>
#include <qwt_scale_widget.h>
#include <qwt_scale_draw.h>
#include <qwt_math.h>
#include <qwt_plot_marker.h>
#include <qwt_plot_zoomer.h>

class Plot : public QwtPlot
{

 public:
    Plot();

//////////////////////////////////////////////////////////////////////////////
    // cas pour les moteurs
    void Init_Motors();
    void videPlot( );
    void addValues(double value1,double value2,double value3,double value4,double value5,double value6,double value7,double value8,double value9,double value10,double value11,double value12,double value13,double value14,double value15,double value16,double value17,double value18,double heure);

    // stockage des valeurs de la position des membres
    double *legLF1;
    double *legLF2;
    double *legLF3;
    double *legLH1;
    double *legLH2;
    double *legLH3;
    double *legRH1;
    double *legRH2;
    double *legRH3;
    double *legRF1;
    double *legRF2;
    double *legRF3;
    double *neck;
    double *headPan;
    double *headTilt;
    double *tailTilt;
    double *tailPan;
    double *mouth;

    // creation des courbes
    QwtPlotCurve *courbe1;
    QwtPlotCurve *courbe2;
    QwtPlotCurve *courbe3;
    QwtPlotCurve *courbe4;
    QwtPlotCurve *courbe5;
    QwtPlotCurve *courbe6;
    QwtPlotCurve *courbe7;
    QwtPlotCurve *courbe8;
    QwtPlotCurve *courbe9;
    QwtPlotCurve *courbe10;
    QwtPlotCurve *courbe11;
    QwtPlotCurve *courbe12;
    QwtPlotCurve *courbe13;
    QwtPlotCurve *courbe14;
    QwtPlotCurve *courbe15; 
    QwtPlotCurve *courbe16;   
    QwtPlotCurve *courbe17;
    QwtPlotCurve *courbe18;    


//////////////////////////////////////////////////////////////////////////////

    // cas pour la variable
    void Init_Variable(); // initialisation de la fenetre
    void addValuesVariable(double value,double heure); // on ajoute une donnee
    void videPlotVariable( ); // on vide toutes les tables de donnees
    void alignScales(); // mise en forme de la fenetre

    QwtPlotCurve *cLeft;
    double valmin; // valeur minimum prise par la variable
    double valmax; // valeur maximum prise par la variable

    // nombre de points a afficher
    int pointsAAfficher;
    // stockage de l'axe des abscisses
    double *xPoints;
    // stockage des valeurs de la variable
    double *stockVariable; 

};

#endif

