static char* devices2Graph[] =
         {
              "legLF1",
              "legLF2",
              "legLF3",
              "legLH1",
              "legLH2",
              "legLH3",
              "legRH1",
              "legRH2",
              "legRH3",
              "legRF1",
              "legRF2",
              "legRF3",
              "neck",
              "headPan",
              "headTilt",
              "tailTilt",
              "tailPan",
              "mouth"
      };


UCallbackAction ConnectAibo::returnvaluemotorGraph(const UMessage &msg) 
{


  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  QString tag = QString::fromLatin1(msg.tag.c_str());
  double value = (double) msg.value->val;

    if( tag == "headPan")
        value1Graph=value;
    else if( tag == "headTilt")
        value2Graph=value;
    else if( tag == "neck")
        value3Graph=value;
    else if( tag == "mouth")
        value4Graph=value;
    else if( tag == "tailPan")
        value5Graph=value;
    else if( tag == "tailTilt")
        value6Graph=value;
    else if( tag == "legLF1")
        value7Graph=value;
    else if( tag == "legLF2")
        value8Graph=value;
    else if( tag == "legLF3")
        value9Graph=value;
    else if( tag == "legLH1")
        value10Graph=value;
    else if( tag == "legLH2")
        value11Graph=value;
    else if( tag == "legLH3")
        value12Graph=value;
    else if( tag == "legRF1")
        value13Graph=value;
    else if( tag == "legRF2")
        value14Graph=value;
    else if( tag == "legRF3")
        value15Graph=value;
    else if( tag == "legRH1")
        value16Graph=value;
    else if( tag == "legRH2")
        value17Graph=value;
    else if( tag == "legRH3")
        value18Graph=value; 

    // enregistrement de l'heure
    heure=msg.timestamp;

    compteurvalueGraph++;

  if( compteurvalueGraph == 18)
  {

       // on verifie que la fenetre est bien visible
       if (pere->visionGraph.isHidden() == 1)
       {
           e5 = new QEvent((QEvent::Type)(1602));
           QCoreApplication::postEvent(this,e5);  // on arrete la fenetre graph          
       }
       else
       {
          e5 = new QEvent((QEvent::Type)(1601));
          QCoreApplication::postEvent(this,e5);
       }


       compteurvalueGraph=0;
  }


  return URBI_CONTINUE;
}



UCallbackAction ConnectAibo::returnvaluevariable(const UMessage &msg) 
{


  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

   valueVariableGraph = (double) msg.value->val;

    // enregistrement de l'heure
    heure=msg.timestamp;

    // on verifie que la fenetre est bien visible
    if (pere->visionGraph2.isHidden() == 1)
    {
          e5 = new QEvent((QEvent::Type)(1604));
          QCoreApplication::postEvent(this,e5);  // on arrete la fenetre graph          
    }
    else
    {
        e5 = new QEvent((QEvent::Type)(1603));
        QCoreApplication::postEvent(this,e5);
     }



  return URBI_CONTINUE;
}
