
///////////////////////////////////////////
// unfreeze balltracking
void Telecommande::on_pushButton_7_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("unfreeze balltracking;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] unfreeze balltracking;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }
}


///////////////////////////////////////////
// freeze balltracking
void Telecommande::on_pushButton_8_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("freeze balltracking;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] freeze balltracking;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}


///////////////////////////////////////////
// Executer une position
void Telecommande::on_pushButton_9_clicked()
{
    QString position = ui.comboBox->currentText();
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("%s", (const char *) position.toLatin1());
          position = "[Send] " + position + "\n";
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText(  position ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }
}


///////////////////////////////////////////
// Charge un fichier U
void Telecommande::on_pushButton_10_clicked()
{
    QString position = ui.comboBox_2->currentText();
    position = "load(\"" + position + "\");";
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("%s", (const char *) position.toLatin1());
          position = "[Send] " + position + "\n";
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText(  position ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }
}


///////////////////////////////////////////
// Charge une musique
void Telecommande::on_pushButton_11_clicked()
{
    QString musique = ui.comboBox_3->currentText();
    musique = "speaker.play(\"" + musique + "\");";
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("%s", (const char *) musique.toLatin1());
          musique = "[Send] " + musique + "\n";
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( musique ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}


///////////////////////////////////////////
// on avance
void Telecommande::on_pushButton_77_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("robot.stopturn();");
          urbiTele.robotC->send("robot.stopwalk();");
          urbiTele.robotC->send("robot.walk(inf),");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] robot.stopturn();\n" ); 
          ui.textBrowser->insertPlainText( "[Send] robot.stopwalk();\n" ); 
          ui.textBrowser->insertPlainText( "[Send] robot.walk(inf),\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}



///////////////////////////////////////////
// on tourne a gauche
void Telecommande::on_pushButton_78_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("robot.stopturn();");
          urbiTele.robotC->send("robot.stopwalk();");
          urbiTele.robotC->send("robot.turn(-inf),");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] robot.stopturn();\n" ); 
          ui.textBrowser->insertPlainText( "[Send] robot.stopwalk();\n" ); 
          ui.textBrowser->insertPlainText( "[Send] robot.turn(-inf),\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on tourne a droite
void Telecommande::on_pushButton_79_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("robot.stopturn();");
          urbiTele.robotC->send("robot.stopwalk();");
          urbiTele.robotC->send("robot.turn(inf),");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] robot.stopturn();\n" ); 
          ui.textBrowser->insertPlainText( "[Send] robot.stopwalk();\n" ); 
          ui.textBrowser->insertPlainText( "[Send] robot.turn(inf),\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on recule
void Telecommande::on_pushButton_80_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("robot.stopturn();");
          urbiTele.robotC->send("robot.stopwalk();");
          urbiTele.robotC->send("robot.walk(-inf),");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] robot.stopturn();\n" ); 
          ui.textBrowser->insertPlainText( "[Send] robot.stopwalk();\n" ); 
          ui.textBrowser->insertPlainText( "[Send] robot.walk(-inf),\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on s'arrete
void Telecommande::on_pushButton_81_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("robot.stopturn();");
          urbiTele.robotC->send("robot.stopwalk();");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] robot.stopturn();\n" ); 
          ui.textBrowser->insertPlainText( "[Send] robot.stopwalk();\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}


///////////////////////////////////////////
// robot.swalk
void Telecommande::on_pushButton_84_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          int n = ui.spinBox_22->value();
          urbiTele.robotC->send("%s", (const char *) ( "robot.swalk(" +  QString::number(n).toLatin1() + "),"));
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] robot.swalk(" +  QString::number(n) + "),\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}


///////////////////////////////////////////
// robot.sturn
void Telecommande::on_pushButton_85_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          int n = ui.spinBox_23->value();
          urbiTele.robotC->send("%s", (const char *) ( "robot.sturn(" +  QString::number(n).toLatin1() + "),"));
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] robot.sturn(" +  QString::number(n) + "),\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// walk.go
void Telecommande::on_pushButton_101_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          double n = ui.spinBox_27->value();
          n = n / 100;
          
          urbiTele.robotC->send("%s", (const char *) ( "walk.go(" +  QString::number(n).toLatin1() + "),"));
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] walk.go(" +  QString::number(n) + "),\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}


///////////////////////////////////////////
// walk.turn
void Telecommande::on_pushButton_102_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          int n = ui.spinBox_28->value();
          urbiTele.robotC->send("%s", (const char *) ( "walk.turn(" +  QString::number(n).toLatin1() + "),"));
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] walk.turn(" +  QString::number(n) + "),\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}


