static char* devices2Graph[] =
         {
              "legLF1.val",
              "legLF2.val",
              "legLF3.val",
              "legLH1.val",
              "legLH2.val",
              "legLH3.val",
              "legRH1.val",
              "legRH2.val",
              "legRH3.val",
              "legRF1.val",
              "legRF2.val",
              "legRF3.val",
              "neck.val",
              "headPan.val",
              "headTilt.val",
              "tailTilt.val",
              "tailPan.val",
              "mouth.val"
      };


UCallbackAction ConnectAibo::returnvaluemotorGraph(const UMessage &msg) 
{


  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  QString tag = QString::fromLatin1(msg.tag.c_str());
  double value = (double) msg.value->val;

    if( tag == "headPan.val")
        value1Graph=value;
    else if( tag == "headTilt.val")
        value2Graph=value;
    else if( tag == "neck.val")
        value3Graph=value;
    else if( tag == "mouth.val")
        value4Graph=value;
    else if( tag == "tailPan.val")
        value5Graph=value;
    else if( tag == "tailTilt.val")
        value6Graph=value;
    else if( tag == "legLF1.val")
        value7Graph=value;
    else if( tag == "legLF2.val")
        value8Graph=value;
    else if( tag == "legLF3.val")
        value9Graph=value;
    else if( tag == "legLH1.val")
        value10Graph=value;
    else if( tag == "legLH2.val")
        value11Graph=value;
    else if( tag == "legLH3.val")
        value12Graph=value;
    else if( tag == "legRF1.val")
        value13Graph=value;
    else if( tag == "legRF2.val")
        value14Graph=value;
    else if( tag == "legRF3.val")
        value15Graph=value;
    else if( tag == "legRH1.val")
        value16Graph=value;
    else if( tag == "legRH2.val")
        value17Graph=value;
    else if( tag == "legRH3.val")
        value18Graph=value; 

    // enregistrement de l'heure
    heure=msg.timestamp;

    compteurvalueGraph++;

  if( compteurvalueGraph == 18)
  {

       // on verifie que la fenetre est bien visible
       if (pere->visionGraph.isHidden() == 1)
       {
           e5 = new QEvent((QEvent::Type)(1602));
           QCoreApplication::postEvent(this,e5);  // on arrete la fenetre graph          
       }
       else
       {
          e5 = new QEvent((QEvent::Type)(1601));
          QCoreApplication::postEvent(this,e5);
       }


       compteurvalueGraph=0;
  }


  return URBI_CONTINUE;
}



UCallbackAction ConnectAibo::returnvaluevariable(const UMessage &msg) 
{


  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

   valueVariableGraph = (double) msg.value->val;

    // enregistrement de l'heure
    heure=msg.timestamp;

    // on verifie que la fenetre est bien visible
    if (pere->visionGraph2.isHidden() == 1)
    {
          e5 = new QEvent((QEvent::Type)(1604));
          QCoreApplication::postEvent(this,e5);  // on arrete la fenetre graph          
    }
    else
    {
        e5 = new QEvent((QEvent::Type)(1603));
        QCoreApplication::postEvent(this,e5);
     }



  return URBI_CONTINUE;
}
