#include "captureimage.h"

CaptureImage::CaptureImage(QWidget *parent)
        : QMainWindow(parent)
{
        ui.setupUi(this);

}

void CaptureImage::on_pushButton_clicked()
{
   QString robotName = ui.lineEdit->text();
   QString VideoDeviceName = ui.lineEdit_2->text();
   QString VideoDelay = ui.lineEdit_3->text();

   QSettings settings("Video Capture", "GOSTAI");
   settings.setValue("robotname", robotName);
   settings.sync ();

    // destruction d'une ancienne connexion
    if( urbiImage.robotI != NULL)
    {
             urbiImage.robotI->send(";;;;;quit;");
             urbiImage.robotI->send("stop uimg;");
             urbiImage.robotI->send("stop uimg2;");
             delete urbiImage.robotI;

             urbiImage.robotI = NULL;
             urbiImage.traitementEnCours=0; 
             urbiImage.visible = 0;
             urbiImage.capture=0;
             urbiImage.captureImage=0;
             urbiImage.compteur=0;
             urbiImage.nbimagescaptures=0;
             urbiImage.frames=0;
             urbiImage.initrecord=0;
             urbiImage.closerecord=0;
    }

    // connexion
    urbiImage.robotI =new UClient(robotName.toLatin1());
    urbiImage.pere=pointeur;

    if (!urbiImage.robotI->error())
    {
       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);

    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::command), "uimg");

    QString phrase_send = "uimg2:every(" + VideoDelay +"){ uimg: " + VideoDeviceName + " },";
    urbiImage.robotI->send("%s", (const char *) phrase_send.toLatin1());
    }

    else // pas de connexion
    {
         urbiImage.robotI = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);         
    }

}

void CaptureImage::on_lineEdit_returnPressed()
{
   QString robotName = ui.lineEdit->text();
   QString VideoDeviceName = ui.lineEdit_2->text();
   QString VideoDelay = ui.lineEdit_3->text();

   QSettings settings("Video Capture", "GOSTAI");
   settings.setValue("robotname", robotName);
   settings.sync ();

    // destruction d'une ancienne connexion
    if( urbiImage.robotI != NULL)
    {
             urbiImage.robotI->send(";;;;;quit;");
             urbiImage.robotI->send("stop uimg;");
             urbiImage.robotI->send("stop uimg2;");
             delete urbiImage.robotI;

             urbiImage.robotI = NULL;
             urbiImage.traitementEnCours=0; 
             urbiImage.visible = 0;
             urbiImage.capture=0;
             urbiImage.captureImage=0;
             urbiImage.compteur=0;
             urbiImage.nbimagescaptures=0;
             urbiImage.frames=0;
             urbiImage.initrecord=0;
             urbiImage.closerecord=0;
    }

    // connexion
    urbiImage.robotI =new UClient(robotName.toLatin1());
    urbiImage.pere=pointeur;

    if (!urbiImage.robotI->error())
    {
       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);

    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::command), "uimg");

    QString phrase_send = "uimg2:every(" + VideoDelay +"){ uimg: " + VideoDeviceName + " },";
    urbiImage.robotI->send("%s", (const char *) phrase_send.toLatin1());
    }

    else // pas de connexion
    {
         urbiImage.robotI = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);         
    }


}

void CaptureImage::on_pushButton_2_clicked()
{
    if( urbiImage.robotI != NULL)
    {
        if( urbiImage.capture == 0)
        {
            urbiImage.capture=1;
            urbiImage.initrecord=1;
            urbiImage.nbimagescaptures=0; // on met le compteur a 0
             urbiImage.frames=0; // on met le compteur a 0
           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
          // application de la couleur sur le bouton enregistrement
          ui.pushButton_2->setText( "Stop Record Video" ) ;
          ui.pushButton_2->setPalette(couleur);   
        }

        else if( urbiImage.capture == 1)
        {
             urbiImage.closerecord=1;
            urbiImage.initrecord=0;
           // creation de la couleur rouge
           QColor couleur ( 255, 0, 0 ); 
          // application de la couleur sur le bouton enregistrement
          // application de la couleur sur le bouton enregistrement
          ui.pushButton_2->setText( "Start Record Video" ) ;
          ui.pushButton_2->setPalette(couleur);   
        }

    }
          
          
}

