; Le nom du programme d'installation
Name "Camera Stabilization"

; Le nom du programme d'installation  creer
OutFile "Install Camera Stabilization.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Camera Stabilization"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Camera Stabilization (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\Camera Stabilization"
  CreateShortCut "$SMPROGRAMS\URBI\Camera Stabilization\Camera Stabilization.lnk" "$INSTDIR\Camera Stabilization.exe" "" "$INSTDIR\Camera Stabilization.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Camera Stabilization\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Camera Stabilization.lnk" "$INSTDIR\Camera Stabilization.exe" "" "$INSTDIR\Camera Stabilization.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Camera Stabilization\*.*"
  Delete "$DESKTOP\Camera Stabilization.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Camera Stabilization"
  RMDir "$INSTDIR"

SectionEnd
