; Le nom du programme d'installation
Name "convert KFM and PSE to U"

; Le nom du programme d'installation  creer
OutFile "Install convert KFM and PSE to U.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\convert KFM and PSE to U"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "convert KFM and PSE to U (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\convert KFM and PSE to U"
  CreateShortCut "$SMPROGRAMS\URBI\convert KFM and PSE to U\convert KFM and PSE to U.lnk" "$INSTDIR\convert KFM and PSE to U.exe" "" "$INSTDIR\convert KFM and PSE to U.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\convert KFM and PSE to U\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\convert KFM and PSE to U.lnk" "$INSTDIR\convert KFM and PSE to U.exe" "" "$INSTDIR\convert KFM and PSE to U.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\convert KFM and PSE to U\*.*"
  Delete "$DESKTOP\convert KFM and PSE to U.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\convert KFM and PSE to U"
  RMDir "$INSTDIR"

SectionEnd
