; Le nom du programme d'installation
Name "Convert RGB to YCbCr"

; Le nom du programme d'installation  creer
OutFile "Install Convert RGB to YCbCr.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Convert RGB to YCbCr"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Convert RGB to YCbCr (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\Convert RGB to YCbCr"
  CreateShortCut "$SMPROGRAMS\URBI\Convert RGB to YCbCr\Convert RGB to YCbCr.lnk" "$INSTDIR\Convert RGB to YCbCr.exe" "" "$INSTDIR\Convert RGB to YCbCr.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Convert RGB to YCbCr\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Convert RGB to YCbCr.lnk" "$INSTDIR\Convert RGB to YCbCr.exe" "" "$INSTDIR\Convert RGB to YCbCr.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Convert RGB to YCbCr\*.*"
  Delete "$DESKTOP\Convert RGB to YCbCr.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Convert RGB to YCbCr"
  RMDir "$INSTDIR"

SectionEnd
