#ifndef CAPTUREIMAGE_H
#define CAPTUREIMAGE_H

#include "ui_captureimage.h"
#include "couleur.h"
#include "urbi.h"
#include <QWidget>
#include <QtGui>


class CaptureImage : public QMainWindow
{
    Q_OBJECT

public:
    CaptureImage(QWidget *parent = 0);
    CaptureImage *pointeur;

    ConnectAibo urbiImage;

    // creation des 4 couleurs
    Couleur color1;
    Couleur color2;
    Couleur color3;
    Couleur color5;

    QColor colorColor1;
    QColor colorColor2;
    QColor colorColor3;
    QColor colorColor5;

    Ui::CaptureImage ui;

private slots:
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();
    void on_pushButton_3_clicked();
    void on_pushButton_4_clicked();
    void on_pushButton_6_clicked();

};

#endif
