; Le nom du programme d'installation
Name "Detector of Colors"

; Le nom du programme d'installation  creer
OutFile "Install Detector of Colors.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Detector of Colors"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Detector of Colors (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\GOSTAI\Detector of Colors"
  CreateShortCut "$SMPROGRAMS\GOSTAI\Detector of Colors\Detector of Colors.lnk" "$INSTDIR\Detector of Colors.exe" "" "$INSTDIR\Detector of Colors.exe" 0
  CreateShortCut "$SMPROGRAMS\GOSTAI\Detector of Colors\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Detector of Colors.lnk" "$INSTDIR\Detector of Colors.exe" "" "$INSTDIR\Detector of Colors.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\GOSTAI\Detector of Colors\*.*"
  Delete "$DESKTOP\Detector of Colors.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\GOSTAI\Detector of Colors"
  RMDir "$INSTDIR"

SectionEnd
