#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QtGui>

using namespace urbi;
class CaptureImage;

class ConnectAibo : public QWidget
{
    Q_OBJECT

      public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotI;
      CaptureImage *pere;
      UCallbackAction command(const UMessage &);

      unsigned char* buffer;

      unsigned char* bufferRGB; 
      unsigned char* bufferRGBCouleur1; 
      unsigned char* bufferRGBCouleur2; 
      unsigned char* bufferRGBCouleur3; 
      unsigned char* bufferRGBCouleur5; 
      unsigned char* bufferRGBFinal; 

      unsigned char* bufferYCbCr; 
      unsigned char* bufferYCbCrCouleur1; 
      unsigned char* bufferYCbCrCouleur2; 
      unsigned char* bufferYCbCrCouleur3; 
      unsigned char* bufferYCbCrCouleur5; 
      unsigned char* bufferYCbCrFinal; 

      int traitementEnCours;

      QImage imageQT;
      QImage imageQT2;
      QImage imageCouleur1;
      QImage imageCouleur2;
      QImage imageCouleur3;
      QImage imageCouleur5;
      QImage imageFinal;
      QImage imageFinal2;

      virtual bool event(QEvent *ev);
      QEvent *e1;


};

#endif
