#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QtGui>
#include <sys/types.h>

// code opencv
#include "cv.h"
#include "highgui.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <math.h>
#include <float.h>
#include <limits.h>
#include <time.h>
#include <ctype.h>
// code opencv

class CaptureImage;

using namespace urbi;

class ConnectAibo : public QWidget
{
    Q_OBJECT

      public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotI;
      CaptureImage *pere;
      UCallbackAction command(const UMessage &);
      UCallbackAction command2(const UMessage &);

// code opencv
CvMemStorage* storage;
CvHaarClassifierCascade* cascade;
void detect_and_draw( IplImage* image );
// code opencv


      unsigned char* buffer;
      unsigned char* bufferRGB; 
      int capture;
      int traitementEnCours;

      int visible;
      int captureImage;
      int compteur;
      double posx;
      double posy;

      int aa;
      int bb;   

      QString fileName;

      QImage imageQT;
      QImage imageQT2;

      virtual bool event(QEvent *ev);
      QEvent *e1;

};

#endif
