#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QtGui>
#include <sys/types.h>

// code opencv
#include "cv.h"
#include "highgui.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <math.h>
#include <float.h>
#include <limits.h>
#include <time.h>
#include <ctype.h>
// code opencv

class CaptureImage;

using namespace urbi;

class ConnectAibo : public QWidget
{
    Q_OBJECT

      public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotI;
      CaptureImage *pere;
      UCallbackAction command(const UMessage &);
      UCallbackAction command2(const UMessage &);


/////////////////////////////////////////////////
// code opencv

int win_size;
int MAX_COUNT;
CvPoint2D32f *points[2];
CvPoint2D32f *swap_points;
char *status;
int count;
int need_to_init;
int night_mode;
int flags;
int add_remove_pt;
CvPoint pt;

IplImage *image;
IplImage *grey;
IplImage *prev_grey;
IplImage *pyramid;
IplImage *prev_pyramid;
IplImage *swap_temp;

// code opencv
/////////////////////////////////////////////////


      unsigned char* buffer;
      unsigned char* bufferRGB; 
      int captureimg;
      int traitementEnCours;

      int captureImage;
      int compteur;

      QString fileName;

      QImage imageQT;
      QImage imageQT2;
      QImage imageQT3;
      QImage imageQT4;
      QImage imageQT5;

      virtual bool event(QEvent *ev);
      QEvent *e1;

      int audemarrage;
};

#endif
