; Le nom du programme d'installation
Name "Record streaming images"

; Le nom du programme d'installation  creer
OutFile "Install Record streaming images.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Record streaming images"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Record streaming images (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\Record streaming images"
  CreateShortCut "$SMPROGRAMS\URBI\Record streaming images\Record streaming images.lnk" "$INSTDIR\Record streaming images.exe" "" "$INSTDIR\Record streaming images.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Record streaming images\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Record streaming images.lnk" "$INSTDIR\Record streaming images.exe" "" "$INSTDIR\Record streaming images.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Record streaming images\*.*"
  Delete "$DESKTOP\Record streaming images.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Record streaming images"
  RMDir "$INSTDIR"

SectionEnd
