; Le nom du programme d'installation
Name "Save and export variable"

; Le nom du programme d'installation  creer
OutFile "Install Save and export variable.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Save and export variable"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Save and export variable (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\Save and export variable"
  CreateShortCut "$SMPROGRAMS\URBI\Save and export variable\Save and export variable.lnk" "$INSTDIR\Save and export variable.exe" "" "$INSTDIR\Save and export variable.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Save and export variable\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Save and export variable.lnk" "$INSTDIR\Save and export variable.exe" "" "$INSTDIR\Save and export variable.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Save and export variable\*.*"
  Delete "$DESKTOP\Save and export variable.lnk"


  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Save and export variable"
  RMDir "$INSTDIR"

SectionEnd
