#ifndef TELE_H
#define TELE_H

#include "ui_telecommande.h"
#include "urbi.h"
#include <QWidget>
#include <QtGui>

#include <QMainWindow>

class Telecommande : public QMainWindow
{
    Q_OBJECT

public:
    ConnectAibo urbiTele; // connexion URBI

    Telecommande(QWidget *parent = 0);
    Telecommande *pointeur;

    Ui::Telecommande ui;

private slots:

    // sert pour la page 1
    void on_lineEdit_returnPressed(); 
    void on_pushButton_2_clicked();

    // sert pour la page 2
    void on_pushButton_clicked();
    void on_pushButton_3_clicked();
    void on_pushButton_4_clicked();
    void on_pushButton_5_clicked();

    // sert pour la page 7 // terminal
    void on_pushButton_82_clicked();
    void _on_comboBox_5_returnPressed(); 
    void on_comboBox_5_editTextChanged(const QString & text ); 

};

#endif

