#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QWidget>
#include <QtGui>

using namespace urbi;

class Telecommande;

class ConnectAibo : public QWidget
{
    Q_OBJECT

public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotC; // communication des commandes

      // lien pour acceder aux objets de telecommande
      Telecommande *pere;

      // les evenements servent pour l'affichage a l'ecran
      virtual bool event(QEvent *ev);
      QEvent *e1;

      // les lignes qui stockent le code a afficher
      QString *lignes;
      int compteurligne;

      // sert pour la page 7
      UCallbackAction allrecup(const UMessage &); 
      QString texteServeur;

};

#endif

