#ifndef CAPTUREIMAGE_H
#define CAPTUREIMAGE_H

#include "ui_captureimage.h"
#include "urbi.h"
#include "couleur.h"
#include <QWidget>
#include <QtGui>


class CaptureImage : public QMainWindow
{
    Q_OBJECT

public:
    CaptureImage(QWidget *parent = 0);
    CaptureImage *pointeur;

    ConnectAibo urbiImage;

    // creation des 6 couleurs
    Couleur color1;
    QColor colorColor1;

    QColor colorBackground;
    int redBackground;
    int greenBackground;
    int blueBackground;
    int YBackground;
    int CbBackground;
    int CrBackground;

    QColor colorPen;
    int redPen;
    int greenPen;
    int bluePen;
    int YPen;
    int CbPen;
    int CrPen;

    int clear; // effacer tout quand on change la couleur du fond

    Ui::CaptureImage ui;

private slots:
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();
    void on_pushButton_3_clicked();
    void on_pushButton_4_clicked();


};

#endif
