#include "captureimage.h"
#include <QApplication>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    CaptureImage *window;
    window = new CaptureImage();
    window->pointeur=window;

// conservation du nom du robot
   QCoreApplication::setOrganizationName ("Frederic LETELLIER");
   QCoreApplication::setOrganizationDomain ("urbiforge.com");
   QCoreApplication::setApplicationName ("URBI Paint");
   QSettings settings("URBI Paint", "GOSTAI");
   QString robotName = settings.value("robotname").toString();
   if(robotName != "")
        window->ui.lineEdit->setText(robotName);

    // on demande que l'interface soit du style plastique
    window->setStyle ( QApplication::setStyle ( "plastique" ) );


    window->show();
    return app.exec();
}
