; Le nom du programme d'installation
Name "URBI Ping"

; Le nom du programme d'installation  creer
OutFile "Install URBI Ping.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\URBI Ping"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "URBI Ping (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\URBI Ping"
  CreateShortCut "$SMPROGRAMS\URBI\URBI Ping\URBI Ping.lnk" "$INSTDIR\URBI Ping.exe" "" "$INSTDIR\URBI Ping.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\URBI Ping\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\URBI Ping.lnk" "$INSTDIR\URBI Ping.exe" "" "$INSTDIR\URBI Ping.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\URBI Ping\*.*"
  Delete "$DESKTOP\URBI Ping.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\URBI Ping"
  RMDir "$INSTDIR"

SectionEnd
