
///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_pushButton_2_clicked()
{
    urbiTele.pere=pointeur;

    // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    int port = ui.spinBox->value();
    QSettings settings("URBI Terminal", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.setValue("robotport", port);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

          // reinitialisation des parametres
          urbiTele.compteurligne=0;
          urbiTele.musiqueEnCours=0;
          urbiTele.imageEnCours=0;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() , port );

    if (!urbiTele.robotC->error())
    {
       // recuperation de tout ce qui est envoye par le serveur
       urbiTele.robotC->setWildcardCallback( callback(urbiTele,&ConnectAibo::allrecup) );

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }

}

///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_lineEdit_returnPressed()
{
    urbiTele.pere=pointeur;

    // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    int port = ui.spinBox->value();
    QSettings settings("URBI Terminal", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.setValue("robotport", port);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

          // reinitialisation des parametres
          urbiTele.compteurligne=0;
          urbiTele.musiqueEnCours=0;
          urbiTele.imageEnCours=0;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() , port );

    if (!urbiTele.robotC->error())
    {
       // recuperation de tout ce qui est envoye par le serveur
       urbiTele.robotC->setWildcardCallback( callback(urbiTele,&ConnectAibo::allrecup) );

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }
    
}

