#include "urotextedit.hh"
#include <QKeyEvent>
#include <QCoreApplication>

UROTextEdit::UROTextEdit(QWidget *parent, QWidget * dest)
  :QTextEdit(parent), dest(dest) {
    setReadOnly(true);
  }


UROTextEdit::~UROTextEdit() {}


void UROTextEdit::keyPressEvent ( QKeyEvent * e ) {
  if (e->modifiers() & Qt::ControlModifier)
    QTextEdit::keyPressEvent(e);
  else {
    dest->setFocus(Qt::OtherFocusReason);
    QCoreApplication::sendEvent(dest,e);
  }
}
