#ifndef UROTEXTEDIT_HH
#define UROTEXTEDIT_HH
#include <QTextEdit>

/** Magic read-only text edit that transmits pressed-keys to an other widget */
class UROTextEdit : public QTextEdit {

 public:
  UROTextEdit(QWidget *parent, QWidget * dest);
  ~UROTextEdit();

 protected:
  virtual void keyPressEvent ( QKeyEvent * e );
  QWidget * dest;
};


#endif
