; Le nom du programme d'installation
Name "Variable Graph"

; Le nom du programme d'installation  creer
OutFile "Install Variable Graph.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Variable Graph"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Variable Graph (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\Variable Graph"
  CreateShortCut "$SMPROGRAMS\URBI\Variable Graph\Variable Graph.lnk" "$INSTDIR\Variable Graph.exe" "" "$INSTDIR\Variable Graph.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Variable Graph\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Variable Graph.lnk" "$INSTDIR\Variable Graph.exe" "" "$INSTDIR\Variable Graph.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Variable Graph\*.*"
  Delete "$DESKTOP\Variable Graph.lnk"


  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Variable Graph"
  RMDir "$INSTDIR"

SectionEnd
