#qmake option
CONFIG += release
CONFIG += qt
CONFIG += static

MOC_DIR      = moc
OBJECTS_DIR  = obj
DESTDIR      = release
UI_DIR       = ui

TEMPLATE = app

TARGET = "Variable_Graph"

########################################
#Ajout du plugin jpeg en static
QTPLUGIN     += qjpeg
##########################################

########################################
#CONFIGURATION QWT
CONFIG           += QwtDll
INCLUDEPATH += ./qwt/include/
DEPENDPATH  += ./qwt/include/
QMAKE_LIBS_QWT += -L./qwt/lib-linux/ -lqwt
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_QWT
########################################


########################################
#CONFIGURATION URBI
INCLUDEPATH += ./liburbi-cpp/include/
QMAKE_LIBS_URBI += -L./liburbi-cpp/lib-linux/ -lurbi 
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

FORMS = captureimage.ui 
HEADERS = tele.h urbi.h data_plot.h windowsmain.h
SOURCES = main.cpp tele.cpp urbi.cpp data_plot.cpp windowsmain.cpp