#ifndef TELE_H
#define TELE_H

#include "ui_telecommande.h"
#include "urbi.h"
#include <QWidget>
#include <QtGui>

#include <QMainWindow>

class Telecommande : public QMainWindow
{
    Q_OBJECT

public:
    ConnectAibo urbiTele; // connexion URBI

    Telecommande(QWidget *parent = 0);
    Telecommande *pointeur;

    Ui::Telecommande ui;

private slots:

    // sert pour la page 1
    void on_lineEdit_returnPressed(); 
    void on_pushButton_2_clicked();

    // sert pour la page 5 // envois de fichiers
    void on_pushButton_86_clicked();
    void on_pushButton_87_clicked();

    // sert pour la page 7 // terminal
    void on_pushButton_82_clicked();
    void _on_comboBox_5_returnPressed(); 
    void on_comboBox_5_editTextChanged(const QString & text ); 

    // sert pour le menu
    void on_actionConfiguration_triggered(); // indiquer IP de connexion
    void on_actionPort_Configuration_triggered(); // indiquer le port de connexion
    void on_actionExit_triggered(); // fermer application

};

#endif

