
///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_pushButton_2_clicked()
{
    urbiTele.pere=pointeur;

    // recuperation des donnes du nom et du port
   QSettings settings("URBI iRobot Console", "GOSTAI");
   int port = settings.value("robotport").toInt();
   QString robotName = settings.value("robotname").toString();
   if(robotName == "")
   {
        port = 54000;
        robotName = "localhost";
   }

    if( urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;


          // on reinitialise les parametres
          urbiTele.compteurligne=0;
          urbiTele.musiqueEnCours=0;
          urbiTele.imageEnCours=0;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() , port );

    if (!urbiTele.robotC->error())
    {
       // recuperation de tout ce qui est envoye par le serveur
       urbiTele.robotC->setWildcardCallback( callback(urbiTele,&ConnectAibo::allrecup) );

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }

}

///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_lineEdit_returnPressed()
{
    urbiTele.pere=pointeur;

    // recuperation des donnes du nom et du port
   QSettings settings("URBI iRobot Console", "GOSTAI");
   int port = settings.value("robotport").toInt();
   QString robotName = settings.value("robotname").toString();
   if(robotName == "")
   {
        port = 54000;
        robotName = "localhost";
   }

    if( urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;


          // on reinitialise les parametres
          urbiTele.compteurligne=0;
          urbiTele.musiqueEnCours=0;
          urbiTele.imageEnCours=0;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() , port );

    if (!urbiTele.robotC->error())
    {
       // recuperation de tout ce qui est envoye par le serveur
       urbiTele.robotC->setWildcardCallback( callback(urbiTele,&ConnectAibo::allrecup) );

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }
    
}

