///////////////////////////////////////////
// Slection du fichier URBI
void Telecommande::on_pushButton_86_clicked()
{
    QString openFilesPath;

    QStringList files = QFileDialog::getOpenFileNames(
                                this, tr("QFileDialog::getOpenFileNames()"),
                                openFilesPath,
                                tr("URBI File (*.u);; Text File (*.txt)"));
    if (files.count()) 
    {
        openFilesPath = files[0];
        ui.label_53->setText(openFilesPath);        // affichage du fichier selectionne

     }

}


///////////////////////////////////////////
// Envoi du fichier URBI
void Telecommande::on_pushButton_87_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          QString openFilesPath=ui.label_53->text();  // on recupere le nom du fichier

          // on se place a la fin du terminal et en se met en bleu
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 

          QFile file;
          QString line;
          file.setFileName(openFilesPath);  // ouverture du fichier
          if( file.exists() )
          {
              file.open(QIODevice::ReadOnly | QIODevice::Text );
              QTextStream in(&file);

              while (!in.atEnd()) 
              {
                    line = in.readLine();
                    ui.textBrowser->insertPlainText( "[Send] " + line + "\n" ); 
                    urbiTele.robotC->send("%s", (const char *) ( line.toLatin1() + "\n"));
              }
          }
          file.close();

          // on se place a la fin du terminal
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}
