///////////////////////////////////////////
// Recuperer la valeur IR
void Telecommande::on_pushButton_9_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("stop totoir;");
    	    urbiTele.robotC->send("totoir:loop {");
            urbiTele.robotC->send("totoir: ir ");
            urbiTele.robotC->send("},");

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
           // application de la couleur sur le bouton connexion
           ui.pushButton_9->setPalette(couleur);
    }
} 

///////////////////////////////////////////
// Recuperer l'etat des bumpers
void Telecommande::on_pushButton_10_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("stop totobumpers;");
    	    urbiTele.robotC->send("totobumpers:loop {");
            urbiTele.robotC->send("totobumperL: bumperL &");
            urbiTele.robotC->send("totobumperR: bumperR ");
            urbiTele.robotC->send("},");

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
           // application de la couleur sur le bouton connexion
           ui.pushButton_10->setPalette(couleur);
    }
} 

///////////////////////////////////////////
// Recuperer l'etat des boutons
void Telecommande::on_pushButton_11_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("stop totobuttons;");
    	    urbiTele.robotC->send("totobuttons:loop {");
            urbiTele.robotC->send("totobuttonP: buttonP &");
            urbiTele.robotC->send("totobuttonA: buttonA ");
            urbiTele.robotC->send("},");

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
           // application de la couleur sur le bouton connexion
           ui.pushButton_11->setPalette(couleur);
    }
} 

///////////////////////////////////////////
// Recuperer l'etat des walls
void Telecommande::on_pushButton_33_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("stop totowalls;");
    	    urbiTele.robotC->send("totowalls:loop {");
            urbiTele.robotC->send("totowall: wall.val &");
            urbiTele.robotC->send("totovirtualwall: virtualwall.val ");
            urbiTele.robotC->send("},");

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
           // application de la couleur sur le bouton connexion
           ui.pushButton_33->setPalette(couleur);
    }
} 


///////////////////////////////////////////
// Recuperer l'etat des cliffs
void Telecommande::on_pushButton_32_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("stop totocliff;");
    	    urbiTele.robotC->send("totocliff:loop {");
            urbiTele.robotC->send("totocliffL: cliffL &");
            urbiTele.robotC->send("totocliffFL: cliffFL &");
            urbiTele.robotC->send("totocliffR: cliffR &");
            urbiTele.robotC->send("totocliffFR: cliffFR ");
            urbiTele.robotC->send("},");

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
           // application de la couleur sur le bouton connexion
           ui.pushButton_32->setPalette(couleur);
    }
} 


///////////////////////////////////////////
// Recuperer l'etat des cliffs
void Telecommande::on_pushButton_7_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("stop totoodometry;");
    	    urbiTele.robotC->send("totoodometry:loop {");
            urbiTele.robotC->send("totoodometryval: odometry.val &");
            urbiTele.robotC->send("totoodometryangle: odometry.angle &");
            urbiTele.robotC->send("totoodometryvelocity: odometry.velocity &");
            urbiTele.robotC->send("totoodometryradius: odometry.radius ");
            urbiTele.robotC->send("},");

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
           // application de la couleur sur le bouton connexion
           ui.pushButton_7->setPalette(couleur);
    }
} 



///////////////////////////////////////////
// Recuperer l'etat de la batterie
void Telecommande::on_pushButton_34_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("stop totobattery;");
    	    urbiTele.robotC->send("totobattery:loop {");
            urbiTele.robotC->send("totobatterystate: battery.state &");
            urbiTele.robotC->send("totobatteryval: battery.val &");
            urbiTele.robotC->send("totobatteryvoltage: battery.voltage &");
            urbiTele.robotC->send("totobatterycharge: battery.charge &");
            urbiTele.robotC->send("totobatterycapacity: battery.capacity &");
            urbiTele.robotC->send("totobatterysource: battery.source &");
            urbiTele.robotC->send("totobatterytemperature: battery.temperature ");
            urbiTele.robotC->send("},");

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
           // application de la couleur sur le bouton connexion
           ui.pushButton_34->setPalette(couleur);
    }
} 

