UCallbackAction ConnectAibo::returnvalueir(const UMessage &msg) 
{

  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  QString tag = QString::fromLatin1(msg.tag.c_str());
  double value = (double) msg.value->val;

  valueir=value;

  e1 = new QEvent((QEvent::Type)(1005));
  QCoreApplication::postEvent(this,e1);

  return URBI_CONTINUE;
}



UCallbackAction ConnectAibo::returnvaluebuttons(const UMessage &msg) 
{

  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  QString tag = QString::fromLatin1(msg.tag.c_str());
  double value = (double) msg.value->val;

    if( tag == "totobuttonP")
        valuebutton1=value;
    else if( tag == "totobuttonA")
        valuebutton2=value;

    compteurbuttons++;

  if( compteurbuttons >= 2)
  {

      e1 = new QEvent((QEvent::Type)(1003));
      QCoreApplication::postEvent(this,e1);

       compteurbuttons=0;
  }


  return URBI_CONTINUE;
}



UCallbackAction ConnectAibo::returnvaluebumper(const UMessage &msg) 
{

  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  QString tag = QString::fromLatin1(msg.tag.c_str());
  double value = (double) msg.value->val;

    if( tag == "totobumperL")
        valuebumper1=value;
    else if( tag == "totobumperR")
        valuebumper2=value;

    compteurbumpers++;

  if( compteurbumpers >= 2)
  {

      e1 = new QEvent((QEvent::Type)(1004));
      QCoreApplication::postEvent(this,e1);

       compteurbumpers=0;
  }


  return URBI_CONTINUE;
}


UCallbackAction ConnectAibo::returnvaluewalls(const UMessage &msg) 
{

  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  QString tag = QString::fromLatin1(msg.tag.c_str());
  double value = (double) msg.value->val;

    if( tag == "totowall")
        valuewall1=value;
    else if( tag == "totovirtualwall")
        valuewall2=value;

    compteurwalls++;

  if( compteurwalls >= 2)
  {

      e1 = new QEvent((QEvent::Type)(1007));
      QCoreApplication::postEvent(this,e1);

       compteurwalls=0;
  }


  return URBI_CONTINUE;
}



UCallbackAction ConnectAibo::returnvaluecliffs(const UMessage &msg) 
{

  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  QString tag = QString::fromLatin1(msg.tag.c_str());
  double value = (double) msg.value->val;

    if( tag == "totocliffL")
        valuecliff1=value;
    else if( tag == "totocliffFL")
        valuecliff2=value;
    if( tag == "totocliffR")
        valuecliff3=value;
    else if( tag == "totocliffFR")
        valuecliff4=value;

    compteurcliffs++;

  if( compteurcliffs >= 4)
  {

      e1 = new QEvent((QEvent::Type)(1008));
      QCoreApplication::postEvent(this,e1);

       compteurcliffs=0;
  }


  return URBI_CONTINUE;
}



UCallbackAction ConnectAibo::returnvalueodometry(const UMessage &msg) 
{

  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  QString tag = QString::fromLatin1(msg.tag.c_str());
  double value = (double) msg.value->val;

    if( tag == "totoodometryval")
        valueodometry1=value;
    else if( tag == "totoodometryangle")
        valueodometry2=value;
    if( tag == "totoodometryvelocity")
        valueodometry3=value;
    else if( tag == "totoodometryradius")
        valueodometry4=value;

    compteurodometry++;

  if( compteurodometry >= 4)
  {

      e1 = new QEvent((QEvent::Type)(1009));
      QCoreApplication::postEvent(this,e1);

       compteurodometry=0;
  }


  return URBI_CONTINUE;
}



UCallbackAction ConnectAibo::returnvaluebattery(const UMessage &msg) 
{

    double value;
    QString value2;

  if (msg.type == MESSAGE_DATA && msg.value->type == urbi::DATA_DOUBLE)
    value = (double) msg.value->val;
  else
    value2 = QString::fromLatin1(msg.rawMessage.c_str());

  QString tag = QString::fromLatin1(msg.tag.c_str());

    if( tag == "totobatterystate")
        valuebattery1=value2;
    else if( tag == "totobatteryval")
        valuebattery2=value;
    if( tag == "totobatteryvoltage")
        valuebattery3=value;
    else if( tag == "totobatterycharge")
        valuebattery4=value;
    else if( tag == "totobatterycapacity")
        valuebattery5=value;
    if( tag == "totobatterysource")
        valuebattery6=value;
    else if( tag == "totobatterytemperature")
        valuebattery7=value;

    compteurbattery++;

  if( compteurbattery >= 7)
  {

      e1 = new QEvent((QEvent::Type)(1010));
      QCoreApplication::postEvent(this,e1);

       compteurbattery=0;
  }


  return URBI_CONTINUE;
}




