; Le nom du programme d'installation
Name "iRobot Telecommande"

; Le nom du programme d'installation  creer
OutFile "Install iRobot Telecommande.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\iRobot Telecommande"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "iRobot Telecommande (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\iRobot Telecommande"
  CreateShortCut "$SMPROGRAMS\URBI\iRobot Telecommande\iRobot Telecommande.lnk" "$INSTDIR\iRobot Telecommande.exe" "" "$INSTDIR\iRobot Telecommande.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\iRobot Telecommande\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\iRobot Telecommande.lnk" "$INSTDIR\iRobot Telecommande.exe" "" "$INSTDIR\iRobot Telecommande.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\iRobot Telecommande\*.*"
  Delete "$DESKTOP\iRobot Telecommande.lnk"


  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\iRobot Telecommande"
  RMDir "$INSTDIR"

SectionEnd
