function urbiDemoCallback(name)
 
urbiResetCallbacks;

aibo = urbiConnect(name) ;
pause(1) ;
urbiClearConnection(aibo,1);
urbiSend(aibo,'stopall;');
disp('Setting the ex_callback_f1 function to be executed when a message with tag ''image'' is received');
disp(' - > callBack_1 = urbiSetCallback(aibo, @ex_callback_f1, ''image'');');
callBack_1 = urbiSetCallback(aibo, @ex_callback_f1, 'image');
disp(sprintf('please press return to go forward\n')) ;
pause

disp('Setting the ex_callback_f2 function to be executed when a message with tag ''iseeball'' is received');
disp('callBack_2 = urbiSetCallback(aibo, @ex_callback_f2, ''iseeball'');');
callBack_2 = urbiSetCallback(aibo, @ex_callback_f2, 'iseeball');
disp(sprintf('please press return to go forward\n')) ;
pause

disp('sending urbicommands that will send messages');
disp(' - > urbiSend(aibo,''l1:loop {image:camera.val; wait 500 ; },'');');
disp(' - > urbiSend(aibo,''l2:at(ball.x != -1) {iseeball: ball.x;},'');');
urbiSend(aibo,'l1:loop {image:camera.val; wait 500 ; },');
urbiSend(aibo,'l2:whenever(ball.x != -1) {iseeball: ball.x;wait 300;},');
figure(1) ;

disp('processing the next 100 messages from the server...');
disp(' - > urbiProcessEvents(100, 1000);');
disp('Please move the pink ball in front of the aibo...');

urbiProcessEvents(100, 1000);

% YOU MUST DELETE THE CALLBACKS BEFORE CLOSING THE CONNEXION
urbiDeleteCallBack(aibo, callBack_1);
urbiDeleteCallBack(aibo, callBack_2);
urbiDisconnect(aibo); 
