function urbiSendWav(con, wavFile, variableName)
% Write the sound in a variable on the server
% This function send the wav file to a variable on the URBI server

if (nargin ~=3)
    error ('Wrong number of arguments');
end

fid = fopen(wavFile,'r');
if fid==-1
    error (sprintf('Unable to open %s', wavFile));
end;

bin_datas = fread(fid);
bin_datas = char(bin_datas');
fclose(fid);
urbiSend(con, sprintf ('%s = BIN %d wav;', variableName, size(bin_datas, 2)));
pnet(con, 'write', bin_datas, 'char');
