function urbiSetDevicesFields(con, listDevicesFields, listValues)
% Set multiple devices or variables values at the same time;
%
% e.g. setDevices(aibo, {'headPan.val', 'headTilt.val', 'myVar'}, [-10 20 3.5]) ;

n = size(listDevicesFields, 2);
V = zeros(1, n);
cmd = [];
% Compose the command string
for i=1:n
    cmd = [cmd ' & ' listDevicesFields{i} '=' num2str(listValues(i))];
end;
cmd = cmd(4:size(cmd, 2));
urbiSend (con, [cmd ';']);
