///////////////////////////////////////////
// Recuperer les valeurs du laser
void Telecommande::on_pushButton_15_clicked()
{
    if(urbiTele.robotC != NULL)
    {

       if(urbiTele.valuelasers == NULL)
       {
       	//recuperation de l'image originale laser
       	const QPixmap *imagelaserpixmap;
       	imagelaserpixmap = ui.label_43->pixmap();
       	urbiTele.imagelaserclean = imagelaserpixmap->toImage();
       	urbiTele.imagelaserclean2 = urbiTele.imagelaserclean;
       }

       urbiTele.robotC->send("totolasersanglemin: laser.angleMin;");
       urbiTele.robotC->send("totolasersanglemax: laser.angleMax;");
       urbiTele.robotC->send("totolasercount: laser.count;");

	    urbiTele.robotC->send("stop totolasers;");
	    urbiTele.robotC->send("totolasers:loop {");
    	urbiTele.robotC->send("totolasers: laser.val");
	    urbiTele.robotC->send("},");


        // creation de la couleur verte
        QColor couleur ( 0, 255, 0 ); 
        // application de la couleur sur le bouton connexion
        ui.pushButton_15->setPalette(couleur);
    }

}

///////////////////////////////////////////
// Domaine [0 --> PI]
void Telecommande::on_pushButton_16_clicked()
{
    if(urbiTele.robotC != NULL)
    {

       if(urbiTele.valuelasers == NULL)
       {
       	//recuperation de l'image originale laser
       	const QPixmap *imagelaserpixmap;
       	imagelaserpixmap = ui.label_26->pixmap();
       	urbiTele.imagelaserclean = imagelaserpixmap->toImage();
       	urbiTele.imagelaserclean2 = urbiTele.imagelaserclean;
       }

    	    urbiTele.robotC->send("laser.angleMin = 0;");
    	    urbiTele.robotC->send("laser.angleMax = 3.14159;");

          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] laser.angleMin = 0;\n" ) ; 
          ui.textBrowser->insertPlainText( "[Send] laser.angleMax = 3.14159;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);



    	    urbiTele.robotC->send("totolasersanglemin: laser.angleMin;");
    	    urbiTele.robotC->send("totolasersanglemax: laser.angleMax;");
    	    urbiTele.robotC->send("totolasercount: laser.count;");
	    urbiTele.robotC->send("stop totolasers;");
	    urbiTele.robotC->send("totolasers:loop {");
    	    urbiTele.robotC->send("totolasers: laser.val");
	    urbiTele.robotC->send("},");

    }

}

///////////////////////////////////////////
// Domaine [-PI --> PI]
void Telecommande::on_pushButton_17_clicked()
{
    if(urbiTele.robotC != NULL)
    {

       if(urbiTele.valuelasers == NULL)
       {
       	//recuperation de l'image originale laser
       	const QPixmap *imagelaserpixmap;
       	imagelaserpixmap = ui.label_26->pixmap();
       	urbiTele.imagelaserclean = imagelaserpixmap->toImage();
       	urbiTele.imagelaserclean2 = urbiTele.imagelaserclean;
       }

    	    urbiTele.robotC->send("laser.angleMin = -3.14159;");
    	    urbiTele.robotC->send("laser.angleMax = 3.14159;");

          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] laser.angleMin = -3.14159;\n" ) ; 
          ui.textBrowser->insertPlainText( "[Send] laser.angleMax = 3.14159;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);

    	    urbiTele.robotC->send("totolasersanglemin: laser.angleMin;");
    	    urbiTele.robotC->send("totolasersanglemax: laser.angleMax;");
    	    urbiTele.robotC->send("totolasercount: laser.count;");
	    urbiTele.robotC->send("stop totolasers;");
	    urbiTele.robotC->send("totolasers:loop {");
    	    urbiTele.robotC->send("totolasers: laser.val");
	    urbiTele.robotC->send("},");
    }

}
