; Le nom du programme d'installation
Name "Pioneer2 Telecommande"

; Le nom du programme d'installation  creer
OutFile "Install Pioneer2 Telecommande.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Pioneer2 Telecommande"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Pioneer2 Telecommande (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\Pioneer2 Telecommande"
  CreateShortCut "$SMPROGRAMS\URBI\Pioneer2 Telecommande\Pioneer2 Telecommande.lnk" "$INSTDIR\Pioneer2 Telecommande.exe" "" "$INSTDIR\Pioneer2 Telecommande.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Pioneer2 Telecommande\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Pioneer2 Telecommande.lnk" "$INSTDIR\Pioneer2 Telecommande.exe" "" "$INSTDIR\Pioneer2 Telecommande.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Pioneer2 Telecommande\*.*"
  Delete "$DESKTOP\Pioneer2 Telecommande.lnk"


  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Pioneer2 Telecommande"
  RMDir "$INSTDIR"

SectionEnd
