#qmake option
CONFIG += release
CONFIG += qt
CONFIG += static

MOC_DIR      = moc
OBJECTS_DIR  = obj
DESTDIR      = release
UI_DIR       = ui

TEMPLATE = app


TARGET = "Pioneer2Telecommande"

########################################
#Ajout du plugin jpeg en static
QTPLUGIN     += qjpeg
##########################################

########################################
#CONFIGURATION QWT
INCLUDEPATH += ./qwt/include/
DEPENDPATH  += ./qwt/include/
QMAKE_LIBS_QWT += -L./qwt/lib-linux/ -lqwt
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_QWT
########################################


########################################
#CONFIGURATION URBI
INCLUDEPATH += ./liburbi-cpp/include/
QMAKE_LIBS_URBI += -L./liburbi-cpp/lib-linux/ -lurbi 
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

RESOURCES   = ressources/urbidev.qrc 
FORMS = telecommande.ui camera.ui 
HEADERS = tele.h urbi.h plot.h camera.h 
SOURCES = main-static.cpp camera.cpp tele.cpp tele_page1.cpp tele_page2.cpp tele_page3.cpp tele_page4.cpp tele_page5.cpp tele_page6.cpp tele_page7.cpp tele_page8.cpp urbi.cpp urbi_page2.cpp urbi_page3.cpp urbi_page4.cpp urbi_page6.cpp urbi_page8.cpp plot.cpp 