#ifndef PLOT_H
#define PLOT_H

#include <qwt_plot.h>
#include <qwt_plot_marker.h>
#include <qwt_plot_curve.h>
#include <qwt_legend.h>
#include <qwt_data.h>
#include <qwt_text.h>

#include <qmainwindow.h>
#include <qwt_counter.h>
#include <qtoolbar.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qwt_plot.h>
#include <stdlib.h>
#include <qwt_painter.h>
#include <qwt_plot_canvas.h>
#include <qwt_scale_widget.h>
#include <qwt_scale_draw.h>
#include <qwt_math.h>
#include <qwt_plot_marker.h>
#include <qwt_plot_zoomer.h>

class Plot : public QwtPlot
{

 public:
    Plot();

    // cas pour la variable
    void Init_Variable(); // initialisation de la fenetre
    void addValuesVariable(double value,double heure); // on ajoute une donnee
    void videPlotVariable( ); // on vide toutes les tables de donnees
    void alignScales(); // mise en forme de la fenetre

    QwtPlotCurve *cLeft;
    double valmin; // valeur minimum prise par la variable
    double valmax; // valeur maximum prise par la variable

    // nombre de points a afficher
    int pointsAAfficher;
    // stockage de l'axe des abscisses
    double *xPoints;
    // stockage des valeurs de la variable
    double *stockVariable; 

};

#endif

