

///////////////////////////////////////////
// on avance
void Telecommande::on_pushButton_77_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("ralfy.Lspeed = 127;");
          urbiTele.robotC->send("ralfy.Rspeed = 127;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Lspeed = 127;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Rspeed = 127;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}



///////////////////////////////////////////
// on tourne a gauche
void Telecommande::on_pushButton_78_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("ralfy.Lspeed = -80;");
          urbiTele.robotC->send("ralfy.Rspeed = 80;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Lspeed = -80;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Rspeed = 80;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on tourne a droite
void Telecommande::on_pushButton_79_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("ralfy.Lspeed = 80;");
          urbiTele.robotC->send("ralfy.Rspeed = -80;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Lspeed = 80;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Rspeed = -80;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on recule
void Telecommande::on_pushButton_80_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("ralfy.Lspeed = -127;");
          urbiTele.robotC->send("ralfy.Rspeed = -127;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Lspeed = -127;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Rspeed = -127;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on s'arrete
void Telecommande::on_pushButton_81_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("ralfy.Lspeed = 0;");
          urbiTele.robotC->send("ralfy.Rspeed = 0;");
          urbiTele.robotC->send("ralfy.stop();");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Lspeed = 0;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Rspeed = 0;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] ralfy.stop();\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}




///////////////////////////////////////////
// Rcuprer les valeurs du robot
void Telecommande::on_pushButton_12_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("totowheelL: ralfy.Lspeed &");
            urbiTele.robotC->send("totowheelR: ralfy.Rspeed;");

    	    urbiTele.robotC->send("stop totowheels;");
    	    urbiTele.robotC->send("totowheels:loop {");
    	    urbiTele.robotC->send("totowheelL2: ralfy.Lspeed &");
            urbiTele.robotC->send("totowheelR2: ralfy.Rspeed ");
            urbiTele.robotC->send("},");

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
           // application de la couleur sur le bouton connexion
           ui.pushButton_12->setPalette(couleur);

    }


}


///////////////////////////////////////////
// Modif de la valeur de Lspeed
void Telecommande::on_spinBox_2_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider->setValue(i);

           QString value = QString::number(i);
           value="ralfy.Lspeed=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de Rspeed
void Telecommande::on_spinBox_3_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_2->setValue(i);

           QString value = QString::number(i);
           value="ralfy.Rspeed=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    

///////////////////////////////////////////
// Modif de la valeur de drive
void Telecommande::on_spinBox_4_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider->setValue(i);
           ui.horizontalSlider_2->setValue(i);
           ui.horizontalSlider_3->setValue(i);

           ui.spinBox_2->setValue( ui.horizontalSlider_3->value() );     
           ui.spinBox_3->setValue( ui.horizontalSlider_3->value() );     

           QString value = QString::number(i);
           value="ralfy.drive=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";

           QString value2 = QString::number(i);
           value2="ralfy.drive=" +value2 +";";
           urbiTele.robotC->send("%s", (const char *) value2.toLatin1());  
           value2 = "[Send] " + value2 + "\n";

           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           ui.textBrowser->insertPlainText( value2 ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    



///////////////////////////////////////////
// Modif de la valeur de Lspeed
void Telecommande::on_horizontalSlider_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_2->setValue( ui.horizontalSlider->value() );     

           int i = ui.horizontalSlider->value();
           QString value = QString::number(i);
           value="ralfy.Lspeed=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }


}


///////////////////////////////////////////
// Modif de la valeur de Rspeed
void Telecommande::on_horizontalSlider_2_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_3->setValue( ui.horizontalSlider_2->value() );     

           int i = ui.horizontalSlider_2->value();
           QString value = QString::number(i);
           value="ralfy.Rspeed=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    

///////////////////////////////////////////
// Modif de la valeur de drive
void Telecommande::on_horizontalSlider_3_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_2->setValue( ui.horizontalSlider_3->value() );     
           ui.spinBox_3->setValue( ui.horizontalSlider_3->value() );     
           ui.spinBox_4->setValue( ui.horizontalSlider_3->value() );     

           ui.horizontalSlider->setValue(ui.horizontalSlider_3->value());
           ui.horizontalSlider_2->setValue(ui.horizontalSlider_3->value());

           int i = ui.horizontalSlider_2->value();

           QString value = QString::number(i);
           value="ralfy.Lspeed=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";

           QString value2 = QString::number(i);
           value2="ralfy.Rspeed=" +value2 +";";
           urbiTele.robotC->send("%s", (const char *) value2.toLatin1());  
           value2 = "[Send] " + value2 + "\n";

           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           ui.textBrowser->insertPlainText( value2 ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    


///////////////////////////////////////////
// Mise a 0 des roues
void Telecommande::on_pushButton_29_clicked()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_2->setValue( 0 );     
           ui.spinBox_3->setValue( 0 );     
           ui.spinBox_4->setValue( 0 );     

           ui.horizontalSlider->setValue(0);
           ui.horizontalSlider_2->setValue(0);
           ui.horizontalSlider_2->setValue(0);

           urbiTele.robotC->send("ralfy.Stop();");  
           QString value = "[Send] ralfy.Stop();\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    


///////////////////////////////////////////
// patrol on
void Telecommande::on_pushButton_17_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          ui.label_14->setText("<font color=\"green\">ralfy.Patrol</font>");
          urbiTele.robotC->send("ralfy.Patrol(1);");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Patrol(1);\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 
}

///////////////////////////////////////////
// patrol off
void Telecommande::on_pushButton_18_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          ui.label_14->setText("<font color=\"red\">ralfy.Patrol</font>");
          urbiTele.robotC->send("ralfy.Patrol(0);");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Patrol(0);\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 
}


///////////////////////////////////////////
// pivot
void Telecommande::on_pushButton_19_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          int n = ui.spinBox_6->value();
          urbiTele.robotC->send("%s", (const char *) ("ralfy.Pivot(" +  QString::number(n).toLatin1() + "),"));
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Pivot(" +  QString::number(n) + "),\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}
