#include <urbi/uobject.hh>
#include <windows.h>  // pour le Sleep(delay)

using namespace urbi;

class test : public UObject
{
	public:
	test(std::string);
    int init(void);	
    void delay(int t);	
};

UStart(test);

test::test(std::string s) : UObject(s) 
{
	UBindFunction(test,init);
	UBindFunction(test,delay);
}

int test::init(void)
{
    return 1;
}


void test::delay(int t)
{
	std::string message;
	message = "+connection(\"all\"):\"Message 1\";";
    urbi::send(message.c_str());

    Sleep(t);

	message = "+connection(\"all\"):\"Message 2\";";
    urbi::send(message.c_str());

    Sleep(t * 1000);

	message = "+connection(\"all\"):\"Message 3\";";
    urbi::send(message.c_str());
}	
