#include "echo.h"

UStart(echoSound);

echoSound::echoSound(std::string s) : UObject(s)
{
	UBindVar(echoSound,val);
	UBindVar(echoSound,delay);
	UBindVar(echoSound,sound);
	UBindVar(echoSound,blendTemp);
	UBindFunction(echoSound,init);
	UBindFunction(echoSound,initsound);
	UBindFunction(echoSound,play);
	UNotifyAccess(val,&echoSound::valueAccessed);

	sound = "test.wav";
	delay = 2;
	val = "play sound with a echo";
	blendTemp = "mix";

	URBI((alias echoSound echoSound.val;));
}

echoSound::~echoSound()
{
}

int echoSound::init(void)
{
  return 1; // Singleton
}


int echoSound::initsound(std::string soundName , int time)
{
	sound = soundName;
	delay = time;
	return 0;
}

int echoSound::play(void)
{
	URBI((
	      echoSound.blendTemp = speaker->blend;
	      speaker->blend = "mix";
	      speaker.play(echoSound.sound),
	      wait(echoSound.delay * 1s);
	      speaker.play(echoSound.sound);
	      speaker->blend = echoSound.blendTemp;
	));
	return 0;
}


int echoSound::valueAccessed(UVar &v)
{    
	play();
	return 0;
}


