
#include "game421.h"


UStart(game421);

// Creation de l'objet puissance4 
game421::game421(std::string s) : UObject(s) 
{
	UBindFunction(game421,init);
	UBindFunction(game421,help);
	UBindFunction(game421,start);

}


// Destruction de l'objet game421
game421::~game421(void)
{

}

// empecher que l'on puisse faire un new game421()
int game421::init(void)
{
  return 1; // Singleton
}

// affichage des infos pour calculer les points
void game421::help(void)
{
	std::string message;
    message = "+connection(\"all\"): \"Combinaisons rapportant des points + nombre de points :\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- Speciales :\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 111 : 9\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 222 : 2\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 333 : 3\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 444 : 4\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 555 : 5\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 666 : 6\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 112 : 2\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 113 : 3\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 114 : 4\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 115 : 5\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 116 : 6\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 122 : 4\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 421 : 10\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- Tierces :\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 123 : 2\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 234 : 2\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 345 : 2\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"): \"- 456 : 2\";";
    urbi::send(message.c_str());

}

std::vector <int> lancer_des() 
{
  std::vector <int> des;
  for(int i(0);i!=3;++i) 
  {
    int de((rand()%6)+1);
    des.push_back(de);
  }

  //Le programme tri les des par ordre croissant

  sort(des.begin(),des.end());
  return des;
}

int points(std::vector <int> des) 
{
  int pts(0);

  if((des[0]==des[1])&&(des[1]==des[2])) 
  {
      if(des[0]==1) pts=9;
      else pts=des[0];
  }
  else 
  {
    if((des[0]==des[1])&&(des[0]==1)) pts=des[2];
    if((des[0]+1==des[1])&&(des[1]+1==des[2])) pts=2;
    if((des[0]==1)&&(des[1]==2)&&(des[2]==4)) pts=10;
    if((des[0]==1)&&(des[1]==2)&&(des[2]==2)) pts=4;
  }
  return pts;
}


// on demarre le jeu
void game421::start(void)
{
  srand((unsigned) time(NULL)); // on initialise les valeurs aleatoires

  std::string message;
  message = "+connection(\"all\"): \"!!!   Game 421   !!!\";";
  urbi::send(message.c_str());

// RAPPEL
// Le 421 se joue en 2 etapes :
// Etape 1 : la charge (le jeu suivant) dont le but est de ne pas obtenir de pions
// Etape 2 : la decharge, dont le but est de se debarrasser de tous ses pions
// Le gagnant est le premier qui n'a plus de pions.

  //Pions du joueur1
  int nbpions1 = 0;
  //Pions du joueur2
  int nbpions2 = 0;
  //Pions restants
  int nbpionsrestants = 21;

  int fin = 0;

  while(fin != 1)
  {

      message = "+connection(\"all\"): \"*******************\";";
      urbi::send(message.c_str());

      std::vector <int> des_jo1(lancer_des());
      std::vector <int> des_jo2(lancer_des());
      int pts_jo1 = points(des_jo1);
      int pts_jo2 = points(des_jo2);
      if((pts_jo1==pts_jo2)&&(pts_jo2==0)) 
      {
    
        // Au 421 le joueur qui,
        // une fois les resultats tries par ordre decroissant et si personne n'a fait de combinaisons gagnantes,
        // obtient le plus grand score en un lance gagne un point.
        
        int pts_jo1temp = des_jo1[2]*100+des_jo1[1]*10+des_jo1[0];
        int pts_jo2temp = des_jo2[2]*100+des_jo2[1]*10+des_jo2[0];
        if(pts_jo1temp>pts_jo2temp) pts_jo1=1;
        if(pts_jo1temp<pts_jo2temp) pts_jo2=1;
      }       
            
      //Le perdant prend des pions
      int pionsaj1 = 0;
      int pionsaj2 = 0;


      if(pts_jo1>pts_jo2) 
      {
        if(nbpionsrestants<pts_jo1-pts_jo2) 
        {
            pionsaj2=nbpionsrestants;
            nbpions2+=nbpionsrestants;
            nbpionsrestants-=nbpionsrestants;
        }
        else
        {
            pionsaj2=pts_jo1-pts_jo2;
            nbpions2+=pts_jo1-pts_jo2;
            nbpionsrestants-=pts_jo1-pts_jo2;
        }
      }

      if(pts_jo1<pts_jo2) 
      {
        if(nbpionsrestants<pts_jo2-pts_jo1) 
        {
            pionsaj1=nbpionsrestants;
            nbpions1+=nbpionsrestants;
            nbpionsrestants-=nbpionsrestants;
        } 
        else 
        {
            pionsaj1=pts_jo2-pts_jo1;
            nbpions1+=pts_jo2-pts_jo1;
            nbpionsrestants-=pts_jo2-pts_jo1;
        }
      }

      message = "+connection(\"all\"): \"Joueur 1 :\";";
      urbi::send(message.c_str());
      message = "+connection(\"all\"): \"Des : ";
      std::string messagetmp;
      for(int i = des_jo1.size()-1;i!=-1;--i) 
      {
        std::ostringstream ostr; 
        ostr << des_jo1[i]; 


        messagetmp = ostr.str(); 
        message = message + messagetmp;
        if(i!=0)
            message = message + ", ";
      }
      message = message + "\";";
      urbi::send(message.c_str());

      std::ostringstream ostr; 
      std::string snbpions1, spionsaj1;
      ostr << nbpions1; 
      snbpions1 = ostr.str();
      ostr.str(""); 
      ostr << pionsaj1; 
      spionsaj1 = ostr.str();
      ostr.str(""); 

      message = "+connection(\"all\"): \"Pions : " + snbpions1 + "( "+ spionsaj1 + ")\";";
      urbi::send(message.c_str());

      message = "+connection(\"all\"): \"\";";
      urbi::send(message.c_str());

      message = "+connection(\"all\"): \"Joueur 2 :\";";
      urbi::send(message.c_str());
      message = "+connection(\"all\"): \"Des : ";
      for(int j = des_jo2.size()-1;j!=-1;--j) 
      {
        std::ostringstream ostr; 
        ostr << des_jo2[j]; 


        messagetmp = ostr.str(); 
        message = message + messagetmp;
        if(j!=0)
            message = message + ", ";
      }
      message = message + "\";";
      urbi::send(message.c_str());

      std::string snbpions2, spionsaj2;
      ostr << nbpions2; 
      snbpions2 = ostr.str();
      ostr.str(""); 
      ostr << pionsaj2; 
      spionsaj2 = ostr.str();
      ostr.str(""); 

      message = "+connection(\"all\"): \"Pions : " + snbpions2 + "( "+ spionsaj2 + ")\";";
      urbi::send(message.c_str());

      message = "+connection(\"all\"): \"\";";
      urbi::send(message.c_str());

      std::string snbpionsrestants;
      ostr << nbpionsrestants; 
      snbpionsrestants = ostr.str();
      ostr.str(""); 
      message = "+connection(\"all\"): \"Pions restants : " + snbpionsrestants + "\";";
      urbi::send(message.c_str());

      if(nbpionsrestants==0) 
      {

        message = "+connection(\"all\"): \"*******************\";";
        urbi::send(message.c_str());

        fin=1;
        if(nbpions1>nbpions2)
        {
          message = "+connection(\"all\"): \"Joueur 2 a gagne !\";";
          urbi::send(message.c_str());
        }
        else 
        {
          message = "+connection(\"all\"): \"Joueur 1 a gagne !\";";
          urbi::send(message.c_str());
        }
      }
  }

}
