
#include "guessnumber.h"


UStart(guessnumber);

// Creation de l'objet guessnumber 
guessnumber::guessnumber(std::string s) : UObject(s) 
{
	UBindFunction(guessnumber,init);
	UBindFunction(guessnumber,start);
	UBindFunction(guessnumber,trynb);

    guess = 0;
    essais = 0;
    pseudo = "Humain";
    reponse = 1;
}


// Destruction de l'objet guessnumber 
guessnumber::~guessnumber(void)
{

}

// empecher que l'on puisse faire un new guessnumber()
int guessnumber::init(void)
{
  return 1; // Singleton
}


// demarrer la partie
void guessnumber::start(std::string name, int nb_essais)
{
   pseudo = name;
   srand(time(NULL));	// initialisation du gnrateur de nombre
   reponse = (rand() % 100) + 1; // gnration du nombre alatoire de 1  100
   essais = nb_essais;
   guess = 0; // on remet le compteur des essais a 0

   std::string message;
   std::string messagetmp;
   message = "+connection(\"all\"): \"Welcome " + pseudo + " are you ready ?\";";
   urbi::send(message.c_str());
   std::ostringstream ostr; 
   ostr << essais; 
   messagetmp = ostr.str(); 
   message = "+connection(\"all\"): \"You have " + messagetmp + " try to find a number (1-100)\";";
   urbi::send(message.c_str());
   message = "+connection(\"all\"): \"Use guessnumber.trynb(number); to test a number\";";
   urbi::send(message.c_str());

}

// tentative
void guessnumber::trynb(int number)
{
  int choix = number;

  // partie triche
  if(choix == 666) // si on tape "666" le programme affiche la rponse !
  {
       std::string message;
       std::string messagetmp;
       message = "+connection(\"all\"): \"You are a cheater\";";
       urbi::send(message.c_str());
       std::ostringstream ostr; 
       ostr << reponse; 
       messagetmp = ostr.str(); 
       message = "+connection(\"all\"): \"The good answer is " + messagetmp + "\";";
       urbi::send(message.c_str());
       return;
  }

  std::string message;
  std::string messagetmp;
  if(guess >= essais)
  {
     message = "+connection(\"all\"): \"To start a game, do guessnumber.start(\\\"your_name\\\", nb_try);\";";  
     urbi::send(message.c_str());  
     return;           
  }


  guess++; // on vient d'augmenter de 1 le nombre d'essais

  std::ostringstream ostr; 
  ostr << choix; 
  messagetmp = ostr.str(); 
  message = "+connection(\"all\"): \"Your answer is " + messagetmp + "\";";
  urbi::send(message.c_str());

  if(choix > reponse)
  {
     message = "+connection(\"all\"): \"More small, try again\";";  
     urbi::send(message.c_str());  
  } 
  else if(choix < reponse)
  {
     message = "+connection(\"all\"): \"More big, try again\";";  
     urbi::send(message.c_str());  
  } 
  else if(choix == reponse)
  {
     std::ostringstream ostr2; 
     ostr2 << guess; 
     messagetmp = ostr2.str(); 
     message = "+connection(\"all\"): \"Bravo " + pseudo + ", You are win in " + messagetmp + " guess\";";  
     urbi::send(message.c_str());  
     message = "+connection(\"all\"): \"To start a new game, type guessnumer.start(\\\"your_name\\\", nb_try);\";";  
     urbi::send(message.c_str());  
  	 return;
  } 

  if(guess >= essais)
  {
     message = "+connection(\"all\"): \"Sorry, the game is finish and you have lose\";";  
     urbi::send(message.c_str());  
     std::ostringstream ostr3; 
     ostr3 << reponse; 
     messagetmp = "";
     messagetmp = ostr.str(); 
     message = "+connection(\"all\"): \"Le answer was " + messagetmp + "\";";  
     urbi::send(message.c_str());  
     message = "+connection(\"all\"): \"To start a new game, type guessnumer.start(\\\"your_name\\\", nb_try);\";";  
     urbi::send(message.c_str());  
     return;           
  }


}
