
#include "pendu.h"


UStart(pendu);

// Creation de l'objet puissance4 
pendu::pendu(std::string s) : UObject(s) 
{
	UBindFunction(pendu,init);
	UBindFunction(pendu,start);
	UBindFunction(pendu,reponse);

	compteur = -1; // pour interdire de proposer une solution si le jeu n'a pas demarre
	tableau1 = new char[20];
	tableau2 = new char[20];
	trouver = new char[20];

}


// Destruction de l'objet pendu 
pendu::~pendu(void)
{

}

// empecher que l'on puisse faire un new pendu()
int pendu::init(void)
{
  return 1; // Singleton
}


// Demarrer le jeu
void pendu::start(void)
{

  char choix;
  char mot[20];          //Mots du fichier pendu.txt
  char lettre;           //Lettre  rentrer au clavier pour trouver le mot
  char nom[20];          //Nom de famile du joueur
  char prenom[20];       //Prenom du joueur
  char nomf[20];          //Nom de famile du joueur (dans le fichier)
  char prenomf[20];       //Prenom du joueur (dans le fichier)
  
  int i=0;               //Compte les lignes du fichier
                         //affiche l'emplacement du mot  chercher                          
  int j;                 //Numro de ligne du mot choisi
  int k;                 //On place les bonne lettre ou on veut sur l'cran
  int l;                 //On place les mauvaise lettre ou on veut sur l'cran
                         //vide tableau[20]

  int indice;            //indice de tableau[20]
  int cpt;               //compteur de la taille du mot
  int cptmot=0;          //compteur de mot
  int cptgood=0;         //compteur de bonnes rponses
  int cptbad=0;          //compteur de mauvaises rponse
  int cptmotf=0;         //
  int cptgoodf=0;        // pareil mais pour le fichier
  int cptbadf=0;         //

  srand(time(NULL)); // initialisation du generateur aleatoire

  indice=0;
  compteur=0;
  cpt=0;       	 

  std::string message;
  message = "+connection(\"all\"):\"*************************\";";
  urbi::send(message.c_str());

  std::string messagetitre;
  messagetitre = "+connection(\"all\"):\"!!! Jeu du pendu !!!\";";
  urbi::send(messagetitre.c_str());


  for(l=0;l<20;l++)
  {
    tableau1[l]='_';   // on initialise le tableau1 a _                 
  }

  for(l=0;l<20;l++)
  {
    tableau2[l]='\0';   // on initialise le tableau2 a \0                 
  }

  //Le mot est choisi dans le fichier pendu.txt
  j=rand()%120000+1;
  FILE *fichier;
  fichier=fopen("dictionnaire.txt","r");
  while(!feof(fichier) && i!=j)
  {
    fscanf(fichier,"%s\n",mot); // mot contient le mot a trouver
    i++;                    	
  }                  
  fclose(fichier);

  strcpy(trouver,mot);   // copie du mot dans trouver           
  longueur=strlen(trouver); // longueur contient le nb de caracteres du mot
                  
  // on copie le 1er caractere du mot a trouver dans le tableau
  compteurlettres = longueur - 1;
  tableau1[0]=trouver[0];
  tableau2[0]=trouver[0];
  for(k=1;k<longueur;k++)
  {
    if(trouver[k]==tableau1[0])
    {
      tableau1[k] = tableau1[0];  // on regarde si la premiere lettre est presente ailleurs
      compteurlettres--; // indique le nombre de lettres a trouver
    }
  }       


  // on affiche le mot a trouver
  std::string lettres;
  char lettres1[2]=" ";
  message = "+connection(\"all\"):\"Mot a trouver : ";
  for(i=0;i<longueur-1;i++)
  {
    lettres1[0]= tableau1[i];
    message = message +  lettres.assign( lettres1 );
    message = message +  ".";
  }
  lettres1[0]= tableau1[longueur-1];
  message = message +  lettres.assign( lettres1 );
  message = message +  "\";";
  urbi::send(message.c_str());

  lettres1[0]= tableau1[0];
  messagelettresproposees1 = lettres.assign( lettres1 );

  compteur = 0;
  std::string messagetmp;
  std::ostringstream ostr; 
  ostr << compteur; 
  messagetmp = ostr.str(); 
  message = "+connection(\"all\"):\"Nombre de lettres proposees : " + messagetmp + "\";";
  urbi::send(message.c_str());

  std::ostringstream ostr2; 
  ostr2 << compteurlettres; 
  messagetmp = ostr2.str(); 
  message = "+connection(\"all\"):\"Nombre de lettres a trouver : " + messagetmp + "\";";
  urbi::send(message.c_str());

  message = "+connection(\"all\"):\"Pour proposer une lettre faire pendu.reponse(\\\"lettre\\\");\";";
  urbi::send(message.c_str());

    message = "+connection(\"all\"):\"*************************\";";
    urbi::send(message.c_str());

}

//fonction cherche
int pendu::cherche(char lettre)
{  
  int j;
  int booleen=0;
  int lettreok=0;
  
  for(j=0;j<longueur;j++)
  {
    if(lettre==tableau2[j]) 	//lettre dj tape
    {
     lettreok=1;
     break;	
    }
  }
  
  if(lettreok==1) 
     return 1; // la lettre a deja ete proposee

  for(j=0;j<longueur;j++)
  {
    if(lettre != trouver[j])	        //lettre n'est pas dans le mot et donc, on ne fait rien
    {} 
    else 
    {
       booleen=1;
       tableau1[j] = lettre;  // on regarde si la premiere lettre est presente ailleurs
       compteurlettres--; // indique le nombre de lettres a trouver
    }
  }


  if(booleen==0) 
    return 0; // la lettre est mauvaise
  else 
    return 2; // la lettre est bonne

}


// Proposition d'une lettre par le joueur
void pendu::reponse(std::string lettrereponse)
{
  int valeurretour=0;
  std::string message;

  if( compteur == -1)
  {
    message = "+connection(\"all\"):\"Pour demarrer une partie, taper pendu.start(); \";";
    urbi::send(message.c_str());
    return;    
  }

    message = "+connection(\"all\"):\"*************************\";";
    urbi::send(message.c_str());

  size_t size = lettrereponse.size() + 1;
  char *buffer = new char[ size ];
  strncpy( buffer, lettrereponse.c_str(), size );
  char lettre = buffer[0];
  lettre = toupper(lettre);  // conversion en majuscule si c'est possible
  delete buffer;
  valeurretour = cherche(lettre);




  if( valeurretour == 1)
  {
    message = "+connection(\"all\"):\"Vous aviez deja propose cette lettre !!!\";";
    urbi::send(message.c_str());
  }
  else if( valeurretour == 2)
  {
    message = "+connection(\"all\"):\"Bravo, vous avez trouve une nouvelle lettre !!!\";";
    urbi::send(message.c_str());
  }
  else if( valeurretour == 0)
  {
    message = "+connection(\"all\"):\"Desole, ce n'est pas une bonne lettre !!!\";";
    urbi::send(message.c_str());
  }

  compteur++;
  std::string messagetmp;
  std::ostringstream ostr; 
  ostr << compteur; 
  messagetmp = ostr.str(); 
  message = "+connection(\"all\"):\"Nombre de lettres proposees : " + messagetmp + "\";";
  urbi::send(message.c_str());

  std::ostringstream ostr2; 
  ostr2 << compteurlettres; 
  messagetmp = ostr2.str(); 
  message = "+connection(\"all\"):\"Nombre de lettres a trouver : " + messagetmp + "\";";
  urbi::send(message.c_str());  

  std::string messagelettresproposees2;
  messagelettresproposees1 = messagelettresproposees1 + " " + lettrereponse;
  messagelettresproposees2 = "+connection(\"all\"):\"Lettres deja proposees : " + messagelettresproposees1 + "\";";
  urbi::send(messagelettresproposees2.c_str());

  // on affiche le mot a trouver
  std::string lettres;
  char lettres1[2]=" ";
  message = "+connection(\"all\"):\"Mot a trouver : ";
  int i=0;
  for(i=0;i<longueur-1;i++)
  {
    lettres1[0]= tableau1[i];
    message = message +  lettres.assign( lettres1 );
    message = message +  ".";
  }
  lettres1[0]= tableau1[longueur-1];
  message = message +  lettres.assign( lettres1 );
  message = message +  "\";";
  urbi::send(message.c_str());

  if (compteurlettres <= 0)
  {
    message = "+connection(\"all\"):\"Bravo, vous avez gagne !\";";
    urbi::send(message.c_str());
    compteur == -1;
  }
  else
  {
    message = "+connection(\"all\"):\"Essaye encore !\";";
    urbi::send(message.c_str());
  }

    message = "+connection(\"all\"):\"*************************\";";
    urbi::send(message.c_str());
}

