
#include "longestword.h"


UStart(longestword);

// Creation de l'objet longestword
longestword::longestword(std::string s) : UObject(s) 
{
	UBindFunction(longestword,init);
	UBindFunction(longestword,start);
	UBindFunction(longestword,reponse);
}


// Destruction de l'objet longestword 
longestword::~longestword(void)
{

}

// empecher que l'on puisse faire un new longestword()
int longestword::init(void)
{
  return 1; // Singleton
}

// recherche du mot le plus long
void lecteur(char* lettres, char* motlepluslong)
{
    int i, j, motvalide, lettrevalide;
    char mot[32]={0}, utilisee[N];
    FILE* dictionnaire=fopen("dictionnaire.txt", "r");

    while ( fgets(mot, 32, dictionnaire)!=NULL )
    {
        for ( i=0; i<N; utilisee[i]=0, i++ );
        motvalide=1;

        for ( i=0; mot[i+1]!='\0'; i++ )
        {
            lettrevalide=0;
            for ( j=0; lettres[j]!='\0'; j++ )
            {
                if ( mot[i]==lettres[j] && utilisee[j]!=1 )
                {
                    utilisee[j]=1;
                    lettrevalide=1;
                    break;
                }
            }

            if ( lettrevalide==0 )
            {
                motvalide=0;
                break;
            }
        }

        if ( motvalide!=0 && motlepluslong[i-1]=='\0' )
            for ( i=0; mot[i]!='\0'; motlepluslong[i]=mot[i], i++);
    }

    fclose(dictionnaire);
    return;
}


// demarrer une partie
void longestword::start(void)
{
    int i, j=0;
    char motlepluslong[N+1]={0};
    char lettres[N+1]={0};
    char voyelles[7]="AEIOUY";
    char consonnes[21]="BCDFGHJKLMNPQRSTVWXZ";

    srand(time(NULL)); // initialisation du generateur aleatoire
	std::string message;
	std::string messagetmp;
    message = "+connection(\"all\"):\"  [ Le mot le plus long ]  \";";
    urbi::send(message.c_str());

    for ( i=0; i<N; i++ ) // generation aleatoire des lettres
    {
        if ( rand()%2 )
            lettres[i]=voyelles[rand()%6];
        else
            lettres[i]=consonnes[rand()%20];
    }

    for ( i=0; motlepluslong[i]!='\0'; motlepluslong[i]='\0', i++ );
        lecteur(lettres, motlepluslong); // on va parcourir le dictionnaire avec nos lettres pour trouver le mot le plus long

    messagetmp.assign( lettres );
    message = "+connection(\"all\"):\"Les lettres : " + messagetmp + "\";";
    urbi::send(message.c_str());
    message = "+connection(\"all\"):\"Cherchez le mot le plus long, puis faites longestword.reponse();\";";
    urbi::send(message.c_str());

    solution.assign( motlepluslong );
    motlepluslong[solution.size() - 1] = '\0';
    solution.assign( motlepluslong );
}

// donne la solution
void longestword::reponse(void)
{
    char motlepluslong[N+1]={0};
	std::string message;

    size_t size = solution.size() + 1;
    char * buffer = new char[ size ];
    // copier la chane
    strncpy( motlepluslong, solution.c_str(), size ); // on copie la solution dans la chaine "mot le plus long"

	std::string messagetmp;
    std::ostringstream ostr; 
    ostr << solution.size(); 
    messagetmp = ostr.str(); 


    if ( motlepluslong[0]!='\0' )
	{
        message = "+connection(\"all\"):\"Le mot le plus long est : " + solution + " (" + messagetmp + " lettres)\";";
        urbi::send(message.c_str());
	}
    else
	{
        message = "+connection(\"all\"):\"Aucun mot dans le dictionnaire !\";";
        urbi::send(message.c_str());
	}
}


