#include "memory.h"

UStart(memory);

memory::memory(std::string s) : UObject(s)
{
	UBindVar(memory,card);
	UBindVar(memory,val);
	UBindVar(memory,ligne1);
	UBindVar(memory,ligne2);
	UBindVar(memory,ligne3);
	UBindVar(memory,ligne4);
	UBindVar(memory,ligneStar);
	UBindVar(memory,ligneVictory);
	UBindFunction(memory,init);
	UBindFunction(memory,start);
	UBindFunction(memory,cheat);
	UNotifyChange(card,&memory::cardChanged);

    val="To start the Memory Game, make memory.start();";
	URBI((alias memory memory.val;));

    compteur=0;
    compteurCard=0;
    points=0;
    essais=0;
	dotableauvierge();
	start();

}

memory::~memory()
{
}

int memory::init(void)
{
  return 1; // Singleton
}


void memory::dotableauvierge(void)
{
    UList newlist;

	// chargement des valeurs
	newlist.array.push_back( new UValue((int)  1) );
	newlist.array.push_back( new UValue((int)  2) );
	newlist.array.push_back( new UValue((int)  3) );
	newlist.array.push_back( new UValue((int)  4) );
	newlist.array.push_back( new UValue((int)  5) );
	newlist.array.push_back( new UValue((int)  6) );
	newlist.array.push_back( new UValue((int)  7) );
	newlist.array.push_back( new UValue((int)  8) );
	newlist.array.push_back( new UValue((int)  9) );
	newlist.array.push_back( new UValue((int) 10) );
	newlist.array.push_back( new UValue((int) 11) );
	newlist.array.push_back( new UValue((int) 12) );
	newlist.array.push_back( new UValue((int) 13) );
	newlist.array.push_back( new UValue((int) 14) );
	newlist.array.push_back( new UValue((int) 15) );
	newlist.array.push_back( new UValue((int) 16) );

	tableauvierge=newlist;
	return;
}

void memory::display(void)
{

    line1 = "|" + val1 + "|" + val2 + "|" + val3 + "|" + val4 + "|";
    line2 = "|" + val5 + "|" + val6 + "|" + val7 + "|" + val8 + "|";
    line3 = "|" + val9 + "|" + val10 + "|" + val11 + "|" + val12 + "|";     
    line4 = "|" + val13 + "|" + val14 + "|" + val15 + "|" + val16 + "|";  

	ligne1 = (line1);
	ligne2 = (line2);
	ligne3 = (line3);
	ligne4 = (line4);
	ligneStar = "-----------------------------";

	if(essais == 0)
		URBI((+connection("all"):echo "New Memory Game start !";));

	URBI((
    	+connection("all"):echo memory.ligneStar;	
    	+connection("all"):echo memory.ligne1;		
    	+connection("all"):echo memory.ligneStar;		
    	+connection("all"):echo memory.ligne2;			
    	+connection("all"):echo memory.ligneStar;	
    	+connection("all"):echo memory.ligne3;		
    	+connection("all"):echo memory.ligneStar;	
    	+connection("all"):echo memory.ligne4;		
    	+connection("all"):echo memory.ligneStar;	
	));

	if(essais == 0)
		URBI((+connection("all"):echo "Select a card => memory.card=x;";));

	return;
}

void memory::cheat(void)
{

	ligne1 = "|   " + (std::string)*(listeComplet.array[0]) + "  |   " + (std::string)*(listeComplet.array[1]) + "  |   " + (std::string)*(listeComplet.array[2]) + "  |   " + (std::string)*(listeComplet.array[3]) + "  |";
	ligne2 = "|   " + (std::string)*(listeComplet.array[4]) + "  |   " + (std::string)*(listeComplet.array[5]) + "  |   " + (std::string)*(listeComplet.array[6]) + "  |   " + (std::string)*(listeComplet.array[7]) + "  |";
	ligne3 = "|   " + (std::string)*(listeComplet.array[8]) + "  |   " + (std::string)*(listeComplet.array[9]) + "  |   " + (std::string)*(listeComplet.array[10]) + "  |   " + (std::string)*(listeComplet.array[11]) + "  |";
	ligne4 = "|   " + (std::string)*(listeComplet.array[12]) + "  |   " + (std::string)*(listeComplet.array[13]) + "  |   " + (std::string)*(listeComplet.array[14]) + "  |   " + (std::string)*(listeComplet.array[15]) + "  |";
	ligneStar = "-----------------------------";

	URBI((
    	+connection("all"):echo memory.ligneStar;		
    	+connection("all"):echo memory.ligne1;		
    	+connection("all"):echo memory.ligneStar;		
    	+connection("all"):echo memory.ligne2;			
    	+connection("all"):echo memory.ligneStar;	
    	+connection("all"):echo memory.ligne3;		
    	+connection("all"):echo memory.ligneStar;	
    	+connection("all"):echo memory.ligne4;		
    	+connection("all"):echo memory.ligneStar;	
	));

	return;
}

void memory::start(void)
{
     
     listeComplet.array.clear();
     listeCompletInt.array.clear();
     essais=0;
     points=0;

    int tableau[16] = {1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8};

    int valeuraleatoire1;
    int valeuraleatoire2;
    int temporaire1;
    int temporaire2;

    int i;
    int rand1,rand2;
    for(i=0;i<100 + 100* rand()%10;i++)
    {
        rand1 = rand()%16;
        valeuraleatoire1 = rand1;
        rand2 = rand()%16;
        valeuraleatoire2 = rand2;
        temporaire1 = tableau[valeuraleatoire1];
        temporaire2 = tableau[valeuraleatoire2];
        tableau[valeuraleatoire1] = temporaire2;
        tableau[valeuraleatoire2] = temporaire1;
    }

    std::string lettre;

	// chargement des valeurs
    for(i=0;i<16;i++)
    {
        if(tableau[i] == 1)
            lettre="A";
        else if(tableau[i] == 2)
            lettre="B";
        else if(tableau[i] == 3)
            lettre="C";
        else if(tableau[i] == 4)
            lettre="D";
        else if(tableau[i] == 5)
            lettre="E";
        else if(tableau[i] == 6)
            lettre="F";
        else if(tableau[i] == 7)
            lettre="G";
        else if(tableau[i] == 8)
            lettre="H";


    	listeComplet.array.push_back( new UValue((std::string)lettre));
    	listeCompletInt.array.push_back( new UValue((int)tableau[i]));
    }

//    random_shuffle(listeComplet.array.begin(), listeComplet.array.end());
	tableauComplet=listeComplet;
	
 	val1 = "   1  ";
 	val2 = "   2  ";
 	val3 = "   3  ";
    val4 = "   4  ";
    val5 = "   5  ";
    val6 = "   6  ";
    val7 = "   7  ";
    val8 = "   8  ";
    val9 = "   9  ";
    val10 = "  10  ";
    val11 = "  11  ";
    val12 = "  12  ";
    val13 = "  13  ";
    val14 = "  14  ";
    val15 = "  15  ";
    val16 = "  16  ";
    line1 = "|" + val1 + "|" + val2 + "|" + val3 + "|" + val4 + "|";
    line2 = "|" + val5 + "|" + val6 + "|" + val7 + "|" + val8 + "|";
    line3 = "|" + val9 + "|" + val10 + "|" + val11 + "|" + val12 + "|";     
    line4 = "|" + val13 + "|" + val14 + "|" + val15 + "|" + val16 + "|";     
      

    display();
 
 	return;
}

int memory::cardChanged(UVar &c)
{    
    std::string cc = (std::string) c;
    if( cc != "1" && cc != "2" && cc != "3" && cc != "4" && cc != "5" && cc != "6" && cc != "7" && cc != "8" && cc != "9" && cc != "10" && cc != "11" && cc != "12" && cc != "13" && cc != "14" && cc != "15" && cc != "16")
    {
              URBI((+connection("all"):echo "Please select a number [1 - 16]";));
              return 0;
    }

    if( (cc == "1" && val1 != "   1  ") || (cc == "2" && val2 != "   2  ") || (cc == "3" && val3 != "   3  ") || (cc == "4" && val4 != "   4  ") || (cc == "5" && val5 != "   5  ")  )
    {
              URBI((+connection("all"):echo "You have already found this number. Please select a other number [1 - 16]";));
              return 0;
    }
    else if( (cc == "6" && val6 != "   6  ") || (cc == "7" && val7 != "   7  ") || (cc == "8" && val8 != "   8  ") || (cc == "9" && val9 != "   9  ") || (cc == "10" && val10 != "  10  ")  )
    {
              URBI((+connection("all"):echo "You have already found this number. Please select a other number [1 - 16]";));
              return 0;
    }
    else if( (cc == "11" && val11 != "  11  ") || (cc == "12" && val12 != "  12  ") || (cc == "13" && val13 != "  13  ") || (cc == "14" && val14 != "  14  ") || (cc == "15" && val15 != "  15  ") || (cc == "16" && val16 != "  16  ")  )
    {
              URBI((+connection("all"):echo "You have already found this number. Please select a other number [1 - 16]";));
              return 0;
    }

    else if(points >=8)
    {
              URBI((+connection("all"):echo "You have already won. Do memory.start(); for a new game";));
              return 0;
    }


    int nb;
 	nb=(int)c - 1;
    int lettre;
    std::string cardletter;

    lettre = (int) *(listeCompletInt.array[nb]);


    if( lettre == 1)
    {
              URBI((+connection("all"):echo "Your card is ==> A";));
              cardletter="A";
    }
    else if(lettre == 2)
    {
              URBI((+connection("all"):echo "Your card is ==> B";));
              cardletter="B";
    }
    else if(lettre == 3)
    {
              URBI((+connection("all"):echo "Your card is ==> C";));
              cardletter="C";
    }
    else if(lettre == 4)
    {
              URBI((+connection("all"):echo "Your card is ==> D";));
              cardletter="D";
    }
    else if(lettre == 5)
    {
              URBI((+connection("all"):echo "Your card is ==> E";));
              cardletter="E";
    }
    else if(lettre == 6)
    {
              URBI((+connection("all"):echo "Your card is ==> F";));
              cardletter="F";
    }
    else if(lettre == 7)
    {
              URBI((+connection("all"):echo "Your card is ==> G";));
              cardletter="G";
    }
    else if(lettre == 8)
    {
              URBI((+connection("all"):echo "Your card is ==> H";));
              cardletter="H";
    }


 	if(compteurCard ==0)
 	{
          essais = essais+1;
          ligneVictory = essais;
          URBI((+connection("all"):echo "choose a second card (memory.card=y;)";));        
          nbcard1=nb+1;
          card1=lettre;            
          cardletter1=cardletter;
 	}

 	compteurCard=compteurCard+1;
 	if(compteurCard >=2)
 	{
          nbcard2=nb+1;
          card2=lettre;
          cardletter2=cardletter;
          compteurCard=0;
          if(card1 != card2)
          {

                    int boucle=0;
                    int nbcard;
                    std::string letter;
                    for(boucle=0;boucle<2;boucle++)
                    {
                        if(boucle==0)
                        {
                               nbcard = nbcard1;    
                               letter = cardletter1;                                                          
                        }
                        else if(boucle==1)
                        {
                               nbcard=nbcard2;      
                               letter = cardletter2;       
                        }
                        if(nbcard==1)
                               val1=" 1:" + letter + "  ";          
                        else if(nbcard==2)
                               val2=" 2:" + letter + "  ";     
                        else if(nbcard==3)
                               val3=" 3:" + letter + "  ";     
                        else if(nbcard==4)
                               val4=" 4:" + letter + "  ";     
                        else if(nbcard==5)
                               val5=" 5:" + letter + "  ";     
                        else if(nbcard==6)
                               val6=" 6:" + letter + "  ";     
                        else if(nbcard==7)
                               val7=" 7:" + letter + "  ";     
                        else if(nbcard==8)
                               val8=" 8:" + letter + "  ";     
                        else if(nbcard==9)
                               val9=" 9:" + letter + "  ";     
                        else if(nbcard==10)
                               val10="10 : " + letter + "  ";     
                        else if(nbcard==11)
                               val11="11:" + letter + "  ";     
                        else if(nbcard==12)
                               val12="12:" + letter + "  ";     
                        else if(nbcard==13)
                               val13="13:" + letter + "  ";     
                        else if(nbcard==14)
                               val14="14:" + letter + "  ";     
                        else if(nbcard==15)
                               val15="15:" + letter + "  ";     
                        else if(nbcard==16)
                               val16="16:" + letter + "  ";     
                    }

                    display(); // affichage

                    URBI((+connection("all"):echo "No match. Try again (memory.card=x;)";));                    


                    for(boucle=0;boucle<2;boucle++)
                    {
                        if(boucle==0)
                        {
                               nbcard = nbcard1;    
                               letter = cardletter1;                                                          
                        }
                        else if(boucle==1)
                        {
                               nbcard=nbcard2;      
                               letter = cardletter2;       
                        }
                        if(nbcard==1)
                               val1 = "   1  "; 
                        else if(nbcard==2)
                               val2 = "   2  "; 
                        else if(nbcard==3)
                               val3 = "   3  "; 
                        else if(nbcard==4)
                               val4 = "   4  "; 
                        else if(nbcard==5)
                               val5 = "   5  "; 
                        else if(nbcard==6)
                               val6 = "   6  "; 
                        else if(nbcard==7)
                               val7 = "   7  "; 
                        else if(nbcard==8)
                               val8 = "   8  "; 
                        else if(nbcard==9)
                               val9 = "   9  "; 
                        else if(nbcard==10)
                               val10 = "  10  "; 
                        else if(nbcard==11)
                               val11 = "  11  "; 
                        else if(nbcard==12)
                               val12 = "  12  "; 
                        else if(nbcard==13)
                               val13 = "  13  "; 
                        else if(nbcard==14)
                               val14 = "  14  "; 
                        else if(nbcard==15)
                               val15 = "  15  "; 
                        else if(nbcard==16)
                               val16 = "  16  "; 
                    }

          }
          else if(card1 == card2)
          {
                    points=points+1;

                    int boucle=0;
                    int nbcard;
                    std::string letter;
                    for(boucle=0;boucle<2;boucle++)
                    {
                        if(boucle==0)
                        {
                               nbcard = nbcard1;    
                               letter = cardletter1;                                                          
                        }
                        else if(boucle==1)
                        {
                               nbcard=nbcard2;      
                               letter = cardletter2;       
                        }
                        if(nbcard==1)
                               val1="   " + letter + "  ";          
                        else if(nbcard==2)
                               val2="   " + letter + "  ";          
                        else if(nbcard==3)
                               val3="   " + letter + "  ";      
                        else if(nbcard==4)
                               val4="   " + letter + "  ";      
                        else if(nbcard==5)
                               val5="   " + letter + "  ";      
                        else if(nbcard==6)
                               val6="   " + letter + "  ";      
                        else if(nbcard==7)
                               val7="   " + letter + "  ";      
                        else if(nbcard==8)
                               val8="   " + letter + "  ";      
                        else if(nbcard==9)
                               val9="   " + letter + "  ";      
                        else if(nbcard==10)
                               val10="   " + letter + "  ";      
                        else if(nbcard==11)
                               val11="   " + letter + "  ";      
                        else if(nbcard==12)
                               val12="   " + letter + "  ";      
                        else if(nbcard==13)
                               val13="   " + letter + "  ";      
                        else if(nbcard==14)
                               val14="   " + letter + "  ";      
                        else if(nbcard==15)
                               val15="   " + letter + "  ";      
                        else if(nbcard==16)
                               val16="   " + letter + "  ";      
                    }

                    display();
                    if(points <8)
                               URBI((+connection("all"):echo "Match. Continue (memory.card=x;)";));                    
                    else if(points >=8)
                    {
                               ligneVictory = essais;
                               URBI((
                                     +connection("all"):echo "Match. Congrualation, you win !";
                                     +connection("all"):echo("You needed " + memory.ligneVictory + " tests");
                                     +connection("all"):echo "do memory.start(); to begin a new game.";
                               ));   

                    }
          }

 	}


 	return 0;
}
