#include <stdio.h>
#include <stdlib.h>
#include <iostream> 
#include <urbi/uobject.hh>
#include <sstream>
#include <conio.h>



// Dclaration des constantes ncessaires  l'interface 

#define FLAGS 2



using namespace urbi;


// Dclaration de la classe Matrice 
class Matrice : public UObject
{
  public:  

    Matrice(std::string); // constructeur
    ~Matrice(); // destructeur

	void RepeteCar(int carac, int nb);    // affichage de caracteres speciaux ==> non utilise 
	void LigneInter(int longueur); // affiche d'une ligne de caracteres speciaux ==> non utilise 
	void AffichagePerdu(); // affiche le message "vous avez perdu" 
    void InitBombe(); // dispose les bombes dans la matrice 
    void InitChiffre(); // rempli la matrice en mettant sur les cases le nombre de bombes a proximite 
    void RafraichirMatrice(); // methode de rafraichissement de la matrice 
    int CompteurFlag(); // compte le nombre de flags dans la matrice 
    int PartieGagnee(); // regarde si toutes les cases sans bombe ont ete decouvertes et si oui, renvoie 1 
    int play(int x, int y); // permet de decouvrir la case ayant les coordonnees x et y - si le jeu est perdu, renvoie 1 
    int playM(int x, int y); // permet de decouvrir la case avec la mine ayant les coordonnees x et y - si le jeu est perdu, renvoie 1 
    void InitMatrice(int largeur, int hauteur, int bombes); // initialise la matrice avec la taille de la matrice et le nombre de bombes 
    int AfficheZero(int x, int y); // rend visible les cases qui ne sont en contact avec aucune bombe


    int AfficheMatrice();
    void AfficheMatricesolution(void);

    struct CaseMat * RechercheCase(int x, int y);
    struct CaseMat * PremiereCase;
    int iNbLig, iNbCol, iNbBombe;


};


// Dclaration de la structure grant chaque case de la matrice 
struct CaseMat
{
  int Bombe;    // O : pas de bombe ; 1 :  une bombe
  int NumLig;   // Numro de la ligne o se trouvera la case
  int NumCol;   // Numro de la colonne o se trouvera la case
  int NbBombe;  // Si Bombe=0, Nombre de bombe touchant la case
  int CaseVisible;  // 0 si la case est cache, 1 si elle est dcouverte et 2 si le joueur a pos un flag
  struct CaseMat * LigneSuivante;    // Pointeur vers la case suivante horizontalement (vers la droite)
  struct CaseMat * ColonneSuivante;  // Pointeur vers la case suivante verticalement (vers le bas)
};
