#include <urbi/uobject.hh>
#include <urbi/uconversion.hh>

#include <fmod.h>
#include <fmod_errors.h>

using namespace urbi;

class pcspeaker : public UObject
{
	public:

	pcspeaker(std::string);
	~pcspeaker(); 

	int init(void);

	void play(UValue sound); 
	int valuechanged(UVar &sound); 
	int ERRCHECK(FMOD_RESULT result);

	UVar val;


// FMOD variables
	FMOD_SYSTEM      *system;
	FMOD_SOUND       *sound1;
	FMOD_CHANNEL     *channel;
	FMOD_RESULT       result;
	int               key;
	unsigned int      version;


};
