#define LIGNE    6
#define COLONNE  7
#define TAILLE   COLONNE*LIGNE
#define GAGNE    1
#define STOP     0
#define VERT     2


#include "joueur.h"
#include <stdio.h>
#include <stdlib.h>
#include <iostream> 
#include <urbi/uobject.hh>
#include <sstream>

using namespace urbi;

class puissance4 : public UObject
{

	public:

	puissance4(std::string); // constructeur
	~puissance4();  // destructeur - supprime l'espace memoire de la grille 
	int init(void); // interdiction de faire des new puissance4 

	void initialgrille(void); // la grille est initialisee/videe 
	void affiche(void); // affichage de la grille courante 
	int sature(void); // on regarde si la grille est saturee. renvoie 1 si sature et 0 si non sature
	int V_verif(int joueurnb); // verification des verticales pour voir si le joueur a gagne. retourne 1 si gagne et 0 si pas gagne 
	int H_verif(int joueurnb); // verification des horizontales pour voir si le joueur a gagne. retourne 1 si gagne et 0 si pas gagne 
	int DG_verif(int joueurnb); // verification des diagonales gauches pour voir si le joueur a gagne. retourne 1 si gagne et 0 si pas gagne 
	int DD_verif(int joueurnb); // verification des diagonales droites pour voir si le joueur a gagne. retourne 1 si gagne et 0 si pas gagne 
	int test(int joueurnb); // dit si un joueur a gagne ou si la grille est saturee 
	void titre(void); // affichage du titre puissance 4 
	int verifcoup(int col); // renvoie 0 si la colonne indiquee est libre et -1 si la colonne indiquee n'est pas bonne 
	int ligne(int col); // on donne une colonne et ca renvoie la ligne la plus elevee avec un jeton
	int jouer(int col, int joueurnb); // place un pion dans la grille 
	void lancer(int choixmode); // lancement du jeu avec selection du mode 1 ou 2 
	void play(int col); // place un pion dans la grille 
	void initial(int choixmode); // initialisation de la partie
    void start(); // demarrer la partie
	int coup_ordi(int esp, int joueurnb); // decide le meilleur coup pour l'ordi 



	char *grille; // pointeur vers la grille
    joueur joueur1; // creation du joueur 1
    joueur joueur2; // creation du joueur 2
    int mode; // 1 ==> 2 joueurs humains. 2 ==> 1 joueur humain et ordi
    int cptjoueur; // permet de savoir a qui c'est de jouer
      
    // sert pour le mode humain vs ordi
    int esp; // indique la colonne jouee par l'humain  
      
};

