/*******************************************************************************

	   filename             : monitor-win.h
	   description          : Class definition

	   copyright            : (C) 2004, 2006 by Jean-Christophe Baillie
	   email                : jean-christophe.baillie@m4x.org

********************************************************************************/

#ifndef MONITOR_WIN_H_
# define MONITOR_WIN_H_

typedef unsigned char bits8;

# include "libport/windows.hh"

class Monitor
{

 public:
  Monitor(int, int, const char * name=NULL);
  ~Monitor();

  int   setImage(bits8*, int);

 private:
  int w, h;
  HWND window;
};
#endif /* !MONITOR_WIN_H_ */
