#include "showimage.h"
UStart(showimage);

showimage::showimage(std::string s) : UObject(s)
{
	UBindFunction(showimage,init);
 	UBindFunction(showimage,load);

 	image = NULL;
    imgcv=NULL;

}

showimage::~showimage()
{
}

int showimage::init(void)
{

  return 1; // Singleton
}

void showimage::load(UValue data)
{
//////////////////////////////////////////////////////
// On recupere l'image de la camera
//////////////////////////////////////////////////////

   if(data.type == DATA_BINARY)
    {
           UImage camera = data;

           int imgsize = camera.width * camera.height * 3;

           if (image == NULL)
             image = new unsigned char[camera.width * camera.height * 3]; // 24 bits
        
        int sizejpegimage;        
        
      // conversion de l'image en JPG
      if( camera.imageFormat == urbi::IMAGE_JPEG )  // cas ou l'image est un jpeg
      {
            memcpy(  image, camera.data, camera.size );
            sizejpegimage = camera.size;
      }
      else if ( camera.imageFormat == urbi::IMAGE_YCbCr)
      {
          urbi::convertYCrCbtoJPEG( camera.data, camera.width, camera.height, image, sizejpegimage, 100 );
      }
      else if ( camera.imageFormat == urbi::IMAGE_RGB)
      {
          urbi::convertRGBtoJPEG( camera.data, camera.width, camera.height, image, sizejpegimage , 100 );
      }
      else
      {
            memcpy(  image, camera.data, camera.size );
            sizejpegimage = camera.size;
      }


        std::string File = "image.jpg";
        FILE *f;
        f = fopen(File.c_str(),"wb");
        if (!f)
           return ;
        fwrite (image, 1 , sizejpegimage, f);
        fclose(f);

    cvNamedWindow( "image", CV_WINDOW_AUTOSIZE );
    const char* filename = "image.jpg";
	imgcv = cvLoadImage( filename, CV_LOAD_IMAGE_COLOR );
    if( !imgcv )
        printf("error\n");
    cvShowImage( "image", imgcv );

    if (cvWaitKey(10)>=0) cvDestroyWindow("image");


    }

}









