#include <urbi/uobject.hh>
#include <urbi/uconversion.hh>
#include "monitor.h"
#include <sstream>

using namespace urbi;

class urbiimage : public UObject
{
	public:

	urbiimage(std::string);
	~urbiimage(); 

	int init(void);
	void setPeriod(int delai_ms); // change la frequence d'acquisition des images
	void display(UImage image); // affiche une image
	void startDisplay(std::string device); // demarre la demande d'affichage
	void stopDisplay(void); // arrete la demande d'affichage
	void save(std::string nameFile, UImage image,std::string formatimage); // enregistre l'image sur le disque dur au format PPM ou JPEG

    Monitor *mon;
    int period;
    int etat;
};

