#include "urbi.h"
#include "tele.h"

ConnectAibo::ConnectAibo(QWidget *parent)
        : QWidget(parent)
{
     robotC = NULL;                           
}


UCallbackAction ConnectAibo::bw(const UMessage &msg) 
{

  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_BINARY || msg.value->binary->type != urbi::BINARY_IMAGE)
    return URBI_CONTINUE;

   urbi::UImage& img = msg.value->binary->image;

  pere->totalsize+=img.size+strlen( msg.tag.c_str() )+20; //aproximately, but since bsz is more or less 400k...
  // strlen() donne la longueur de la chaine

  if (!strcmp(msg.tag.c_str(),"be")) // strcmp() sert  comparer 2 chaines
  {

       QString texte;
       texte = "received " + QString::number(pere->totalsize) + " bytes in " + QString::number(msg.client.getCurrentTime()-pere->starttime) + " miliseconds: bandwidth is " + QString::number( (pere->totalsize*1000) / (msg.client.getCurrentTime()-pere->starttime) ) + " bytes per second.\n";

       ligne1 = texte;
       int valueEvent= 1100;
       e3 = new QEvent((QEvent::Type)(valueEvent));
       QCoreApplication::postEvent(this,e3);

	pere->over=true;
  }

  return URBI_CONTINUE;
}


///////////////////////////////////////////
// se declenche quand des evenements sont recus
bool ConnectAibo::event(QEvent *ev)
{

 if( ev->type() == (QEvent::Type)(1100))
 {
       // on positionne le curseur a la fin
       QTextCursor cursorEnd(pere->ui.textBrowser->textCursor());
       cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
       pere->ui.textBrowser->setTextCursor ( cursorEnd );

       // on ajoute le texte
       pere->ui.textBrowser->insertPlainText( ligne1 ) ; 

 }

 return 1;
}
