#ifndef URBI_H
#define URBI_H

#include <QtGui>
#include <sys/types.h>
#include <urbi/uclient.hh>

class CaptureImage;

using namespace urbi;

class ConnectAibo : public QWidget
{
    Q_OBJECT

      public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotI;
      CaptureImage *pere;
      UCallbackAction command(const UMessage &);
      UCallbackAction command2(const UMessage &);

      unsigned char* buffer;
      unsigned char* bufferRGB; 
      int traitementEnCours;

      int captureImage;
      int compteur;
      double posx;
      double posy;

      int aa;
      int bb;   

      QString fileName;

      QImage imageQT;
      QImage imageQT2;

      virtual bool event(QEvent *ev);
      QEvent *e1;

};

#endif
