#include "tele.h"

#include <QApplication>

// mise en static du plugin pour gerer les jpeg
#include <QtPlugin>
Q_IMPORT_PLUGIN(qjpeg)


int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    Telecommande *window;
    window = new Telecommande();
    window->pointeur=window;

   QCoreApplication::setOrganizationName ("Frederic LETELLIER");
   QCoreApplication::setOrganizationDomain ("urbiforge.com");
   QCoreApplication::setApplicationName ("Aibo Fete Science");
   QSettings settings("Aibo Fete Science", "GOSTAI");
   QString robotName = settings.value("robotname").toString();
   if(robotName != "")
        window->ui.lineEdit->setText(robotName);

    // on demande que l'interface soit du style plastique
    window->setStyle ( QApplication::setStyle ( "plastique" ) );

    window->show();
    return app.exec();
}

