
///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_pushButton_2_clicked()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Fete Science", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

//////////////////////////////////////////////
// commandes 

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

          // reinitialisation des parametres
          urbiTele.compteurligne=0;
          urbiTele.musiqueEnCours=0;
          urbiTele.imageEnCours=0;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotC->error())
    {
       urbiTele.pere=pointeur;
       neRienFaireAvecLaCamera = 0;
       neRienFaireAvecLesMoteurs = 0;

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

       // recuperation de tout ce qui est envoye par le serveur
       urbiTele.robotC->setWildcardCallback( callback(urbiTele,&ConnectAibo::allrecup) );

        // allume les moteurs
        urbiTele.robotC->send("motors on;");
    }
    else // pas de connexion
    {
       urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
      return;
    }


//////////////////////////////////////////////

    if( urbiTele.robotI != NULL)
    {
        // fermeture de la session
          urbiTele.robotI->send(";;;; quit;");
          urbiTele.robotI->send("noop;");
          urbiTele.robotI->send("noop;");
          delete urbiTele.robotI;

          // reinitialisation des parametres
          urbiTele.traitementEnCours=0;
    }
    urbiTele.robotI = NULL;
    urbiTele.robotI =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotI->error())
    {
         // recuperation de tout ce qui est envoye par le serveur
         urbiTele.robotI->setCallback(callback(urbiTele,&ConnectAibo::allrecupimg), "totouimg");

          urbiTele.robotI->send("stop totouimg;");
          urbiTele.robotI->send("totouimg:every(100ms){ totouimg: camera.val },");              
    }
    else
    {
          urbiTele.robotI = NULL;
    }


}










///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_lineEdit_returnPressed()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Fete Science", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

//////////////////////////////////////////////
// commandes 

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

          // reinitialisation des parametres
          urbiTele.compteurligne=0;
          urbiTele.musiqueEnCours=0;
          urbiTele.imageEnCours=0;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotC->error())
    {
       urbiTele.pere=pointeur;
       neRienFaireAvecLaCamera = 0;
       neRienFaireAvecLesMoteurs = 0;

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);

       // recuperation de tout ce qui est envoye par le serveur
       urbiTele.robotC->setWildcardCallback( callback(urbiTele,&ConnectAibo::allrecup) );

        // allume les moteurs
        urbiTele.robotC->send("motors on;");
    }
    else // pas de connexion
    {
       urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
      return;
    }


//////////////////////////////////////////////

    if( urbiTele.robotI != NULL)
    {
        // fermeture de la session
          urbiTele.robotI->send(";;;; quit;");
          urbiTele.robotI->send("noop;");
          urbiTele.robotI->send("noop;");
          delete urbiTele.robotI;

          // reinitialisation des parametres
          urbiTele.traitementEnCours=0;
    }
    urbiTele.robotI = NULL;
    urbiTele.robotI =new UClient( robotName.toLatin1() );

    if (!urbiTele.robotI->error())
    {
         // recuperation de tout ce qui est envoye par le serveur
         urbiTele.robotI->setCallback(callback(urbiTele,&ConnectAibo::allrecupimg), "totouimg");

          urbiTele.robotI->send("stop totouimg;");
          urbiTele.robotI->send("totouimg:every(100ms){ totouimg: camera.val },");              
    }
    else
    {
          urbiTele.robotI = NULL;
    }

}



