#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QtGui>

using namespace urbi;
class CaptureImage;

class ConnectAibo : public QWidget
{
    Q_OBJECT

      public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotI;
      UClient *robotI2;
      CaptureImage *pere;
      UCallbackAction command(const UMessage &);
      UCallbackAction command2(const UMessage &);
      UCallbackAction values(const UMessage &); 


      unsigned char* buffer;

      unsigned char* bufferRGB; 
      unsigned char* bufferRGBCouleur1; 
      unsigned char* bufferRGBCouleur3; 
      unsigned char* bufferRGBFinal; 

      unsigned char* bufferYCbCr; 
      unsigned char* bufferYCbCrCouleur1; 
      unsigned char* bufferYCbCrCouleur3; 
      unsigned char* bufferYCbCrFinal; 

      int traitementEnCours;

      QImage imageQT;
      QImage imageQT2;
      QImage imageCouleur1;
      QImage imageCouleur2;
      QImage imageCouleur3;
      QImage imageCouleur4;
      QImage imageCouleur5;
      QImage imageCouleur6;
      QImage imageFinal;
      QImage imageFinal2;

      virtual bool event(QEvent *ev);
      QEvent *e1;

      int value1;
      int value2;
      int value3;
      int value4;
      int value5;
      int value6;
      int value7;
      int value8;
      int value9;
      int value10;
      int value11;
      int value12;
      int value13;
      int value14;
      int value15;
      int compteur;

      int reception; // indique quand on recoit quelque chose

};

#endif
