#include "tele.h"

Telecommande::Telecommande(QWidget *parent)
        : QMainWindow(parent)
{
        ui.setupUi(this);
}

///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_lineEdit_returnPressed()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Listen", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("stop usound;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() );


    if (!urbiTele.robotC->error())
    {
       // on met en place les callback
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::getSound), "usound" );

       QString commande = "usound:loop { usound:" + ui.lineEdit_3->text() + " },";
       urbiTele.robotC->send("%s", (const char *) commande.toLatin1());

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);         
    }
}


///////////////////////////////////////////
// enregistrer le fichier
void Telecommande::on_pushButton_clicked()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    QSettings settings("Aibo Listen", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("stop usound;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() );


    if (!urbiTele.robotC->error())
    {
       // on met en place les callback
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::getSound), "usound" );

       QString commande = "usound:loop { usound:" + ui.lineEdit_3->text() + " },";
       urbiTele.robotC->send("%s", (const char *) commande.toLatin1());

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);

    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);         
    }
}

