#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QWidget>
#include <QtGui>

#include <fmod.h>
#include <fmod_errors.h>

class Telecommande;
using namespace urbi;

class ConnectAibo : public QWidget
{
    Q_OBJECT

public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotC;

      UCallbackAction getSound(const UMessage &);
      int ERRCHECK(FMOD_RESULT result);

      QFile file;
      QDataStream *outfile;

      bool initialized;
      bool errorfmod;

// FMOD variables
	FMOD_SYSTEM      *system;
	FMOD_SOUND       *sound1;
	FMOD_CHANNEL     *channel;
	FMOD_RESULT       result;
	int               key;
	unsigned int      version;

};

#endif
