#include "mirror.h"

#include <QApplication>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    Mirror *window;
    window = new Mirror();
    window->pointeur=window;

   QCoreApplication::setOrganizationName ("Frederic LETELLIER");
   QCoreApplication::setOrganizationDomain ("urbiforge.com");
   QCoreApplication::setApplicationName ("AiboMirror");
   QSettings settings("AiboMirror", "GOSTAI");
   QString robotName1 = settings.value("robotname1").toString();
   QString robotName2 = settings.value("robotname2").toString();
   if(robotName1 != "")
        window->ui.lineEdit->setText(robotName1);
   if(robotName2 != "")
        window->ui.lineEdit_2->setText(robotName2);

    // on demande que l'interface soit du style plastique
    window->setStyle ( QApplication::setStyle ( "plastique" ) );

    window->show();
    return app.exec();
}
