#include "urbi.h"
#include "mirror.h"

static char* devices2[] =
         {
              "legLF1",
              "legLF2",
              "legLF3",
              "legLH1",
              "legLH2",
              "legLH3",
              "legRH1",
              "legRH2",
              "legRH3",
              "legRF1",
              "legRF2",
              "legRF3",
              "neck",
              "headPan",
              "headTilt",
              "tailTilt",
              "tailPan",
              "mouth"
      };


ConnectAibo::ConnectAibo(QWidget *parent)
{
     robotS = NULL;                           
     robotD = NULL;                           
     devCount=18;
     devices=devices2;
     i=0;

     value1 = "0";
     value2 = "0";
     value3 = "0";
     value4 = "0";
     value5 = "0";
     value6 = "0";
     value7 = "0";
     value8 = "0";
     value9 = "0";     
     value10 = "0";
     value11 = "0";
     value12 = "0";
     value13 = "0";
     value14 = "0";
     value15 = "0";
     value16 = "0";
     value17 = "0";
     value18 = "0";

}


UCallbackAction ConnectAibo::command(const UMessage &msg) 
{

  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  robotD->send("%s = %lf,", msg.tag.c_str(), msg.value->val);

  QString tag = QString::fromLatin1(msg.tag.c_str());
  int valueInt = (int) msg.value->val;
  QString value = QString::number(valueInt);

    if( tag == "legLF1")
        value1=value;
    else if( tag == "legLF2")
        value2=value;
    else if( tag == "legLF3")
        value3=value;
    else if( tag == "legLH1")
        value4=value;
    else if( tag == "legLH2")
        value5=value;
    else if( tag == "legLH3")
        value6=value;
    else if( tag == "legRF1")
        value7=value;
    else if( tag == "legRF2")
        value8=value;
    else if( tag == "legRF3")
        value9=value;
    else if( tag == "legRH1")
        value10=value;
    else if( tag == "legRH2")
        value11=value;
    else if( tag == "legRH3")
        value12=value; 
    else if( tag == "neck")
        value13=value;
    else if( tag == "headPan")
        value14=value;
    else if( tag == "headTilt")
        value15=value;
    else if( tag == "tailTilt")
        value16=value;
    else if( tag == "tailPan")
        value17=value;
    else if( tag == "mouth")
        value18=value;

  i++;
  if( i >= 50)
  {
       e1 = new QEvent((QEvent::Type)(1001));
       QCoreApplication::postEvent(this,e1);
       i=0;
  }

  return URBI_CONTINUE;
}




///////////////////////////////////////////
// se declenche quand des evenements sont recus
bool ConnectAibo::event(QEvent *ev)
{

 if( ev->type() == (QEvent::Type)(1001))
 {
       pere->ui.lineEdit_3->setText(value1); 
       pere->ui.lineEdit_4->setText(value2); 
       pere->ui.lineEdit_5->setText(value3); 
       pere->ui.lineEdit_6->setText(value4); 
       pere->ui.lineEdit_7->setText(value5); 
       pere->ui.lineEdit_8->setText(value6); 
       pere->ui.lineEdit_9->setText(value7); 
       pere->ui.lineEdit_10->setText(value8); 
       pere->ui.lineEdit_11->setText(value9); 
       pere->ui.lineEdit_12->setText(value10); 
       pere->ui.lineEdit_13->setText(value11); 
       pere->ui.lineEdit_14->setText(value12); 
       pere->ui.lineEdit_15->setText(value13); 
       pere->ui.lineEdit_16->setText(value14); 
       pere->ui.lineEdit_17->setText(value15); 
       pere->ui.lineEdit_18->setText(value16); 
       pere->ui.lineEdit_19->setText(value17); 
       pere->ui.lineEdit_20->setText(value18); 
 }

 return 1;
}
