#qmake option
CONFIG += release
CONFIG += qt
CONFIG += static

MOC_DIR      = moc
OBJECTS_DIR  = obj
DESTDIR      = release
UI_DIR       = ui

TEMPLATE = app

TARGET = "Aibo_Motion_Tracking_Head"

########################################
#Ajout du plugin jpeg en static
QTPLUGIN     += qjpeg
##########################################

########################################
#CONFIGURATION URBI
INCLUDEPATH += ./liburbi-cpp/include/
QMAKE_LIBS_URBI += -L./liburbi-cpp/lib-linux/ -lurbi 
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

########################################
#CONFIGURATION OPENCV
INCLUDEPATH += ./opencv/include/
QMAKE_LIBS_URBI += ./opencv/lib/cxcore.lib ./opencv/lib/cv.lib ./opencv/lib/highgui.lib
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

FORMS = captureimage.ui
HEADERS = captureimage.h urbi.h
SOURCES = main.cpp captureimage.cpp urbi.cpp


