; Le nom du programme d'installation
Name "Object Position"

; Le nom du programme d'installation  creer
OutFile "Install Object Position.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Object Position"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Object Position (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)

Section "Start Menu Shortcuts"
  CreateDirectory "$SMPROGRAMS\URBI\Object Position"
  CreateShortCut "$SMPROGRAMS\URBI\Object Position\Object Position.lnk" "$INSTDIR\Object Position.exe" "" "$INSTDIR\Object Position.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Object Position\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Object Position.lnk" "$INSTDIR\Object Position.exe" "" "$INSTDIR\Object Position.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Object Position\*.*"
  Delete "$DESKTOP\Object Position.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Object Position"
  RMDir "$INSTDIR"

SectionEnd
