function [positionCentreRobot positionBasDuCou positionAxeDeRotationDeLaTete positionCamera positionObjet]=distance(posX,posY,distanceObjet,headPan,headTilt,neck)

disp('format de la fonction "position dans l espace"')
disp('position(posX , posY , distanceObjet , headPan , headTilt , neck )')



%%%%%%%%%%%%%%%%%%%%%%%
%% Les variables
%%%%%%%%%%%%%%%%%%%%%%%

widthCamera = 208;
heightCamera = 160;
angleWidthCamera = 56.9;
angleHeightCamera = 45.2;
PI = 3.14159;


%%%%%%%%%%%%%%%%%%%%%%%
%% Referentiel Camera
%%%%%%%%%%%%%%%%%%%%%%%

angleWidhtObjet = ( (posObjetX * angleWidthCamera) / (widthCamera - 1) - angleWidthCamera / 2) * PI / 180;
angleHeightObjet = ( (posObjetY * angleHeightCamera) / (heightCamera - 1) - angleHeightCamera / 2) * PI / 180;

teta = angleWidhtObjet; % valeur de l'angle en radian

My= [cos(teta) , 0, sin(teta), 0 ; 0, 1, 0, 0 ; -sin(teta), 0, cos(teta),0 ; 0, 0, 0, 1];
positionObjet = [0;0;distanceObjet;1];
positionObjet = My * positionObjet;

teta = angleHeightObjet;
Mx= [1 , 0, 0, 0 ; 0, cos(teta), -sin(teta), 0 ; 0, sin(teta), cos(teta),0 ; 0, 0, 0, 1];
positionObjet = Mx * positionObjet;

    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Referentiel axe rotation tete
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

distanceAxeTeteCamera=9;

headPan2 = - headPan;   %% on inverse la valeur
headTilt2 = - headTilt; %% on inverse la valeur

positionCamera  = [0;0;distanceAxeTeteCamera;1];
positionObjet = positionObjet + [0;0;distanceAxeTeteCamera;0];

teta = headPan2 * PI / 180;
My= [cos(teta) , 0, sin(teta), 0 ; 0, 1, 0, 0 ; -sin(teta), 0, cos(teta),0 ; 0, 0, 0, 1];
positionCamera = My * positionCamera;
positionObjet = My * positionObjet;
    
teta = headTilt2 * PI / 180;
Mx= [1 , 0, 0, 0 ; 0, cos(teta), -sin(teta), 0 ; 0, sin(teta), cos(teta),0 ; 0, 0, 0, 1];
positionCamera = Mx * positionCamera;
positionObjet = Mx * positionObjet;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Referentiel bas du cou
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

distanceBasCouAxeTete=7;

positionAxeDeRotationDeLaTete = [0;distanceBasCouAxeTete;0;1];
positionCamera  = positionCamera + [0;distanceBasCouAxeTete;0;0];
positionObjet = positionObjet + [0;distanceBasCouAxeTete;0;0];

neck2=-neck;

teta = neck2 * PI / 180;
Mx= [1 , 0, 0, 0 ; 0, cos(teta), -sin(teta), 0 ; 0, sin(teta), cos(teta),0 ; 0, 0, 0, 1];
positionAxeDeRotationDeLaTete = Mx * positionAxeDeRotationDeLaTete;
positionCamera = Mx * positionCamera;
positionObjet = Mx * positionObjet;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Referentiel centre du robot
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

positionCentreRobot = [0;0;0;1];

distanceCentreRobotBasCou=9;

positionBasDuCou = [0;0;distanceCentreRobotBasCou;1];
positionAxeDeRotationDeLaTete = positionAxeDeRotationDeLaTete + [0;0;distanceCentreRobotBasCou;0];
positionCamera  = positionCamera + [0;0;distanceCentreRobotBasCou;0];
positionObjet = positionObjet + [0;0;distanceCentreRobotBasCou;0];









[positionCentreRobot positionBasDuCou positionAxeDeRotationDeLaTete positionCamera positionObjet]


