#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QtGui>
#include <sys/types.h>

class Couleur;

using namespace urbi;

class ConnectAibo : public QWidget
{
    Q_OBJECT

      public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotI;
      Couleur *pere;
      UCallbackAction command(const UMessage &);

      UCallbackAction returnvaluemotor(const UMessage &);
      int value1;
      int value2;  
      int value3;
      int compteurvalue;

      unsigned char* buffer;
      unsigned char* bufferRGB; 

      int traitementEnCours;

      int visible;
      int posx;
      int posy;

      QImage imageQT;

      virtual bool event(QEvent *ev);
      QEvent *e1;
};

#endif
