#ifndef TELE_H
#define TELE_H

#include "ui_telecommande.h"
#include "urbi.h"
#include <QWidget>
#include <QtGui>

#include <QMainWindow>

class Telecommande : public QMainWindow
{
    Q_OBJECT

public:
    ConnectAibo urbiTele; // connexion URBI

    Telecommande(QWidget *parent = 0);
    Telecommande *pointeur;

    Ui::Telecommande ui;

    int neRienFaireAvecLesMoteurs; // sert pour la page 3
    int neRienFaireAvecLaCamera; // sert pour la page 5

private slots:

    // sert pour la page 1 // connexion au robot
    void on_lineEdit_returnPressed(); 
    void on_pushButton_2_clicked();
 
    // sert pour la page 2 // robot en mouvement
    void on_pushButton_77_clicked();
    void on_pushButton_78_clicked();
    void on_pushButton_79_clicked();
    void on_pushButton_80_clicked();
    void on_pushButton_81_clicked();
   
 // sert pour la page 3 // bouger la tete
    void on_spinBox_2_valueChanged ( int i ); 
    void on_spinBox_3_valueChanged ( int i ); 
    void on_spinBox_4_valueChanged ( int i );

    // sert pour la page 3 // bouger la tete
    void on_horizontalSlider_valueChanged();
    void on_horizontalSlider_2_valueChanged();
    void on_horizontalSlider_3_valueChanged();

    void on_pushButton_clicked(); // centrer la tete
    void on_pushButton_3_clicked(); // allumer moteurs
    void on_pushButton_4_clicked(); // eteindre les moteurs

    // sert pour la page 4 // retour sonore
    void on_pushButton_5_clicked(); // retour sonore FMOD
    void on_pushButton_7_clicked(); // arret du retour sonore

    // sert pour la page 5 // camera
    void on_spinBox_24_valueChanged ( int i ); 
    void on_horizontalSlider_21_valueChanged();
    void on_comboBox_6_currentIndexChanged ( int index );
    void on_comboBox_7_currentIndexChanged ( int index );
    void on_comboBox_8_currentIndexChanged ( int index );

};

#endif

