
///////////////////////////////////////////
// Modif de la valeur de headTilt
void Telecommande::on_spinBox_2_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider->setValue(i);

           QString value = QString::number(i);
           value="headTilt=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de headPan
void Telecommande::on_spinBox_3_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_2->setValue(i);

           QString value = QString::number(i);
           value="headPan=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de neck
void Telecommande::on_spinBox_4_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_3->setValue(i);

           QString value = QString::number(i);
           value="neck=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    



///////////////////////////////////////////
// Modif de la valeur de headTilt
void Telecommande::on_horizontalSlider_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_2->setValue( ui.horizontalSlider->value() );     

           int i = ui.horizontalSlider->value();
           QString value = QString::number(i);
           value="headTilt=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           
           neRienFaireAvecLesMoteurs = 0;
    }


}


///////////////////////////////////////////
// Modif de la valeur de headPan
void Telecommande::on_horizontalSlider_2_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_3->setValue( ui.horizontalSlider_2->value() );     

           int i = ui.horizontalSlider_2->value();
           QString value = QString::number(i);
           value="headPan=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    


///////////////////////////////////////////
// Modif de la valeur de neck
void Telecommande::on_horizontalSlider_3_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_4->setValue( ui.horizontalSlider_3->value() );    

           int i = ui.horizontalSlider_3->value();
           QString value = QString::number(i);
           value="neck=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    




///////////////////////////////////////////
// Centrer la tete
void Telecommande::on_pushButton_clicked()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           urbiTele.robotC->send("neck=0 & headPan=0 & headTilt=10;");  
           
           ui.spinBox_2->setValue( 10 );     
           ui.spinBox_3->setValue( 0 );     
           ui.spinBox_4->setValue( 0 );     
           ui.horizontalSlider->setValue(10);
           ui.horizontalSlider_2->setValue(0);
           ui.horizontalSlider_3->setValue(0);

           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// allumer les moteurs
void Telecommande::on_pushButton_3_clicked()
{
    if(urbiTele.robotC != NULL)
    {
           urbiTele.robotC->send("motors on;");  
          
    }
    
}    


///////////////////////////////////////////
// eteindre les moteurs
void Telecommande::on_pushButton_4_clicked()
{
    if(urbiTele.robotC != NULL)
    {
           urbiTele.robotC->send("motors off;");  
          
    }
    
}    
