#include "tele.h"

///////////////////////////////////////////
// Creation de l'objet
Telecommande::Telecommande(QWidget *parent)
        : QMainWindow(parent)
{
        ui.setupUi(this);
}


///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_pushButton_2_clicked()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    int port = ui.spinBox->value();
    QSettings settings("Aibo Sound Volume", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.setValue("robotport", port);


    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

          // reinitialisation des variables
          urbiTele.valuemax = 0;
          urbiTele.valuemin = 25000;
          urbiTele.state = 0;
    }

    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() , port );

    if (!urbiTele.robotC->error())
    {
       setlocale(LC_NUMERIC,"C");
       urbiTele.pere=pointeur;

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);      

       // recuperation du volume
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluevolume),"totovolume");
       urbiTele.robotC->send("every(50ms) {");
       urbiTele.robotC->send("totovolume: micro.volume;");
       urbiTele.robotC->send("};");

    }
    else // pas de connexion
    {
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }

}

///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_lineEdit_returnPressed()
{
     // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    int port = ui.spinBox->value();
    QSettings settings("Aibo Sound Volume", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.setValue("robotport", port);


    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

          // reinitialisation des variables
          urbiTele.valuemax = 0;
          urbiTele.valuemin = 25000;
          urbiTele.state = 0;
    }

    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() , port );

    if (!urbiTele.robotC->error())
    {
       setlocale(LC_NUMERIC,"C");
       urbiTele.pere=pointeur;

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);      

       // recuperation du volume
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluevolume),"totovolume");
       urbiTele.robotC->send("every(50ms) {");
       urbiTele.robotC->send("totovolume: micro.volume;");
       urbiTele.robotC->send("};");

    }
    else // pas de connexion
    {
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }
    
}
