///////////////////////////////////////////
// Envoi d'une commande
void Telecommande::on_pushButton_82_clicked()
{
     if(urbiTele.robotC != NULL)
     {
         if( ui.comboBox_5->currentText() != "")
         {
             // on envoie le texte au serveur URBI
             urbiTele.robotC->send("%s", (const char *) (ui.comboBox_5->currentText().toLatin1() + "\n"));

             // on affiche le texte a l'ecran
             QTextCursor cursorEnd(ui.textBrowser->textCursor());
             cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
             ui.textBrowser->setTextCursor ( cursorEnd );
             ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 

             ui.textBrowser->insertPlainText( "[Send] " + ui.comboBox_5->currentText().toLatin1() + "\n" ); 
             int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
             ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);

             // on ajoute la ligne a la liste du comboBox
             QString commandePrecedente;
             if( ui.comboBox_5->count() >= 2)
                  commandePrecedente = ui.comboBox_5->itemText ( ui.comboBox_5->count()-2 );

             if( commandePrecedente != ui.comboBox_5->currentText() )
             {
                          ui.comboBox_5->insertItem(ui.comboBox_5->count() , ui.comboBox_5->currentText());

                 // on efface une ligne a la liste du comboBox
                 if( ui.comboBox_5->count() >= 2)
                              ui.comboBox_5->removeItem( ui.comboBox_5->count()-2 ); 
                 
                 // on ajoute une ligne vide a la liste du comboBox
                 ui.comboBox_5->insertItem(ui.comboBox_5->count() , "" );
             }

             // on se positionne en bas
             ui.comboBox_5->setCurrentIndex(ui.comboBox_5->count()-1);

             // on efface le texte de la ligne             
             ui.comboBox_5->clearEditText();
         }

     }
} 


///////////////////////////////////////////
// Envoi d'une commande
void Telecommande::_on_comboBox_5_returnPressed()
{
     if(urbiTele.robotC != NULL)
     {
         if( ui.comboBox_5->currentText() != "")
         {
             // on envoie le texte au serveur URBI
             urbiTele.robotC->send("%s", (const char *) (ui.comboBox_5->currentText().toLatin1() + "\n"));

             // on affiche le texte a l'ecran
             QTextCursor cursorEnd(ui.textBrowser->textCursor());
             cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
             ui.textBrowser->setTextCursor ( cursorEnd );
             ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 

             ui.textBrowser->insertPlainText( "[Send] " + ui.comboBox_5->currentText().toLatin1() + "\n" ); 
             int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
             ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);

             // on ajoute la ligne a la liste du comboBox
             QString commandePrecedente;
             if( ui.comboBox_5->count() >= 2)
                  commandePrecedente = ui.comboBox_5->itemText ( ui.comboBox_5->count()-2 );

             if( commandePrecedente != ui.comboBox_5->currentText() )
             {
                          ui.comboBox_5->insertItem(ui.comboBox_5->count() , ui.comboBox_5->currentText());

                 // on efface une ligne a la liste du comboBox
                 if( ui.comboBox_5->count() >= 2)
                              ui.comboBox_5->removeItem( ui.comboBox_5->count()-2 ); 
                 
                 // on ajoute une ligne vide a la liste du comboBox
                 ui.comboBox_5->insertItem(ui.comboBox_5->count() , "" );
             }

             // on se positionne en bas
             ui.comboBox_5->setCurrentIndex(ui.comboBox_5->count()-1);

             // on efface le texte de la ligne             
             ui.comboBox_5->clearEditText();
         }

     }
}

///////////////////////////////////////////
// Changement de ce que tape l'utilisateur
void Telecommande::on_comboBox_5_editTextChanged(const QString & text )
{

     // on verifie que ca ne contient pas de retour a la ligne
     if(text.contains("\n") == 1)
        return;


     if (ui.comboBox_5->currentIndex() == ui.comboBox_5->count()-1)
     {
        int posCursor = ui.comboBox_5->lineEdit()->cursorPosition (); 
        ui.comboBox_5->setItemText( ui.comboBox_5->count()-1, text );
        ui.comboBox_5->lineEdit()->setCursorPosition (posCursor); 
     }

}

