///////////////////////////////////////////
// Rcuprer les valeurs du robot
void Telecommande::on_pushButton_12_clicked()
{
    if(urbiTele.robotC != NULL)
    {
       QString tagMotor;
       // recuperation de la position des moteurs
        for (int i=0;i<urbiTele.devCount-1;i++) 
        {
            tagMotor = "toto" + QString::fromLatin1(urbiTele.devices[i]);
            urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor),tagMotor.toLatin1());
    	    urbiTele.robotC->send("toto%s << %s&",urbiTele.devices[i], urbiTele.devices[i]);
        }
        tagMotor = "toto" + QString::fromLatin1(urbiTele.devices[urbiTele.devCount-1]);
        urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor),tagMotor.toLatin1());
        urbiTele.robotC->send("toto%s << %s;",urbiTele.devices[urbiTele.devCount-1], urbiTele.devices[urbiTele.devCount-1]);
    }


}



///////////////////////////////////////////
// Modif de la valeur de headTilt
void Telecommande::on_spinBox_2_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider->setValue(i);

           QString value = QString::number(i);
           value="headTilt.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de headPan
void Telecommande::on_spinBox_3_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_2->setValue(i);

           QString value = QString::number(i);
           value="headPan.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de neck
void Telecommande::on_spinBox_4_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_3->setValue(i);

           QString value = QString::number(i);
           value="neck.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de mouth
void Telecommande::on_spinBox_5_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_4->setValue(i);

           QString value = QString::number(i);
           value="mouth.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de earL
void Telecommande::on_spinBox_6_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_5->setValue(i);

           QString value = QString::number(i);
           value="earL.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de tailTilt
void Telecommande::on_spinBox_7_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_6->setValue(i);

           QString value = QString::number(i);
           value="tailTilt.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de tailPan
void Telecommande::on_spinBox_8_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_7->setValue(i);     

           QString value = QString::number(i);
           value="tailPan.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    



///////////////////////////////////////////
// Modif de la valeur de legRF1
void Telecommande::on_spinBox_9_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_8->setValue(i);     

           QString value = QString::number(i);
           value="legRF1.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legRF2
void Telecommande::on_spinBox_10_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_9->setValue(i);     

           QString value = QString::number(i);
           value="legRF2.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    



///////////////////////////////////////////
// Modif de la valeur de legRF3
void Telecommande::on_spinBox_11_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_10->setValue(i);     

           QString value = QString::number(i);
           value="legRF3.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legRH1
void Telecommande::on_spinBox_12_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_11->setValue(i);    

           QString value = QString::number(i);
           value="legRH1.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legRH2
void Telecommande::on_spinBox_13_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_12->setValue(i);     

           QString value = QString::number(i);
           value="legRH2.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legRH3
void Telecommande::on_spinBox_14_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_13->setValue(i);     

           QString value = QString::number(i);
           value="legRH3.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de earR
void Telecommande::on_spinBox_15_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_14->setValue(i);     

           QString value = QString::number(i);
           value="earR.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legLF1
void Telecommande::on_spinBox_16_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_15->setValue(i);     

           QString value = QString::number(i);
           value="legLF1.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legLF2
void Telecommande::on_spinBox_17_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_16->setValue(i);     

           QString value = QString::number(i);
           value="legLF2.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legLF3
void Telecommande::on_spinBox_18_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_17->setValue(i);     

           QString value = QString::number(i);
           value="legLF3.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legLH1
void Telecommande::on_spinBox_19_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_18->setValue(i);     

           QString value = QString::number(i);
           value="legLH1.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legLH2
void Telecommande::on_spinBox_20_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_19->setValue(i);     

           QString value = QString::number(i);
           value="legLH2.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de legLH3
void Telecommande::on_spinBox_21_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_20->setValue(i);     

           QString value = QString::number(i);
           value="legLH3.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    





///////////////////////////////////////////
// Modif de la valeur de headTilt
void Telecommande::on_horizontalSlider_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_2->setValue( ui.horizontalSlider->value() );     

           int i = ui.horizontalSlider->value();
           QString value = QString::number(i);
           value="headTilt.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }


}


///////////////////////////////////////////
// Modif de la valeur de headPan
void Telecommande::on_horizontalSlider_2_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_3->setValue( ui.horizontalSlider_2->value() );     

           int i = ui.horizontalSlider_2->value();
           QString value = QString::number(i);
           value="headPan.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    


///////////////////////////////////////////
// Modif de la valeur de neck
void Telecommande::on_horizontalSlider_3_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_4->setValue( ui.horizontalSlider_3->value() );    

           int i = ui.horizontalSlider_3->value();
           QString value = QString::number(i);
           value="neck.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    


///////////////////////////////////////////
// Modif de la valeur de mouth
void Telecommande::on_horizontalSlider_4_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_5->setValue( ui.horizontalSlider_4->value() );    

           int i = ui.horizontalSlider_4->value();
           QString value = QString::number(i);
           value="mouth.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    


///////////////////////////////////////////
// Modif de la valeur de earL
void Telecommande::on_horizontalSlider_5_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_6->setValue( ui.horizontalSlider_5->value() );     

           int i = ui.horizontalSlider_5->value();
           QString value = QString::number(i);
           value="earL.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 

           neRienFaireAvecLesMoteurs = 0;
    }

}    


///////////////////////////////////////////
// Modif de la valeur de tailTilt
void Telecommande::on_horizontalSlider_6_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_7->setValue( ui.horizontalSlider_6->value() );   

           int i = ui.horizontalSlider_6->value();
           QString value = QString::number(i);
           value="tailTilt.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    


///////////////////////////////////////////
// Modif de la valeur de tailPan
void Telecommande::on_horizontalSlider_7_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_8->setValue( ui.horizontalSlider_7->value() );   

           int i = ui.horizontalSlider_7->value();
           QString value = QString::number(i);
           value="tailPan.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    



///////////////////////////////////////////
// Modif de la valeur de legRF1
void Telecommande::on_horizontalSlider_8_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_9->setValue( ui.horizontalSlider_8->value() );    

           int i = ui.horizontalSlider_8->value();
           QString value = QString::number(i);
           value="legRF1.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    


///////////////////////////////////////////
// Modif de la valeur de legRF2
void Telecommande::on_horizontalSlider_9_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_10->setValue( ui.horizontalSlider_9->value() );   

           int i = ui.horizontalSlider_9->value();
           QString value = QString::number(i);
           value="legRF2.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}      



///////////////////////////////////////////
// Modif de la valeur de legRF3
void Telecommande::on_horizontalSlider_10_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_11->setValue( ui.horizontalSlider_10->value() );   

           int i = ui.horizontalSlider_10->value();
           QString value = QString::number(i);
           value="legRF3.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     


///////////////////////////////////////////
// Modif de la valeur de legRH1
void Telecommande::on_horizontalSlider_11_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_12->setValue( ui.horizontalSlider_11->value() );   

           int i = ui.horizontalSlider_11->value();
           QString value = QString::number(i);
           value="legRH1.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}      


///////////////////////////////////////////
// Modif de la valeur de legRH2
void Telecommande::on_horizontalSlider_12_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_13->setValue( ui.horizontalSlider_12->value() );     

           int i = ui.horizontalSlider_12->value();
           QString value = QString::number(i);
           value="legRH2.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     


///////////////////////////////////////////
// Modif de la valeur de legRH3
void Telecommande::on_horizontalSlider_13_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_14->setValue( ui.horizontalSlider_13->value() );     

           int i = ui.horizontalSlider_13->value();
           QString value = QString::number(i);
           value="legRH3.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     


///////////////////////////////////////////
// Modif de la valeur de earR
void Telecommande::on_horizontalSlider_14_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_15->setValue( ui.horizontalSlider_14->value() );     

           int i = ui.horizontalSlider_14->value();
           QString value = QString::number(i);
           value="earR.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     


///////////////////////////////////////////
// Modif de la valeur de legLF1
void Telecommande::on_horizontalSlider_15_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_16->setValue( ui.horizontalSlider_15->value() );    

           int i = ui.horizontalSlider_15->value();
           QString value = QString::number(i);
           value="legLF1.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     


///////////////////////////////////////////
// Modif de la valeur de legLF2
void Telecommande::on_horizontalSlider_16_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_17->setValue( ui.horizontalSlider_16->value() );  

           int i = ui.horizontalSlider_16->value();
           QString value = QString::number(i);
           value="legLF2.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     


///////////////////////////////////////////
// Modif de la valeur de legLF3
void Telecommande::on_horizontalSlider_17_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_18->setValue( ui.horizontalSlider_17->value() );     

           int i = ui.horizontalSlider_17->value();
           QString value = QString::number(i);
           value="legLF3.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     


///////////////////////////////////////////
// Modif de la valeur de legLH1
void Telecommande::on_horizontalSlider_18_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_19->setValue( ui.horizontalSlider_18->value() );     

           int i = ui.horizontalSlider_18->value();
           QString value = QString::number(i);
           value="legLH1.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     


///////////////////////////////////////////
// Modif de la valeur de legLH2
void Telecommande::on_horizontalSlider_19_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_20->setValue( ui.horizontalSlider_19->value() );  

           int i = ui.horizontalSlider_19->value();
           QString value = QString::number(i);
           value="legLH2.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     


///////////////////////////////////////////
// Modif de la valeur de legLH3
void Telecommande::on_horizontalSlider_20_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_21->setValue( ui.horizontalSlider_20->value() );  

           int i = ui.horizontalSlider_20->value();
           QString value = QString::number(i);
           value="legLH3.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}     
