#include "tele.h"

#include <QApplication>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    Telecommande *window;
    window = new Telecommande();
    window->pointeur=window;

   QCoreApplication::setOrganizationName ("Frederic LETELLIER");
   QCoreApplication::setOrganizationDomain ("urbiforge.com");
   QCoreApplication::setApplicationName ("e-puck Telecommande");
   QSettings settings("e-puck Telecommande", "GOSTAI");
   QString robotName = settings.value("robotname").toString();
   int robotPort = settings.value("robotport").toInt();
   if(robotName != "")
   {
        window->ui.lineEdit->setText(robotName);
        window->ui.spinBox->setValue(robotPort);
   }

    // on demande que l'interface soit du style plastique
    window->setStyle ( QApplication::setStyle ( "plastique" ) );

    window->show();
    return app.exec();
}

