

///////////////////////////////////////////
// Lancement de la camera
void Telecommande::on_pushButton_83_clicked()
{
     if(urbiTele.robotC != NULL)
     {
         // on affiche la camera
         visionCamera.show();

         // recuperation des donnes du nom et du port
         QSettings settings("e-puck Telecommande", "GOSTAI");
         QString robotName = settings.value("robotname").toString();
         int robotPort = settings.value("robotport").toInt();

         // connexion
         if( urbiTele.robotI != NULL)
         {
             urbiTele.robotI->send("stop uimg;");
             urbiTele.robotI->send(";;;; quit;");
             urbiTele.robotI->send("noop;");
             urbiTele.robotI->send("noop;");
             delete urbiTele.robotI;

             // reinitialisation des variables
             urbiTele.traitementEnCours=0;
             urbiTele.captureImage=0;
         }
         urbiTele.robotI = NULL;
         urbiTele.robotI =new UClient( robotName.toLatin1() , robotPort );

         if (!urbiTele.robotI->error())
         {
                 urbiTele.robotI->send("stop uimg;");
                 urbiTele.robotI->setCallback(callback(urbiTele,&ConnectAibo::urbiimage), "uimg");
                 QString frequency = ui.lineEdit_8->text();
                 QString Camera_Active = "uimg:every(" + frequency + "ms){ uimg << " + ui.lineEdit_6->text() + "},";
                 urbiTele.robotI->send("%s", (const char *) Camera_Active.toLatin1());
         }
     }
} 


///////////////////////////////////////////
// Arret de la camera
void Telecommande::on_pushButton_92_clicked()
{
         // on cache la camera
         visionCamera.hide();

         // connexion
         if( urbiTele.robotI != NULL)
         {
             urbiTele.robotI->send("stop uimg;");
             urbiTele.robotI->send(";;;; quit;");
             urbiTele.robotI->send("noop;");
             urbiTele.robotI->send("noop;");
             delete urbiTele.robotI;
             urbiTele.robotI = NULL;

             // reinitialisation des variables
             urbiTele.traitementEnCours=0;
             urbiTele.captureImage=0;
         }

} 

///////////////////////////////////////////
// Arret de la camera
void Telecommande::arretDeLaCamera()
{
         // connexion
         if( urbiTele.robotI != NULL)
         {
             urbiTele.robotI->send("stop uimg;");
             urbiTele.robotI->send(";;;; quit;");
             urbiTele.robotI->send("noop;");
             urbiTele.robotI->send("noop;");
             delete urbiTele.robotI;
             urbiTele.robotI = NULL;

             // reinitialisation des variables
             urbiTele.traitementEnCours=0;
             urbiTele.captureImage=0;
         }

} 


