#ifndef URBI_H
#define URBI_H

#include <urbi/uclient.hh>
#include <QtGui>
#include <sys/types.h>
#include <avcodec.h>

class CaptureImage;

using namespace urbi;

class ConnectAibo : public QWidget
{
    Q_OBJECT

      public:
      ConnectAibo(QWidget *parent = 0);
      UClient *robotI;
      CaptureImage *pere;
      UCallbackAction command(const UMessage &);
      UCallbackAction command2(const UMessage &);

      unsigned char* buffer;
      unsigned char* bufferRGB; 
      int capture;
      int traitementEnCours;

      int visible;
      int captureImage;
      int compteur;
      double posx;
      double posy;

      int aa;
      int bb;   

      QString fileName;

      QImage imageQT;
      QImage imageQT2;

      virtual bool event(QEvent *ev);
      QEvent *e1;

      int nbimagescaptures; // compteur de frames captures
	  int frames; // compteur de frames captures
      int initrecord;
      int closerecord;
      QString VideoFileName;
      QFile file;

	// variables FFMPEG
	AVCodec *codec;
	AVCodecContext *c;
	AVFrame *picture; // image au format PIX_FMT_YUV420P
	AVFrame *pictureRGB24; // image au format RGB24
	FILE *f;
	int outbuf_size;
	uint8_t *outbuf;
	int size; // size for YUV420P 
	uint8_t *picture_buf,*picture_buf1,*picture_buf2,*picture_buf3; 
	int sizeRGB24; // size for RGB24 
	uint8_t *picture_bufRGB24; 
	int i, out_size, x, y;



};

#endif
