#qmake option
CONFIG += release
CONFIG += qt
CONFIG += static

MOC_DIR      = moc
OBJECTS_DIR  = obj
DESTDIR      = release
UI_DIR       = ui

TEMPLATE = app

TARGET = "videocapture"

########################################
#CONFIGURATION LIB Z
INCLUDEPATH += ./zlib/include/
QMAKE_LIBS_URBI += -L./zlib/lib-win/ -lz 
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

########################################
#CONFIGURATION LIB FFMPEG
INCLUDEPATH += ./ffmpeg/include/
QMAKE_LIBS_URBI += -L./ffmpeg/lib-win/ -lavcodec -lavformat -lavutil 
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

########################################
#CONFIGURATION LIB MP3LAME
INCLUDEPATH += ./mp3lame/include/
QMAKE_LIBS_URBI += -L./mp3lame/lib-win/ -lmp3lame 
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

########################################
#CONFIGURATION LIB FAAC
INCLUDEPATH += ./faac/include/
QMAKE_LIBS_URBI += -L./faac/lib-win/ -lfaac 
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

########################################
#CONFIGURATION URBI
INCLUDEPATH += ./liburbi-cpp/include/
QMAKE_LIBS_URBI += -L./liburbi-cpp/lib-win/ -lurbi -ljpeg -lws2_32 
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################


FORMS = captureimage.ui
HEADERS = captureimage.h urbi.h
SOURCES = main.cpp captureimage.cpp urbi.cpp



