#qmake option
CONFIG += release
CONFIG += qt

MOC_DIR      = moc
OBJECTS_DIR  = obj
DESTDIR      = release
UI_DIR       = ui

TEMPLATE = app

TARGET = "Camera_Stabilization"

########################################
#CONFIGURATION URBI
INCLUDEPATH += ./liburbi-cpp/include/
QMAKE_LIBS_URBI += -L./liburbi-cpp/lib-linux/ -lurbi -ljpeg
LIBS += $$QMAKE_LIBS_THREAD $$QMAKE_LIBS_URBI
##########################################

########################################
#CONFIGURATION KLT
INCLUDEPATH += ./klt/
##########################################

FORMS =   captureimage.ui
HEADERS = captureimage.h urbi.h 
SOURCES = main.cpp captureimage.cpp urbi.cpp urbi_page1.cpp \ 
          klt/klt.c klt/klt_util.c klt/error.c klt/selectGoodFeatures.c klt/storeFeatures.c klt/writeFeatures.c klt/convolve.c klt/pyramid.c klt/trackFeatures.c klt/pnmio.c
