; Le nom du programme d'installation
Name "Convert QImage to UImage"

; Le nom du programme d'installation  creer
OutFile "Install Convert QImage to UImage.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Convert QImage to UImage"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Convert QImage to UImage (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\Convert QImage to UImage"
  CreateShortCut "$SMPROGRAMS\URBI\Convert QImage to UImage\Convert QImage to UImage.lnk" "$INSTDIR\Convert QImage to UImage.exe" "" "$INSTDIR\Convert QImage to UImage.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Convert QImage to UImage\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Convert QImage to UImage.lnk" "$INSTDIR\Convert QImage to UImage.exe" "" "$INSTDIR\Convert QImage to UImage.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Convert QImage to UImage\*.*"
  Delete "$DESKTOP\Convert QImage to UImage.lnk"


  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Convert QImage to UImage"
  RMDir "$INSTDIR"

SectionEnd
