
///////////////////////////////////////////
// Slection du fichier Binaire
void Telecommande::on_pushButton_88_clicked()
{
    QString openFilesPath;

    QStringList files = QFileDialog::getOpenFileNames(
                                this, tr("QFileDialog::getOpenFileNames()"),
                                openFilesPath,
                                tr(" JPEG File (*.jpg ; *.jpeg)"));
    if (files.count()) 
    {
        openFilesPath = files[0];
        ui.label_55->setText(openFilesPath);        // affichage du fichier selectionne

        QFile file;
        file.setFileName(openFilesPath);  // ouverture du fichier
        if( !file.exists() ) 
            return;
        
        QImage imageaffiche(openFilesPath);
        if( imageaffiche.width() > 400)
          imageaffiche = imageaffiche.scaledToWidth ( 400 );
        ui.label->setPixmap(QPixmap::fromImage(imageaffiche));     // on affiche   
    }

}


///////////////////////////////////////////
// Envoi du fichier Binaire
void Telecommande::on_pushButton_89_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    // Creation du QImage
          QString openFilesPath=ui.label_55->text();  // on recupere le nom du fichier
          QFile file;
          file.setFileName(openFilesPath);  // ouverture du fichier
          if( !file.exists() )
              return;
          file.close();
          QImage fileImage;
          fileImage.load( openFilesPath );
          if(fileImage.isNull () == 1)
            return;

        // Creation du UImage
        UImage ImageURBI;
        ImageURBI.imageFormat = IMAGE_JPEG;
        ImageURBI.width = fileImage.width();
        ImageURBI.height = fileImage.height();
    
         QByteArray ba;
         QBuffer buffer(&ba);
         buffer.open(QIODevice::WriteOnly);
         fileImage.save(&buffer, "JPG",100); 
    
        ImageURBI.size = buffer.size();
        ImageURBI.data = new unsigned char[buffer.size()];
        memcpy( ImageURBI.data, ba.data(), buffer.size() );
    
        // Envoi des donnees au serveur
        QString cmd; // commande
        cmd = ui.lineEdit_4->text() + " = BIN " + QString::number(buffer.size()) + " " ; // dit que c'est un binaire et donne la taille des donnees
        cmd = cmd + "jpeg " + QString::number(fileImage.width()) + " " + QString::number(fileImage.height()) + ";";
        urbiTele.robotC->sendBin(ImageURBI.data, buffer.size(), cmd.toLatin1() );

     }
}






