; Le nom du programme d'installation
Name "Key Point Tracking"

; Le nom du programme d'installation  creer
OutFile "Install Key Point Tracking.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\Key Point Tracking"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "Key Point Tracking (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\Key Point Tracking"
  CreateShortCut "$SMPROGRAMS\URBI\Key Point Tracking\Key Point Tracking.lnk" "$INSTDIR\Key Point Tracking.exe" "" "$INSTDIR\Key Point Tracking.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\Key Point Tracking\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\Key Point Tracking.lnk" "$INSTDIR\Key Point Tracking.exe" "" "$INSTDIR\Key Point Tracking.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\Key Point Tracking\*.*"
  Delete "$DESKTOP\Key Point Tracking.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\Key Point Tracking"
  RMDir "$INSTDIR"

SectionEnd
