#include "captureimage.h"

CaptureImage::CaptureImage(QWidget *parent)
        : QMainWindow(parent)
{
        ui.setupUi(this);

        etat = 0;
}

void CaptureImage::on_pushButton_clicked()
{
   QString robotName = ui.lineEdit->text();
   QString VideoDeviceName = ui.lineEdit_2->text();
   QString VideoDelay = ui.lineEdit_3->text();

   QSettings settings("Record Images", "GOSTAI");
   settings.setValue("robotname", robotName);
   settings.sync ();

    // destruction d'une ancienne connexion
    if( urbiImage.robotI != NULL)
    {
             urbiImage.robotI->send(";;;;;quit;");
             urbiImage.robotI->send("stop uimg;");
             urbiImage.robotI->send("stop uimg2;");
             urbiImage.robotI->send("stop totorecord;");
             urbiImage.robotI->send("noop;");
             delete urbiImage.robotI;

             urbiImage.robotI = NULL;
             urbiImage.traitementEnCours=0; 
             urbiImage.visible = 0;
             urbiImage.capture=0;
             urbiImage.captureImage=0;
             urbiImage.compteur=0;
             urbiImage.nbimagescaptures=0;
             etat=0;
    }

    // connexion
    urbiImage.robotI =new UClient(robotName.toLatin1());
    urbiImage.pere=pointeur;

    if (!urbiImage.robotI->error())
    {
       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);

    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::command), "uimg");
    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::recordoui), "totorecord");

    QString phrase_send = "uimg2:every(" + VideoDelay +"){ uimg: " + VideoDeviceName + " },";
    urbiImage.robotI->send("%s", (const char *) phrase_send.toLatin1());
    }

    else // pas de connexion
    {
         urbiImage.robotI = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);         
    }

}

void CaptureImage::on_lineEdit_returnPressed()
{
   QString robotName = ui.lineEdit->text();
   QString VideoDeviceName = ui.lineEdit_2->text();
   QString VideoDelay = ui.lineEdit_3->text();

   QSettings settings("Record Images", "GOSTAI");
   settings.setValue("robotname", robotName);
   settings.sync ();

    // destruction d'une ancienne connexion
    if( urbiImage.robotI != NULL)
    {
             urbiImage.robotI->send(";;;;;quit;");
             urbiImage.robotI->send("stop uimg;");
             urbiImage.robotI->send("stop uimg2;");
             urbiImage.robotI->send("stop totorecord;");
             urbiImage.robotI->send("noop;");
             delete urbiImage.robotI;

             urbiImage.robotI = NULL;
             urbiImage.traitementEnCours=0; 
             urbiImage.visible = 0;
             urbiImage.capture=0;
             urbiImage.captureImage=0;
             urbiImage.compteur=0;
             urbiImage.nbimagescaptures=0;
             etat=0;
    }

    // connexion
    urbiImage.robotI =new UClient(robotName.toLatin1());
    urbiImage.pere=pointeur;

    if (!urbiImage.robotI->error())
    {
       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);

    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::command), "uimg");
    urbiImage.robotI->setCallback(callback(urbiImage,&ConnectAibo::recordoui), "totorecord");

    QString phrase_send = "uimg2:every(" + VideoDelay +"){ uimg: " + VideoDeviceName + " },";
    urbiImage.robotI->send("%s", (const char *) phrase_send.toLatin1());
    }

    else // pas de connexion
    {
         urbiImage.robotI = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton->setPalette(couleur);         
    }


}

void CaptureImage::on_pushButton_2_clicked()
{

    if( urbiImage.robotI != NULL)
    {
        if( etat == 0)
        {
            urbiImage.nbimagescaptures=0; // on met le compteur a 0
            urbiImage.robotI->send("stop totorecord;");
            etat = 1;

            QString VideoDelay = ui.lineEdit_5->text();
            QString phrase_send = "totorecord:every(" + VideoDelay +"){ totorecord: 1 },";
            urbiImage.robotI->send("%s", (const char *) phrase_send.toLatin1());

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
          // application de la couleur sur le bouton enregistrement
          ui.pushButton_2->setText( "Stop Record Images" ) ;
          ui.pushButton_2->setPalette(couleur);   
        }

        else if( etat == 1)
        {
            urbiImage.robotI->send("stop totorecord;");
            urbiImage.capture=0;
            etat = 0;

           // creation de la couleur rouge
           QColor couleur ( 255, 0, 0 ); 
          // application de la couleur sur le bouton enregistrement
          // application de la couleur sur le bouton enregistrement
          ui.pushButton_2->setText( "Start Recording" ) ;
          ui.pushButton_2->setPalette(couleur);   
        }

    }



}

