#include "tele.h"

#include <QApplication>

// mise en static du plugin pour gerer les jpeg
#include <QtPlugin>
Q_IMPORT_PLUGIN(qjpeg)


int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    Telecommande *window;
    window = new Telecommande();
    window->pointeur=window;

   QCoreApplication::setOrganizationName ("Frederic LETELLIER");
   QCoreApplication::setOrganizationDomain ("urbiforge.com");
   QCoreApplication::setApplicationName ("URBI Console");
    QSettings settings("URBI Console", "GOSTAI");
    QString robotName = settings.value("robotname").toString();
    if(robotName == "")
    {
         robotName = "localhost";
         int robotport = 54000;
         settings.setValue("robotname", robotName);
	     settings.setValue("robotport", robotport);
         settings.sync ();
    }


    // on demande que l'interface soit du style plastique
    window->setStyle ( QApplication::setStyle ( "plastique" ) );

    window->show();
    return app.exec();
}

