#include "urbi.h"
#include "tele.h"

ConnectAibo::ConnectAibo(QWidget *parent)
        : QWidget(parent)
{
     robotC = NULL;                           

     lignes = NULL;

     // page 7
     compteurligne=0;
}



/////////////////////////////////////////////////
// Tout Recuperer
//////////////////////////////////////////////////
UCallbackAction ConnectAibo::allrecup(const UMessage &msg) 
{ 

     QString texteServeur2;

  QString tag;
  tag = QString::fromLatin1(msg.tag.c_str() );

  if ( tag != "urbichat" && tag != "urbichatusers")
     return URBI_CONTINUE;   

    if(lignes == NULL)
              lignes = new QString [500];

  if (tag == "urbichatusers") // on veut alors mettre en place un systeme de retour a la ligne
  {
          QString userlist = QString::fromLatin1(msg.rawMessage.c_str());
          userlist.replace(QString(" *-* "), QString("\n"));
          
    // Message non parse
    	if(texteServeur2 == "")
         texteServeur2 = userlist + "\n";
  }
  else
  {
    // Message non parse
    	if(texteServeur2 == "")
         texteServeur2 = "[" + QString::number(msg.timestamp) + "] " + QString::fromLatin1(msg.rawMessage.c_str()) + "\n";
  }


    if (compteurligne >= 0 && compteurligne <= 498)
    {
       lignes[compteurligne] = texteServeur2;
       int valueEvent= 1100 + compteurligne;
       e1 = new QEvent((QEvent::Type)(valueEvent));
       QCoreApplication::postEvent(this,e1);
       compteurligne++;
    }
    else if (compteurligne >= 499 )
    {
       lignes[compteurligne] = texteServeur2;
       int valueEvent= 1100 + compteurligne;
       e1 = new QEvent((QEvent::Type)(valueEvent));
       QCoreApplication::postEvent(this,e1);
       compteurligne=0;
    }


  return URBI_CONTINUE;    

}






///////////////////////////////////////////
// se declenche quand des evenements sont recus
bool ConnectAibo::event(QEvent *ev)
{
     
 if( ev->type() >= (QEvent::Type)(1100) && ev->type() <= (QEvent::Type)(1599))
 {
       // on positionne le curseur a la fin
       QTextCursor cursorEnd(pere->ui.textBrowser->textCursor());
       cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
       pere->ui.textBrowser->setTextCursor ( cursorEnd );

       // on definit la couleur rouge
       pere->ui.textBrowser->setTextColor(QColor::QColor ( 255, 0, 0 )); // on decide la couleur par defaut 

       // on ajoute le texte
       int num = (int)ev->type();
       pere->ui.textBrowser->insertPlainText( lignes[num-1100] ) ; 

       // on positionne le scrolling a la fin
       int positionMax = pere->ui.textBrowser->verticalScrollBar()->maximum();
       pere->ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
 }

 return 1;
}
