#include "urbi.h"
#include "tele.h"

ConnectAibo::ConnectAibo(QWidget *parent)
        : QWidget(parent)
{
     robotC = NULL;                           
}



UCallbackAction ConnectAibo::dureefixe(const UMessage &msg) 
{

  if ( pere->received=true)
  {
     pere->received=false;
     pere->sendtime=robotC->getCurrentTime(); // on recupere l'heure actuelle
     robotC->send( "uping:ping;" );
     return URBI_CONTINUE;
  }
}



UCallbackAction ConnectAibo::pong(const UMessage &msg) 
{

  unsigned int ptime = msg.client.getCurrentTime() - pere->sendtime; // ptime = temps actuel - le temps ou a ete lance la commande

  if ( pere->pingCount == 0)
  {
       pere->mintime=ptime;
       pere->maxtime=ptime;
  }

  if ((!pere->pingCount) || pere->mintime>ptime) pere->mintime=ptime; // temps minimum de ping
  if ((!pere->pingCount) || pere->maxtime<ptime) pere->maxtime=ptime; // temps maximum de ping

  QString texte;
  texte = "ping reply from " + pere->robotName.toLatin1() + " : seq= " + QString::number(pere->pingCount+1) + " time= " + QString::number(ptime) + " ms\n";
  ligne1 = texte;
  int valueEvent= 1100;
  e3 = new QEvent((QEvent::Type)(valueEvent));
  QCoreApplication::postEvent(this,e3);

  pere->pingCount++; // on ajoute 1 au compteur
  pere->received=true; // on reactive la possibilite de recevoir des pings

  return URBI_CONTINUE;
}




///////////////////////////////////////////
// se declenche quand des evenements sont recus
bool ConnectAibo::event(QEvent *ev)
{

 if( ev->type() == (QEvent::Type)(1100))
 {
       // on positionne le curseur a la fin
       QTextCursor cursorEnd(pere->ui.textBrowser->textCursor());
       cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
       pere->ui.textBrowser->setTextCursor ( cursorEnd );

       // on ajoute le texte
       pere->ui.textBrowser->insertPlainText( ligne1 ) ; 
       pere->ui.lineEdit_2->setText( QString::number(pere->mintime) ) ; 
       pere->ui.lineEdit_3->setText( QString::number(pere->maxtime) ) ; 
 }


 return 1;
}
