; Le nom du programme d'installation
Name "URBI Terminal"

; Le nom du programme d'installation  creer
OutFile "Install URBI Terminal.exe"

; Le repertoire par defaut de l'installation
InstallDir "$PROGRAMFILES\URBI\URBI Terminal"


;--------------------------------

; Les pages qui apparaissent lors de l'installation du programme

Page license
LicenseData gpl.txt
LicenseForceSelection radiobuttons

Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; Les choix a cocher lors de l'installation
Section "URBI Terminal (required)"

  SectionIn RO
  
  ; donne la destination de l'installation
  SetOutPath $INSTDIR
  
  ; indique les fichiers a selectionner
  File /r bin_win\*.*
  
  ; Write the uninstall keys for Windows
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\URBI\URBI Terminal"
  CreateShortCut "$SMPROGRAMS\URBI\URBI Terminal\URBI Terminal.lnk" "$INSTDIR\URBI Terminal.exe" "" "$INSTDIR\URBI Terminal.exe" 0
  CreateShortCut "$SMPROGRAMS\URBI\URBI Terminal\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd


Section "Desktop Shortcuts"
  CreateShortCut "$DESKTOP\URBI Terminal.lnk" "$INSTDIR\URBI Terminal.exe" "" "$INSTDIR\URBI Terminal.exe" 0
SectionEnd

;--------------------------------

; desinstallation

Section "Uninstall"
  
  ; Remove files and uninstaller
  Delete $INSTDIR\*.* 

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\URBI\URBI Terminal\*.*"
  Delete "$DESKTOP\URBI Terminal.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\URBI\URBI Terminal"
  RMDir "$INSTDIR"

SectionEnd
