/*! \file  ucmdline.hh
 *******************************************************************************

 File:  ucmdline.hh\n
 Definition of the UCmdLine class.

 This file is part of 
 %URBI Lab, version __urbilabversion__\n
 (c) Jean-Christophe Baillie, 2004-2005.

 Permission to use, copy, modify, and redistribute this software for
 non-commercial use is hereby granted.

 This software is provided "as is" without warranty of any kind,
 either expressed or implied, including but not limited to the
 implied warranties of fitness for a particular purpose.

 For more information, comments, bug reports: http://urbi.sourceforge.net

 **************************************************************************** */

#ifndef UCMDLINE_H
#define UCMDLINE_H

#include <qcombobox.h>

class QWidget;
class QString;

//! UCmdLine class is a command line that accept user commands.
/*! UCmdLine is a Qt widget that accepts commands and keeps command history. */
class UCmdLine : public QComboBox {

  Q_OBJECT

 public:
  UCmdLine( QWidget* parent = NULL);
  ~UCmdLine();

};

#endif // #ifndef UCMDLINE_H
