#ifndef TELE_H
#define TELE_H

#include "ui_captureimage.h"
#include "urbi.h"
#include "data_plot.h"
#include "windowsmain.h"
#include <QWidget>
#include <QtGui>

#include <QMainWindow>

class Telecommande : public QMainWindow
{
    Q_OBJECT

public:
    ConnectAibo urbiTele; // connexion URBI

    Telecommande(QWidget *parent = 0);
    Telecommande *pointeur;

    Ui::CaptureImage ui;

    void arretDuGraph(); // sert pour la page 8
    void arretDuGraphVariable(); // sert pour la page 8

    void enableZoomMode(bool on); // sert a activer ou desactiver le mode zoom

    MainWindow *windowmain;
    Zoomer *d_zoomer[2];

    int etatpausereprise;
    int etatzoom;

private slots:

    // sert pour la connexion
    void on_pushButton_clicked(); // graph debut
    void on_pushButton_2_clicked(); // graph arret
    void on_pushButton_3_clicked(); // remise en forme du graphe
    void on_pushButton_4_clicked(); // pause / reprise
    void on_pushButton_5_clicked(); // zoom / fin du zoom

};

#endif

