#include "urbi.h"
#include "tele.h"


ConnectAibo::ConnectAibo(QWidget *parent)
        : QWidget(parent)
{
     robotG2 = NULL;    
}


///////////////////////////////////////////
// se declenche quand des evenements sont recus
bool ConnectAibo::event(QEvent *ev)
{
     
// affichage graph variable
 if( ev->type() == (QEvent::Type)(1603))
 {
       pere->windowmain->plot->addValuesVariable(valueVariableGraph,heure/1000);
       pere->ui.lcdNumber->display(valueVariableGraph);
       pere->ui.lcdNumber_2->display(heure/1000);
 }
 else if( ev->type() == (QEvent::Type)(1604))
 {
        pere->arretDuGraphVariable(); // on desactive la fenetre du graph  
 }


 return 1;
}


UCallbackAction ConnectAibo::returnvaluevariable(const UMessage &msg) 
{


  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

   valueVariableGraph = (double) msg.value->val;

    // enregistrement de l'heure
    heure=msg.timestamp;

    // on verifie que la fenetre est bien visible
    if (pere->windowmain->isHidden() == 1)
    {
          e5 = new QEvent((QEvent::Type)(1604));
          QCoreApplication::postEvent(this,e5);  // on arrete la fenetre graph          
    }
    else
    {
        e5 = new QEvent((QEvent::Type)(1603));
        QCoreApplication::postEvent(this,e5);
     }



  return URBI_CONTINUE;
}
