function urbiInteract(con, command)
% Sends an URBI string and display messages from the server
% This functions performs the same job as urbiSend, but displays the
% messages returned by the server. It should be used mostly in an
% interactive manner, and not in scripts, as messages are lost for
% processing
% e.g. urbiInteract(con, 'headPan.val');

pnet(con, 'printf', '%s', command);
pause(.3);
urbiClearConnection(con);
