function urbiPlayWavRemote(con, wavFile, deviceName)
% Play a wav file located on the liburbi platform
% This function tells the server to play a wav file that is located on the
% platform running the liburbiMatlab. The wav file is therefore sent
% through the network.
% The default device used is "speaker"

if (nargin == 2)
  deviceName='speaker';
end

urbiSendWav(con, wavFile, deviceName);
