function urbiSend(con, command)
% Sends an URBI string using the connection con
% This function sends a string to the URBI server. No process is made of
% the server responses. If you want a display of the messages from the
% server, use urbiInteract.
% e.g. urbiSend(con, 'whenever (camera.ballx != 1) { modeB = 1};');


if (nargin ~=2)
    error('urbiSend(con, command)\n con :connection to the urbi server\n command : command string to be sent to URBI',1);
end

pnet(con, 'printf', '%s', command);

