
///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_pushButton_2_clicked()
{
    urbiTele.pere=pointeur;

    // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    int port = ui.spinBox->value();
    QSettings settings("Mindstorms Telecommande", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.setValue("robotport", port);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

          // reinitialisation des parametres
          urbiTele.compteurligne=0;
          urbiTele.musiqueEnCours=0;
          urbiTele.imageEnCours=0;
/*
          urbiTele.compteurvalue=0;
          urbiTele.compteurvalue2=0;
          urbiTele.compteurvalueeye=0;
*/
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() , port );

    if (!urbiTele.robotC->error())
    {

       neRienFaireAvecLesMoteursA = 0;
       neRienFaireAvecLesMoteursB = 0;
       neRienFaireAvecLesMoteursC = 0;

       // recuperation de tout ce qui est envoye par le serveur
       urbiTele.robotC->setWildcardCallback( callback(urbiTele,&ConnectAibo::allrecup) );

       // recuperation de la position des moteurs
/*
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor),"totowheelL");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor),"totowheelR");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor2),"totowheelL2");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor2),"totowheelR2");
*/

       // recuperation de la position des moteurs
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotorA),"totomotorA");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotorB),"totomotorB");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotorC),"totomotorC");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotorA2),"totomotorA2");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotorB2),"totomotorB2");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotorC2),"totomotorC2");


       // recuperation de la position de la battery
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluebattery),"totobattery");

       // recuperation de la distance du sonar
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluesonar),"totosonar");

       // recuperation de la distance de la luminosite
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluelight),"totolight");

       // recuperation du volume sonore
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluedecibel),"totodecibel");

       // recuperation de l'etat du bumper
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluebumper),"totobumper");

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);
    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }

}

///////////////////////////////////////////
// se connecter au robot
void Telecommande::on_lineEdit_returnPressed()
{
    urbiTele.pere=pointeur;

    // recuperation des donnes du nom et du port
    QString robotName = ui.lineEdit->text();
    int port = ui.spinBox->value();
    QSettings settings("Mindstorms Telecommande", "GOSTAI");
    settings.setValue("robotname", robotName);
    settings.setValue("robotport", port);
    settings.sync ();

    if( urbiTele.robotC != NULL)
    {
        // fermeture de la session
          urbiTele.robotC->send(";;;; quit;");
          urbiTele.robotC->send("noop;");
          urbiTele.robotC->send("noop;");
          delete urbiTele.robotC;

          // reinitialisation des parametres
          urbiTele.compteurligne=0;
          urbiTele.musiqueEnCours=0;
          urbiTele.imageEnCours=0;
/*
          urbiTele.compteurvalue=0;
          urbiTele.compteurvalue2=0;
          urbiTele.compteurvalueeye=0;
*/
    }
    urbiTele.robotC = NULL;
    urbiTele.robotC =new UClient( robotName.toLatin1() , port );

    if (!urbiTele.robotC->error())
    {
       neRienFaireAvecLesMoteursA = 0;
       neRienFaireAvecLesMoteursB = 0;
       neRienFaireAvecLesMoteursC = 0;

       // recuperation de tout ce qui est envoye par le serveur
       urbiTele.robotC->setWildcardCallback( callback(urbiTele,&ConnectAibo::allrecup) );

       // recuperation de la position des moteurs
/*
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor),"totowheelL");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor),"totowheelR");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor2),"totowheelL2");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotor2),"totowheelR2");

*/

       // recuperation de la position des moteurs
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotorA),"totoemotorA");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotorB),"totoemotorB");
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluemotorC),"totoemotorC");

       // recuperation de la position de la battery
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluebattery),"totobattery");


       // recuperation de la distance du sonar
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluesonar),"totosonar");

       // recuperation de la distance de la luminosite
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluelight),"totolight");

       // recuperation du volume sonore
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluedecibel),"totodecibel");

       // recuperation de l'etat du bumper
       urbiTele.robotC->setCallback(callback(urbiTele,&ConnectAibo::returnvaluebumper),"totobumper");

       // reglage de l'ecran terminal
       ui.textBrowser->clear(); // on efface le terminal 

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);
    }
    else // pas de connexion
    {
         urbiTele.robotC = NULL;
       // creation de la couleur rouge
       QColor couleur ( 255, 0, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_2->setPalette(couleur);         
    }
}


///////////////////////////////////////////
// Eteindre le robot
void Telecommande::on_pushButton_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("shutdown;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] shutdown;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }
}


///////////////////////////////////////////
// quit
void Telecommande::on_pushButton_3_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("quit;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] quit;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 
}


///////////////////////////////////////////
// reset
void Telecommande::on_pushButton_6_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("reset;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] reset;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 
}


///////////////////////////////////////////
// reboot
void Telecommande::on_pushButton_13_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("reboot;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] reboot;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// vars
void Telecommande::on_pushButton_20_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("vars;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] vars;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// uservars
void Telecommande::on_pushButton_21_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("uservars;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] uservars;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// ping
void Telecommande::on_pushButton_28_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("ping;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ping;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// time()
void Telecommande::on_pushButton_22_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("time();");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] time();\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// cpuload()
void Telecommande::on_pushButton_23_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("cpuload();");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] cpuload();\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// freemem()
void Telecommande::on_pushButton_26_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("freemem();");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] freemem();\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// motors on
void Telecommande::on_pushButton_24_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("motors on;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] motors on;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 
}


///////////////////////////////////////////
// motors off
void Telecommande::on_pushButton_25_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("motors off;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] motors off;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 
}


///////////////////////////////////////////
// motor switch
void Telecommande::on_pushButton_27_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("motors switch;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] motors switch;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// stopall
void Telecommande::on_pushButton_4_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("stopall;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] stopall;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// taglist
void Telecommande::on_pushButton_5_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("taglist;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] taglist;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// connections
void Telecommande::on_pushButton_94_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("connections;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] connections;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// group
void Telecommande::on_pushButton_98_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("group;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] group;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// strict
void Telecommande::on_pushButton_99_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("strict;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] strict;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}


///////////////////////////////////////////
// unstrict
void Telecommande::on_pushButton_100_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          urbiTele.robotC->send("unstrict;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] unstrict;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}
