
///////////////////////////////////////////
// on avance
void Telecommande::on_pushButton_77_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL = 30;");
          urbiTele.robotC->send("wheelR = 30;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL = 30;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR = 30;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}



///////////////////////////////////////////
// on tourne a gauche
void Telecommande::on_pushButton_78_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL = -30;");
          urbiTele.robotC->send("wheelR = 30;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL = -30;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR = 30;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on tourne a droite
void Telecommande::on_pushButton_79_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL = 30;");
          urbiTele.robotC->send("wheelR = -30;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL = 30;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR = -30;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on recule
void Telecommande::on_pushButton_80_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL = -30;");
          urbiTele.robotC->send("wheelR = -30;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL = -30;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR = -30;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on s'arrete
void Telecommande::on_pushButton_81_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL = 0;");
          urbiTele.robotC->send("wheelR = 0;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL = 0;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR = 0;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}



///////////////////////////////////////////
// Rcuprer l'etat du moteur A
void Telecommande::on_pushButton_16_clicked()
{
    if(urbiTele.robotC != NULL)
    {
        QString deviceName = ui.lineEdit_14->text();
        QString commande = "totomotorA: " + deviceName;

       urbiTele.robotC->send("stop totomotorA;");
       urbiTele.robotC->send("totomotorA:loop {");
       urbiTele.robotC->send("%s", (const char *) commande.toLatin1());
       urbiTele.robotC->send("},");

        QString commande2 = "totomotorA2: " + deviceName + ";";
        urbiTele.robotC->send("%s", (const char *) commande2.toLatin1());

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_16->setPalette(couleur);
    }
}

///////////////////////////////////////////
// Rcuprer l'etat du moteur B
void Telecommande::on_pushButton_17_clicked()
{
    if(urbiTele.robotC != NULL)
    {
        QString deviceName = ui.lineEdit_16->text();
        QString commande = "totomotorB: " + deviceName;

       urbiTele.robotC->send("stop totomotorB;");
       urbiTele.robotC->send("totomotorB:loop {");
       urbiTele.robotC->send("%s", (const char *) commande.toLatin1());
       urbiTele.robotC->send("},");

        QString commande2 = "totomotorB2: " + deviceName + ";";
        urbiTele.robotC->send("%s", (const char *) commande2.toLatin1());

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_17->setPalette(couleur);
    }
}

///////////////////////////////////////////
// Rcuprer l'etat du moteur C
void Telecommande::on_pushButton_18_clicked()
{
    if(urbiTele.robotC != NULL)
    {
        QString deviceName = ui.lineEdit_17->text();
        QString commande = "totomotorC: " + deviceName;

       urbiTele.robotC->send("stop totomotorC;");
       urbiTele.robotC->send("totomotorC:loop {");
       urbiTele.robotC->send("%s", (const char *) commande.toLatin1());
       urbiTele.robotC->send("},");

        QString commande2 = "totomotorC2: " + deviceName + ";";
        urbiTele.robotC->send("%s", (const char *) commande2.toLatin1());

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_18->setPalette(couleur);
    }
}



///////////////////////////////////////////
// Modif de la valeur de motorA
void Telecommande::on_spinBox_4_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteursA == 0)
    {
           neRienFaireAvecLesMoteursA = 1;

           ui.horizontalSlider_3->setValue(i);

           QString deviceName = ui.lineEdit_14->text();
           QString value = QString::number(i);
           value= deviceName + "=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteursA = 0;
    }
    
}    

///////////////////////////////////////////
// Modif de la valeur de motorB
void Telecommande::on_spinBox_5_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteursB == 0)
    {
           neRienFaireAvecLesMoteursB = 1;

           ui.horizontalSlider_4->setValue(i);

           QString deviceName = ui.lineEdit_16->text();
           QString value = QString::number(i);
           value= deviceName + "=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteursB = 0;
    }
    
}    

///////////////////////////////////////////
// Modif de la valeur de motorC
void Telecommande::on_spinBox_6_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteursC == 0)
    {
           neRienFaireAvecLesMoteursC = 1;

           ui.horizontalSlider_5->setValue(i);

           QString deviceName = ui.lineEdit_17->text();
           QString value = QString::number(i);
           value= deviceName + "=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteursC = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de motorA
void Telecommande::on_horizontalSlider_3_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteursA == 0)
    {
           neRienFaireAvecLesMoteursA = 1;

           ui.spinBox_4->setValue( ui.horizontalSlider_3->value() );     

           int i = ui.horizontalSlider_3->value();
           QString value = QString::number(i);
           QString deviceName = ui.lineEdit_14->text();
           value= deviceName + "=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteursA = 0;
    }

}

///////////////////////////////////////////
// Modif de la valeur de motorB
void Telecommande::on_horizontalSlider_4_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteursB == 0)
    {
           neRienFaireAvecLesMoteursB = 1;

           ui.spinBox_5->setValue( ui.horizontalSlider_4->value() );     

           int i = ui.horizontalSlider_4->value();
           QString value = QString::number(i);
           QString deviceName = ui.lineEdit_16->text();
           value= deviceName + "=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteursB = 0;
    }

}

///////////////////////////////////////////
// Modif de la valeur de motorC
void Telecommande::on_horizontalSlider_5_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteursC == 0)
    {
           neRienFaireAvecLesMoteursC = 1;

           ui.spinBox_6->setValue( ui.horizontalSlider_5->value() );     

           int i = ui.horizontalSlider_5->value();
           QString value = QString::number(i);
           QString deviceName = ui.lineEdit_17->text();
           value= deviceName + "=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteursC = 0;
    }

}






