#include "tele.h"

#include <QApplication>

// mise en static du plugin pour gerer les jpeg
#include <QtPlugin>
Q_IMPORT_PLUGIN(qjpeg)


int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    Telecommande *window;
    window = new Telecommande();
    window->pointeur=window;

   QSettings settings("Mindstorms Telecommande", "GOSTAI");
   QString robotName = settings.value("robotname").toString();
   int robotPort = settings.value("robotport").toInt();
   if(robotName != "")
   {
        window->ui.lineEdit->setText(robotName);
        window->ui.spinBox->setValue(robotPort);
   }

    // on demande que l'interface soit du style plastique
    window->setStyle ( QApplication::setStyle ( "plastique" ) );

    window->show();
    return app.exec();
}

