
///////////////////////////////////////////
// on avance
void Telecommande::on_pushButton_77_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL.val = 3;");
          urbiTele.robotC->send("wheelR.val = 3;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL.val = 3;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR.val = 3;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}



///////////////////////////////////////////
// on tourne a gauche
void Telecommande::on_pushButton_78_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL.val = -3;");
          urbiTele.robotC->send("wheelR.val = 3;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL.val = -3;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR.val = 3;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on tourne a droite
void Telecommande::on_pushButton_79_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL.val = 3;");
          urbiTele.robotC->send("wheelR.val = -3;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL.val = 3;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR.val = -3;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on recule
void Telecommande::on_pushButton_80_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL.val = -3;");
          urbiTele.robotC->send("wheelR.val = -3;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL.val = -3;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR.val = -3;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}

///////////////////////////////////////////
// on s'arrete
void Telecommande::on_pushButton_81_clicked()
{
    if(urbiTele.robotC != NULL)
    {
          urbiTele.robotC->send("wheelL.val = 0;");
          urbiTele.robotC->send("wheelR.val = 0;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] wheelL.val = 0;\n" ); 
          ui.textBrowser->insertPlainText( "[Send] wheelR.val = 0;\n" ); 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     }

}




///////////////////////////////////////////
// Rcuprer les valeurs du robot
void Telecommande::on_pushButton_12_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("totowheelL: wheelL.val &");
            urbiTele.robotC->send("totowheelR: wheelR.val &");
    	    urbiTele.robotC->send("totospeed: position.speed &");
            urbiTele.robotC->send("totoyawspeed: position.yawSpeed;");


    	    urbiTele.robotC->send("stop totowheels;");
    	    urbiTele.robotC->send("totowheels:loop {");
    	    urbiTele.robotC->send("totowheelL2: wheelL.val &");
            urbiTele.robotC->send("totowheelR2: wheelR.val &");
    	    urbiTele.robotC->send("totospeed2: position.speed &");
            urbiTele.robotC->send("totoyawspeed2: position.yawSpeed");
            urbiTele.robotC->send("},");

           // creation de la couleur verte
           QColor couleur ( 0, 255, 0 ); 
           // application de la couleur sur le bouton connexion
           ui.pushButton_12->setPalette(couleur);

    }


}


///////////////////////////////////////////
// Rcuprer l'etat des bumpers
void Telecommande::on_pushButton_10_clicked()
{
    if(urbiTele.robotC != NULL)
    {
       urbiTele.robotC->send("stop totobumper;");
       urbiTele.robotC->send("totobumper:loop {");
       urbiTele.robotC->send("totobumperLeft:bumperLeft.val &");
       urbiTele.robotC->send("totobumperRight: bumperRight.val &");
       urbiTele.robotC->send("totobumperRear: bumperRear.val");
       urbiTele.robotC->send("},");

       // creation de la couleur verte
       QColor couleur ( 0, 255, 0 ); 
      // application de la couleur sur le bouton connexion
      ui.pushButton_10->setPalette(couleur);

    }


}


///////////////////////////////////////////
// Modif de la valeur de wheelL
void Telecommande::on_spinBox_2_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider->setValue(i);

           QString value = QString::number(i);
           value="wheelL.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    


///////////////////////////////////////////
// Modif de la valeur de wheelR
void Telecommande::on_spinBox_3_valueChanged ( int i )
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.horizontalSlider_2->setValue(i);

           QString value = QString::number(i);
           value="wheelR.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }
    
}    





///////////////////////////////////////////
// Modif de la valeur de wheelL
void Telecommande::on_horizontalSlider_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_2->setValue( ui.horizontalSlider->value() );     

           int i = ui.horizontalSlider->value();
           QString value = QString::number(i);
           value="wheelL.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }


}


///////////////////////////////////////////
// Modif de la valeur de wheelR
void Telecommande::on_horizontalSlider_2_valueChanged()
{
    if(urbiTele.robotC != NULL && neRienFaireAvecLesMoteurs == 0)
    {
           neRienFaireAvecLesMoteurs = 1;

           ui.spinBox_3->setValue( ui.horizontalSlider_2->value() );     

           int i = ui.horizontalSlider_2->value();
           QString value = QString::number(i);
           value="wheelR.val=" +value +";";
           urbiTele.robotC->send("%s", (const char *) value.toLatin1());  
           value = "[Send] " + value + "\n";
           QTextCursor cursorEnd(ui.textBrowser->textCursor());
           cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
           ui.textBrowser->setTextCursor ( cursorEnd );
           ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
           ui.textBrowser->insertPlainText( value ); 
           
           neRienFaireAvecLesMoteurs = 0;
    }

}    
