UCallbackAction ConnectAibo::returnvaluelasers(const UMessage &msg) 
{

	  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_LIST) 
         return URBI_CONTINUE;

    if(valuelasers == NULL)
    {
              valuelasers = new double [800];
              pointslaser = new QPointF [800];
    }

    urbi::UList *listlaser = msg.value->list;

    int taille;
    taille = listlaser->size();
    lasercount = taille;

    urbi::UValue valuetemp;


    int i;

// valuelasers[i] contient toutes les distances en m
    for(i=0 ; i<=taille-1 ; i++)
    {
        valuetemp = *(listlaser->array[i]);
        valuelasers[i] = valuetemp.val;
    }



//on cherche a present les coordonnees x et y
    double angleTotal= laseranglemax - laseranglemin;
    double delta = angleTotal / (taille - 1);
    double anglePresentinitial=laseranglemin;
    double anglePresent;
    double coordx=0, coordy=0;

    for(i=0 ; i<=taille-1 ; i++)
    {
// 1 metre = 37.5 pixels
	anglePresent = anglePresentinitial + i * delta;	
        valuetemp = *(listlaser->array[i]);
        valuelasers[i] = valuetemp.val;
	coordx = 300 + cos(anglePresent) * valuelasers[i] * 37.5;
	coordy = 300 - sin(anglePresent) * valuelasers[i] * 37.5;
	pointslaser[i].setX((int)coordx);
	pointslaser[i].setY((int)coordy);

    }

      e3 = new QEvent((QEvent::Type)(1005));
      QCoreApplication::postEvent(this,e3);




  return URBI_CONTINUE;
}


UCallbackAction ConnectAibo::returnvaluelasers2(const UMessage &msg) 
{


  if (msg.type != MESSAGE_DATA || msg.value->type != urbi::DATA_DOUBLE)
    return URBI_CONTINUE;

  QString tag = QString::fromLatin1(msg.tag.c_str());
  double value = (double) msg.value->val;

    if( tag == "totolasercount")
        lasercount=value;
    else if( tag == "totolasersanglemin")
        laseranglemin=value;
    else if( tag == "totolasersanglemax")
        laseranglemax=value;


  return URBI_CONTINUE;

}

