
///////////////////////////////////////////
// Rcuperer les valeurs du IRsensor
void Telecommande::on_pushButton_36_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("stop totoirsensor;");
    	    urbiTele.robotC->send("totoirsensor: loop {");
            urbiTele.robotC->send("totoirLeft: ralfy.IRsensorLeft &");
            urbiTele.robotC->send("totoirRight: ralfy.IRsensorRight &");
            urbiTele.robotC->send("totoirFront: ralfy.IRsensorFront &");
            urbiTele.robotC->send("totoirBack: ralfy.IRsensorBack");
            urbiTele.robotC->send("},");

            // creation de la couleur verte
            QColor couleur ( 0, 255, 0 ); 
            // application de la couleur sur le bouton connexion
            ui.pushButton_36->setPalette(couleur);
    }

}



///////////////////////////////////////////
// Rcuperer les valeurs du battery
void Telecommande::on_pushButton_16_clicked()
{
    if(urbiTele.robotC != NULL)
    {
    	    urbiTele.robotC->send("stop totobattery;");
    	    urbiTele.robotC->send("totobattery: loop totobattery2: ralfy.Batterylevelpercent,");

            // creation de la couleur verte
            QColor couleur ( 0, 255, 0 ); 
            // application de la couleur sur le bouton connexion
            ui.pushButton_16->setPalette(couleur);
    }

}



///////////////////////////////////////////
// connect()
void Telecommande::on_pushButton_7_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          ui.label_6->setText("<font color=\"green\">TCP/IP</font>");
          urbiTele.robotC->send("ralfy.connect();");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.connect();\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}

///////////////////////////////////////////
// disconnect()
void Telecommande::on_pushButton_8_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          ui.label_6->setText("<font color=\"red\">TCP/IP</font>");
          urbiTele.robotC->send("ralfy.disconnect();");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.disconnect();\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}

///////////////////////////////////////////
// leds on
void Telecommande::on_pushButton_9_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          ui.label_8->setText("<font color=\"green\">ralfy.Leds</font>");
          urbiTele.robotC->send("ralfy.Leds = 1;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Leds = 1;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}

///////////////////////////////////////////
// leds off
void Telecommande::on_pushButton_10_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          ui.label_8->setText("<font color=\"red\">ralfy.Leds</font>");
          urbiTele.robotC->send("ralfy.Leds = 0;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.Leds = 0;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}

///////////////////////////////////////////
// irleds on
void Telecommande::on_pushButton_11_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          ui.label_10->setText("<font color=\"green\">ralfy.IRLeds</font>");
          urbiTele.robotC->send("ralfy.IRLeds = 1;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.IRLeds = 1;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}

///////////////////////////////////////////
// irleds off
void Telecommande::on_pushButton_14_clicked()
{
     if(urbiTele.robotC != NULL)
     {
          ui.label_10->setText("<font color=\"red\">ralfy.IRLeds</font>");
          urbiTele.robotC->send("ralfy.IRLeds = 0;");
          QTextCursor cursorEnd(ui.textBrowser->textCursor());
          cursorEnd.movePosition(QTextCursor::End , QTextCursor::MoveAnchor);
          ui.textBrowser->setTextCursor ( cursorEnd );
          ui.textBrowser->setTextColor(QColor::QColor ( 0, 0, 255 )); // on decide la couleur par defaut 
          ui.textBrowser->insertPlainText( "[Send] ralfy.IRLeds = 0;\n" ) ; 
          int positionMax = ui.textBrowser->verticalScrollBar()->maximum();
          ui.textBrowser->verticalScrollBar()->setSliderPosition(positionMax);
     } 

}



