#include <urbi/uobject.hh>
#include <urbi/uconversion.hh>
#include <sys/stat.h>

using namespace urbi;

class diffimages : public UObject
{
	public:
	diffimages(std::string);
	~diffimages(); 

	int init(void);

	void loadbackground(UValue data);
	void loadobject(UValue data);
	UList diff(void);

	UBinary imagebackground;
	UBinary imageobject;
	UBinary colorycbcr;

	UImage imageBackground;
	UImage imageObject;
	UImage colorYcbcr;

	UVar Imagebackground;
	UVar Imageobject;
	UVar Colorycbcr;
	UVar Colorycbcr2;
};

