#include <urbi/uobject.hh>
#include <urbi/uconversion.hh>

#include "cv.h"
#include "highgui.h"

using namespace urbi;

class facedetection : public UObject
{
	public:
	facedetection(std::string);
	~facedetection(); 

	int init(void);

	void load(UValue data);

	unsigned char *image;  //uncompressed image

    CvMemStorage* storage;
    CvHaarClassifierCascade* cascade;
    void detect_and_draw( IplImage* image );


};

