#include <stdio.h>
#include <stdlib.h>
#include <iostream> 
#include <urbi/uobject.hh>
#include <sstream>
#include <vector>

#include "CFtpServer.h"

#include <SDL/SDL.h>
#include <SDL/SDL_thread.h>
#include <SDL/SDL_mutex.h>

using namespace urbi;

class ftpserver : public UObject
{

	public:

	ftpserver(std::string);
	~ftpserver(); 
	int init(void);

    void change_port(int nb_port);
    void allow_anonymous(int allow);
    void add_user(std::string name, std::string pass);
    void start(void);
    void stop(void);
      

	#ifdef WIN32
	       WSADATA WSAData;
	#endif
	CFtpServer FtpServer;
	CFtpServer::UserNode *FtpUser;

    int valwhile;
    SDL_Thread *t1;

};


