#include <stdio.h>
#include <stdlib.h>
#include <iostream> 
#include <sstream>
#include <conio.h>
#include <vector>
#include <signal.h>

#include <SDL/SDL.h>
#include <urbi/uobject.hh>

using namespace urbi;

class joystick : public UObject
{

	public:

	joystick(std::string); 
	~joystick(); // destructeur
	int init(int choix); // initialisation en donnant le numero du joystick (0 le plus souvent)

	void info(void); // infos sur les joysticks presents sur l'ordi

	void updatejoy(std::string _name); // Demarrage de la mise a jour des donnees
    int getbutton(int choix); // donne la valeur d'un bouton
    int getaxis(int choix);   // donne la valeur d'un axe
    int gethat(int choix);    // donne la valeur d'un chapeau
    int getballx(int choix);   // donne la valeur x d'une balle
    int getbally(int choix);   // donne la valeur y d'une balle

	SDL_Joystick *joystick_; // pointeur vers le joystick slectionn
	std::string _name; // nom du uobject __name

	int nb_buttons; // nombre de boutons sur le joystick
	int nb_axis;
	int nb_hats;
	int nb_balls;

};





