#include <stdio.h>
#include <stdlib.h>
#include <iostream> 
#include <sstream>
#include <conio.h>
#include <vector>
#include <signal.h>

#include <SDL/SDL.h>
#include <SDL/SDL_thread.h>
#include <SDL/SDL_mutex.h>
#include <urbi/uobject.hh>

using namespace urbi;

class joystick : public UObject
{
	public:

	joystick(std::string); 
	~joystick(); // destructeur
	int init(void); // se lance en cas de new

	void process_events(void);
	void initjoy(void);

	void selectjoy(int choix); // permet de selectionner un joystick
	void info(void); // infos sur les joysticks presents sur l'ordi
	void updatejoy(std::string _name); // Demarrage de la mise a jour des donnees
    int getbutton(int choix); // donne la valeur d'un bouton
    int getaxis(int choix);   // donne la valeur d'un axe
    int gethat(int choix);    // donne la valeur d'un chapeau
    int getballx(int choix);   // donne la valeur x d'une balle
    int getbally(int choix);   // donne la valeur y d'une balle

	SDL_Joystick *joystick_; // pointeur vers le joystick slectionn
    SDL_Event event; // contient les evenements souris,clavier, joystick
    SDL_Thread *t1;

    int etat; // gere la boucle while() du thread

	int nb_buttons; // nombre de boutons sur le joystick
	int nb_axis;
	int nb_hats;
	int nb_balls;
    int nbjoysticks; // nombre de joysticks sur l'ordi
    int nbmaxjoyaxes; // nombre maximum d'axes du joystick
    int nbmaxjoyballs; // nombre maximum de track ball du joystick
    int nbmaxjoyhats; // nombre maximum de chapeaux du joystick
    int nbmaxjoybuttons; // nombre maximum de boutons du joystick
	std::string _name; // nom du uobject __name

    // variables du joystick
    // axes 
	UVar joyaxe1;
	UVar joyaxe2;
	UVar joyaxe3;
	UVar joyaxe4;
	UVar joyaxe5;
	UVar joyaxe6;
	UVar joyaxe7;
	UVar joyaxe8;
	UVar joyaxe9;
	UVar joyaxe10;
    // axes x relatifs
	UVar joyballxrel1;
	UVar joyballxrel2;
	UVar joyballxrel3;
	UVar joyballxrel4;
	UVar joyballxrel5;
	UVar joyballxrel6;
	UVar joyballxrel7;
	UVar joyballxrel8;
	UVar joyballxrel9;
	UVar joyballxrel10;
    // axes y relatifs
	UVar joyballyrel1;
	UVar joyballyrel2;
	UVar joyballyrel3;
	UVar joyballyrel4;
	UVar joyballyrel5;
	UVar joyballyrel6;
	UVar joyballyrel7;
	UVar joyballyrel8;
	UVar joyballyrel9;
	UVar joyballyrel10;
    // tetes
	UVar joyhat1;
	UVar joyhat2;
	UVar joyhat3;
	UVar joyhat4;
	UVar joyhat5;
	UVar joyhat6;
	UVar joyhat7;
	UVar joyhat8;
	UVar joyhat9;
	UVar joyhat10;
    // boutons
	UVar joybutton1;
	UVar joybutton2;
	UVar joybutton3;
	UVar joybutton4;
	UVar joybutton5;
	UVar joybutton6;
	UVar joybutton7;
	UVar joybutton8;
	UVar joybutton9;
	UVar joybutton10;
	UVar joybutton11;
	UVar joybutton12;
	UVar joybutton13;
	UVar joybutton14;
	UVar joybutton15;
	UVar joybutton16;
	UVar joybutton17;
	UVar joybutton18;
	UVar joybutton19;
	UVar joybutton20;

};





