#include "nadia.h"

UStart(nadia);

// Creation de l'objet nadia 
nadia::nadia(std::string s) : UObject(s) 
{
	UBindFunction(nadia,init);
	UBindFunction(nadia,start);
	UBindFunction(nadia,reponse);

	etape=0;
}


// Destruction de l'objet nadia 
nadia::~nadia(void)
{
}

// empecher que l'on puisse faire un new nadia()
int nadia::init(void)
{
  return 1; // Singleton
}

// Demarrage de la partie
void nadia::start(void)
{
	etape = 0; // initialisation de l'etape a 0

	std::string message;
	message = "+connection(\"all\"):\"\";";
    urbi::send(message.c_str());
	message = "+connection(\"all\"):\"   0=====]::::::::NADIA::::::::>   \";";
    urbi::send(message.c_str());
	message = "+connection(\"all\"):\"Vous incarnez Thermidor un apprenti mage. Votre village vient d'etre attaquer par la horde de zombies du prince des morts. Ils ont en plus enlever votre futur femme. Votre role est de regrouper en vous les 7 pouvoirs necessaire pour vaincre le prince.\";";
    urbi::send(message.c_str());
	message = "+connection(\"all\"):\"Que le jeu commence !!\";";
    urbi::send(message.c_str());
	message = "+connection(\"all\"):\"\";";
    urbi::send(message.c_str());
	message = "+connection(\"all\"):\"Vous entrer dans votre village et vous apercevez les ruines qui etait votre maison. Votre futur femme manque a l'appelle !\";";
    urbi::send(message.c_str());
	message = "+connection(\"all\"):\"Que faite vous ? :\";";
    urbi::send(message.c_str());
	message = "+connection(\"all\"):\"1 : Vous partez a sa recherche sur-le-champ !\";";
    urbi::send(message.c_str());
	message = "+connection(\"all\"):\"2 : Vous demandez conseil a votre maitre\";";
    urbi::send(message.c_str());
	message = "+connection(\"all\"):\"info : pour repondre, faire : nadia.reponse(valeur);\";";
    urbi::send(message.c_str());

	etape = 1; // on passe a l'etape 1

}

// Evolution de l'histoire en fonction des reponses
void nadia::reponse(int numero)
{
	std::string message;

	if (numero != 1 && numero != 2 && (numero!=3 && etape!=8) && (numero!=3 && etape!=21) )
	{
	    message = "+connection(\"all\"):\"Reponse non comprise.\";";
        urbi::send(message.c_str());
        return;
	}

	if(etape == 0)
	{
	  message = "+connection(\"all\"):\"Pour demarrer une partie, tapez nadia.start();\";";
      urbi::send(message.c_str());
	}

	else if(etape == 1)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"C'est une tres mauvaise idee mais vous partez quand meme ! Malheureusement vous mourez avant meme d'avoir quitter le village.\";";
        urbi::send(message.c_str());
        etape = 0;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Mon jeune apprenti tu es sage d'avoir eu recourt a mon aide sache que c'est le prince des morts qui l'a enleve et que seule la puissance de mes 6 freres mage et la mienne peut venir a bout du prince mais elle doivent etre portees par une seule et et meme homme qui sera toi donc je t'investis de mon pouvoir et va voir mes freres pour sauver ta belle Nadia. Vous posseder le 1 er pouvoir des mages vous etes deja plus puissant. Vous partez direction la foret mais deux gardes zombie en bloque l'acces.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faire :\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Renoncer cette aventure n'est pas faite pour vous !\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Les paralyser en utilisant vos nouveaux pouvoirs\";";
        urbi::send(message.c_str());
        etape = 2;
	  }
	}

	else if(etape == 2)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Vous etes un pleutre cette aventure n'est pas faite pour vous. revenez quand vous aurez un peut plus de courage.\";";
        urbi::send(message.c_str());
        etape = 0;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Je savais que vous n'etiez pas de ces laches et vous les paralyser avec succes, vous pouvez passer maintenant. Vous marcher dans la foret depuis plus d'une heure maintenant qand un vieillard vous arrete et vous demande de lui ramener une brebis qui s'est echapee de son troupeau et qu'il cherche depuis plusieurs jours.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faire :\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous acceptez de la chercher, il pourrait vous donner une recompense.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous partez sans meme lui adressez la parole et vous ne chercher pas la brebis egaree\";";
        urbi::send(message.c_str());
        etape = 3;
	  }
	}

	else if(etape == 3)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Je vous remercie jeune homme, je saurai rcompenser votre acte. Vous vous trouvez dans un veritable labyrinthe par ou commencer vos recherches.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Deux voies s'offres a vous :\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous allez a l'ouest dans une clairiere\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous allez a l'est au bord d'une riviere\";";
        urbi::send(message.c_str());
        etape = 5;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Jeune impertinent vous venez de perdre le deuxime pouvoir car ce vielle homme n'est rien d'autre que l'un des 6 mages que vous devez voir !\";";
        urbi::send(message.c_str());
        etape = 0;
	  }
	}

	else if(etape == 4)
	{
	    message = "+connection(\"all\"):\"Deux voies s'offres a vous :\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous allez a l'ouest dans une clairiere\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous allez a l'est au bord d'une riviere\";";
        urbi::send(message.c_str());
        etape = 5;
	}

	else if(etape == 5)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Elle n'est pas la mais un autre chemin apparait a l'est que faite vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous revenez en arriere\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous prenez le nouveau passage\";";
        urbi::send(message.c_str());
        etape = 6;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Elle n'est pas la mais vous pouvez longer la riviere, que faite vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous revenez en arriere\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous longez la riviere\";";
        urbi::send(message.c_str());
        etape = 7;
	  }
	}

	else if(etape == 6)
	{
	  if(numero == 1)
	  {
	    etape=4;
	    reponse(1);
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Vous l'avez trouvez bravo !! Maintenant vous devez la rapporter a son propietaire. Merci jeune homme pour votre sympathie je vais vous recompenser je m'appelle Ixora je suis le premier des 6 mages et mon frere du village de Galdor m'a informer de ta quete et je t'offre mon pouvoir. Vous avez les 2 premiers pouvoirs BRAVO !! Et je vous ouvre un nouveau passage dans la foret !\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Cela fait maintenant 2 jours que vous parcourez la foret et vous n'avez pas rencontre le moindre zombie pour utiliser vos nouveaux pouvoirs. Mais attendez une minute vous avez parle trop vite une jeune fille se fait attaquer par une horde de gobelins. Allez a son secours vite\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous utiliser l'epee que vous avez pris en partant de votre village\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous testez enfin vos nouveaux pouvoirs\";";
        urbi::send(message.c_str());
        etape = 9;
	  }
	}

	else if(etape == 7)
	{
	  if(numero == 1)
	  {
	    etape=4;
	    reponse(1);
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Toujours rien mais vous trouvez un passage qui va vers l'ouest\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faite vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous continuer a longer la riviere\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous prenez le nouveau passage\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"3 : vous revenez en arriere\";";
        urbi::send(message.c_str());
        etape = 8;
	  }
	}

	else if(etape == 8)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Vous arrivez a un cul de sac !! Vous devez faire demi-tour.\";";
        urbi::send(message.c_str());
	    etape=7;
	    reponse(2);
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Vous l'avez trouvez bravo !! Maintenant vous devez la rapporter a son propietaire. Merci jeune homme pour votre sympathie je vais vous recompenser je m'appelle Ixora je suis le premier des 6 mages et mon frere du village de Galdor m'a informer de ta quete et je t'offre mon pouvoir. Vous avez les 2 premiers pouvoirs BRAVO !! Et je vous ouvre un nouveau passage dans la foret !\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Cela fait maintenant 2 jours que vous parcourez la foret et vous n'avez pas rencontre le moindre zombie pour utiliser vos nouveaux pouvoirs. Mais attendez une minute vous avez parle trop vite une jeune fille se fait attaquer par une horde de gobelins. Allez a son secours vite\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous utiliser l'epee que vous avez pris en partant de votre village\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous testez enfin vos nouveaux pouvoirs\";";
        urbi::send(message.c_str());
        etape = 9;
	  }
	  else if(numero == 3)
	  {
	    etape=5;
	    reponse(2);
	  }
	}

	else if(etape == 9)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Vous prenez quelques coups mais vous arrivez tout de meme a sauver la jeune fille.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Merci de m'avoir sauver etranger pour te remercier je te donne cet harmonica, il est magique si tu joue cette melodie : si la sol si si re do la sol, un oiseau apparaitra et tu pourras aller au village le plus proche en volant avec lui. Plus loin vous apercevez un village mais l'acces en est bloque par une escouade de zombies.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faite vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous jouez de l'harmonica pour appelle l'oiseau\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous passez votre chemin\";";
        urbi::send(message.c_str());
	    etape=10;

	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"C'est un deluge de feu qui s'abat sur ces miserables creatures.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Merci de m'avoir sauver etranger pour te remercier je te donne cet harmonica, il est magique si tu joue cette melodie : si la sol si si re do la sol, un oiseau apparaitra et tu pourras aller au village le plus proche en volant avec lui. Plus loin vous apercevez un village mais l'acces en est bloque par une escouade de zombies.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faite vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous jouez de l'harmonica pour appelle l'oiseau\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous passez votre chemin\";";
        urbi::send(message.c_str());
	    etape=10;
	  }
	}

	else if(etape == 10)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Vous jouez : si la sol si si re do la sol ....  Un grand oiseau blanc arrive et vous enmene au coeur de la bataille ! Les zombies ont pris le village par surprise mais .... l'oiseau ne fait pas que vous transporter il se bat pour vous aussi un homme vous appelle et vous demande de lui preter l'oiseau pour qu'il puisse aller prevenir le village voisin car meme votre magie ne peut venir a bout de toute une armee\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faite vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous acceptez de lui donner l'harmonica pour qu'il puisse comtroler l'oiseau\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous lui riez au nez et vous partez sans vous battre\";";
        urbi::send(message.c_str());
	    etape=11;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Jeune trouillard vous venez de perdre le troisieme pouvoir car dans se village se trouvait l'un des 6 mages que vous devez voir !\";";
        urbi::send(message.c_str());
	    etape=0;
	  }
	}

	else if(etape == 11)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"C'est un geste honorable pour la peine je vous recompenserai a mon retour.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Vous resister tant bien que mal et c'est au bout d'une heure que l'homme revient avec un bataillon de villageois prets au combat et c'est en quelques minutes seulement que l'escouade de zombie est mise en piece. Homme : merci de m'avoir donner ton harmonica je t'avais promis une recompense et bien la voici je suis Ixildur frere d'Ixora et de ton maitre, et je vais te donner mon pouvoir pour que tu puisses sauver ta belle. BRAVO vous avez le troisieme pouvoir des mages une puissance inimaginable vous penetre !!!!\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"C'est un geste honorable pour la peine je vous recompenserai a mon retour.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Vous parcourez la foret quand vous ete bloque devant un portail une voie vous appelle. Qui es-tu etranger que fais-tu devant le portail du royaume des elfes ? Je suis un simple voyageur qui cherche a voir les trois mages pour sauver ma futur femme qui a ete enlevee par le prince des morts. Bien mais pour passer tu dois me defier\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous defiez l'elfe qui vous parle\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous prenez le petit passage que vous venez de remarquer\";";
        urbi::send(message.c_str());
	    etape=13;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Jeune trouillard vous venez de perdre le troisieme pouvoir car dans se village se trouvait l'un des 6 mages que vous devez voir !\";";
        urbi::send(message.c_str());
	    etape=0;
	  }
	}

	else if(etape == 12)
	{
	    message = "+connection(\"all\"):\"Vous parcourez la foret quand vous ete bloque devant un portail une voie vous appelle. Qui es-tu etranger que fais-tu devant le portail du royaume des elfes ? Je suis un simple voyageur qui cherche a voir les trois mages pour sauver ma futur femme qui a ete enlevee par le prince des morts. Bien mais pour passer tu dois me defier\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous defiez l'elfe qui vous parle\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous prenez le petit passage que vous venez de remarquer\";";
        urbi::send(message.c_str());
	    etape=13;
	}

	else if(etape == 13)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Elfe : Tu es imprudent etranger tu vas morfler.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous l'electrocutez avec votre nouveau pouvoir\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous lui jetez votre epee a la figure\";";
        urbi::send(message.c_str());
	    etape=14;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Vous etes fou vous allez tomber dans la toile d'une araignee geante ! Vous faites demi-tour.\";";
        urbi::send(message.c_str());
	    etape=12;
	    reponse(1);
	  }
	}

	else if(etape == 14)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Quelle puissance, c'est un morceau de charbon que vous avez en face de vous. Tu m'as eu etranger, tes pouvoirs sont impressionnants. Le mage Hermite de l'autre cote du royaume devrait apprecier ta visite et le sorcier de mon clan aimera aussi ta visite.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Sorcier : Legolas m'a decrit ton pouvoir et je l'admire pour l'avoir battu. Je t'offre cet anneau qui te rendra invisible au pres de tes ennemis. Maintenant va voir l'Hermite. Legolas : prend cet arc, tu l'as bien merite et ces fleches.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Vous parcourez le royaume des elfes et vous arrivez a la maison du mage hermite. Entre mon petit, mes freres m'ont avertis de ta visite et je vais te donner ce que tu es venu chercher mais donne-moi l'anneau du sorcier.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous acceptez\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous refusez\";";
        urbi::send(message.c_str());
	    etape=15;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"L'elfe esquive le coup et vous tue.\";";
        urbi::send(message.c_str());
	    etape=0;
	  }
	}

	else if(etape == 15)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Merci petit car mon pouvoir ne peut etre contenu que dans un objet. Il entre en connexion avec l'anneau et y transmet son pouvoir. Voila, maintenant tu ne seras plus invisible de seulement tes ennemis mais de tout le monde. BRAVO vous avez le quatrieme pouvoir plus que trois.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Vous arrivez devant une montagne impressionnante et un homme se trouve au pied de celle-ci. L'homme : Le seul moyen de monter est de chevaucher ces betes que voici. Homme : merci de m'avoir donne ton harmonica, je t'avais promis une recompense, je vous en vends une pour 500 rubis.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous acceptez\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous marchandez\";";
        urbi::send(message.c_str());
	    etape=17;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Jeune impertinent vous venez de perdre le quatrieme pouvoir.\";";
        urbi::send(message.c_str());
	    etape=0;
	  }
	}

	else if(etape == 16)
	{
	    message = "+connection(\"all\"):\"Vous arrivez devant une montagne impressionnante et un homme se trouve au pied de celle-ci. L'homme : Le seul moyen de monter est de chevaucher ces betes que voici. Homme : merci de m'avoir donne ton harmonica, je t'avais promis une recompense, je vous en vends une pour 500 rubis.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous acceptez\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous marchandez\";";
        urbi::send(message.c_str());
	    etape=17;
	}

	else if(etape == 17)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Vous n'avez pas d'argent revenez quand vous en aurez.\";";
        urbi::send(message.c_str());
	    etape=16;
	    reponse(1);
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Je n'ai pas d'argent mais je peux vous echanger une bete contre mon epee. L'echange est assez bon a mon gout j'accepte. Au bout d'une journee d'escalade vous arrivez au sommet et vous decouvrez un monastere. Le cinquieme mage est peut-etre a l'interieur ? Bonjour etranger que veux-tu ? Je souhaite voir le mage. Bien je vous conduis a lui. Que veux-tu petit, on ne me derange pas impunement. Je cherche a recuperer les 7 pouvoirs des mages pour sauver ma futur femme. Bien mais donne-moi quelque chose en echange et je te donnerais mon pouvoir.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous lui donnez la bete\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous lui donnez l'anneau\";";
        urbi::send(message.c_str());
	    etape=18;
	  }
	}

	else if(etape == 18)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"J'accepte ta bete meme si elle est presque morte de froid et voici mon pouvoir, il n'est pas tres puissant mais indispensable pour ta quete. BRAVO vous avez le cinquieme pouvoir. Les moines ont mis en commun leurs pouvoirs et vous on aide a passer de l'autre cote de la montagne. Vous arrivez a un nouveau village bien bizarre ou tous les habitants sont endormis sauf un jeune garcon qui pleure, vous allez le voir et il vous dit que le village  a ete victime d'une malediction et que seul un etranger peut vaincre le dragon responsable de la malediction.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous acceptez de partir a la recherche du dragon\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous passez votre chemin\";";
        urbi::send(message.c_str());
	    etape=19;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Imbecile vous lui donnez le quatrieme pouvoir. c'est fini pour vous.\";";
        urbi::send(message.c_str());
	    etape=0;
	  }
	}

	else if(etape == 19)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Je vais vaincre ce dragon mais dis moi ou il est. Il se trouve dans une grotte au milieu de la foret au nord mais seule la magie est efficace contre lui.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Arriver a la foret 3, voies s'offrent a vous.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Quelle route prenez-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : celle toute a gauche\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : celle toute a droite\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"3 : celle en face de vous\";";
        urbi::send(message.c_str());
	    etape=21;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Dommage vous perdez le sixieme pouvoir.\";";
        urbi::send(message.c_str());
	    etape=0;
	  }
	}

	else if(etape == 20)
	{
	    message = "+connection(\"all\"):\"Arriver a la foret 3, voies s'offrent a vous.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Quelle route prenez-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : celle toute a gauche\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : celle toute a droite\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"3 : celle en face de vous\";";
        urbi::send(message.c_str());
	    etape=21;
	}

	else if(etape == 21)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"Vous partez direction une clairiere en cul de sac. Vous devez repartir.\";";
        urbi::send(message.c_str());
	    etape=20;
	    reponse(1);
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Vous partez direction un precipice. Vous devez repartir.\";";
        urbi::send(message.c_str());
	    etape=20;
	    reponse(1);
	  }
	  else if(numero == 3)
	  {
	    message = "+connection(\"all\"):\"Vien vous arrivez a une caverne.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous entrez\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous faites demi-tour\";";
        urbi::send(message.c_str());
	    etape=22;
	  }
	}

	else if(etape == 22)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"C'est l'antre du dragon, une forte odeur de souffre regne a l'interieur de la grotte. Un bouclier intact traine sur le sol il serait preferable de le prendre. La bete montre le bout de son nee, preparez vous au combat, utilisez l'anneau pour vous rendre invisible et abatte le monstre d'une decharche d'electricite magique.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : Vous le touchez maintenant en restant a l'ecart\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : Vous avancez un peut plus pour etre sur de le toucher\";";
        urbi::send(message.c_str());
	    etape=23;
	  }
	  else if(numero == 2)
	  {
	    etape=20;
	    reponse(1);
	  }
	}

	else if(etape == 23)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"C'est inefficace vous devez vous raprochez de lui pour l'avoir.\";";
        urbi::send(message.c_str());
	    etape=22;
	    reponse(1);
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Bien, maintenant vous pouvez le toucher et le tuer par la meme occasion. Le monstre meurt dans d'horribles souffrances. De retour au village endormie le peuple vous acclame et vous conduit vers deux vieux hommes. Nous saluons ton courage et pour te remercier nous t'offrons nos pouvoirs car ces hommes sont les deux derniers mages a voir et maintenant vous avez tous les pouvoirs de mages, vous pourrez aller sauver votre belle Nadia.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Mainenant vous etes fin pret pour sauver votre Nadia. Le chateau du prince des morts est juste devant vous. Heureusement que vous avez votre anneau car sinon vous ne pourriez pas passer. Le prince : inutile de te cacher je vois tout, tu viens liberer ta belle. Oui, alors prepare toi au combat final.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous passer directement a l'action\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous vous defendez avec le bouclier\";";
        urbi::send(message.c_str());
	    etape=24;
	  }
	}

	else if(etape == 24)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"C'est une tres mauvaise idee car vous etes trop fatigue pour une deuxieme attaque c'est la fin pour vous !\";";
        urbi::send(message.c_str());
	    etape=0;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Le prince lance une boule de feu mais comme vous etes intelligent vous vous protegez et vous evitez de devenir un tas de cendre.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Que faites-vous ?\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"1 : vous continuez a vous proteger\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"2 : vous attaquez une bonne fois pour toute\";";
        urbi::send(message.c_str());
	    etape=25;
	  }
	}

	else if(etape == 25)
	{
	  if(numero == 1)
	  {
	    message = "+connection(\"all\"):\"C'est une tres mauvaise idee car il dejoue votre defence et vous tue. C'est la fin pour vous !\";";
        urbi::send(message.c_str());
	    etape=0;
	  }
	  else if(numero == 2)
	  {
	    message = "+connection(\"all\"):\"Une tornade de puissance s'abbat sur le prince et il disparait dans un cris d'agonie.\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"Tu liberes ta bien aimee et tu repars vivre dans ton village\";";
        urbi::send(message.c_str());
	    message = "+connection(\"all\"):\"   0=====]::::::::FIN::::::::>   \";";
        urbi::send(message.c_str());
	    etape=0;
	  }
	}
}
