#include <urbi/uobject.hh>
#include <urbi/uconversion.hh>

#include <sys/stat.h>

using namespace urbi;

class pcfiles : public UObject
{
	public:

	pcfiles(std::string);
	~pcfiles(); 

	int init(void);

	UImage sendimage(UValue nameFile);
	USound sendsound(UValue nameFile);
	UBinary sendbinary(UValue nameFile);
	void receiveimage(UValue data, UValue nameFile);
	void receivesound(UValue data, UValue nameFile);
	void receivebinary(UValue data, UValue nameFile);

};
