#include "showimage.h"
UStart(showimage);

showimage::showimage(std::string s) : UObject(s)
{
	UBindFunction(showimage,init);
 	UBindFunction(showimage,load);

 	image = NULL;
 	mon = NULL;

}

showimage::~showimage()
{
}

int showimage::init(void)
{
  return 1; // Singleton
}

void showimage::load(UValue data)
{
//////////////////////////////////////////////////////
// On recupere l'image de la camera
//////////////////////////////////////////////////////

   if(data.type == DATA_BINARY)
    {
           UImage camera = data;

           int imgsize = camera.width * camera.height * 3;

           if (image == NULL)
             image = new unsigned char[camera.width * camera.height * 3]; // 24 bits
        
           if ( camera.imageFormat == IMAGE_RGB )
           {
             memcpy( image, camera.data, camera.size );
           }
           else if ( camera.imageFormat == IMAGE_YCbCr )
           {
                convertYCrCbtoRGB(camera.data, camera.size, image);
           }
           else if ( camera.imageFormat == IMAGE_JPEG )
           {
                convertJPEGtoRGB(camera.data, camera.size, image,imgsize);
           }
           else
           {
             memcpy( image, camera.data, camera.size );
           }

           if (!mon)
             mon = new Monitor(camera.width, camera.height, "Image");

           mon->setImage((bits8*)image, camera.width*camera.height*3);

    }

}









