#include "stdafx.h"

#include <atlbase.h>
extern CComModule _Module;
#include <atlcom.h>
#include <sapi.h>
#include <SPHelper.h>
#include <windows.h>
#include <sys/stat.h>

#include <urbi/uobject.hh>

#include <SDL.h>
#include <SDL_thread.h>
#include <SDL_mutex.h>

using namespace urbi;


class tts : public UObject
{
	public:

	tts(std::string s);
	~tts(void); 
	int init(void);	

	int play(std::string word);
	int setrate(int rate);
	int setpriority(int priority);
	int pause(void);
	int resume(void);
	int setvolume(int volume);
	int getstatus(void);
	int playwav(std::string word);
	int setvoice(void);
	int changeoutaudio(int choice);
	int changevoice(int choice);
	USound returnwav(std::string word);

	// variable qui declenche les evenements
	int etat;

	// thread SDL
    SDL_Thread *t1;

	// variables globales
	long m_DefaultRate;
	SPVPRIORITY pePriority;
	USHORT m_DefaultVolume;
	SPVOICESTATUS pStatus;
	LPWSTR ppszLastBookmark;
	ISpObjectToken *cpVoiceToken;
	std::string phrase;
	int nb_voice;
	int nb_outaudio;
};

